2004-12-29 16:07  twisti

	* configure.in: - 0.92cvs - -O0 - disable __thread by default

2004-12-29 16:00  twisti

	* contrib/debugSetPathes: Export BOOTCLASSPATH and not CLASSPATH.

2004-12-29 16:00  twisti

	* src/cacao/cacao.c: - implemented bootclasspath usage - use
	  SystemClassLoader to load main class

2004-12-29 15:18  twisti

	* src/vm/jit/jit.c: Removed unused jitrunning stuff.

2004-12-29 14:48  twisti

	* src/native/tools/gennativetable.c: Removed : from classpath.

2004-12-29 14:47  twisti

	* src/vm/global.h: Removed : from CACAO_RT_JAR_PATH.

2004-12-29 14:47  twisti

	* src/vm/jit/i386/asmpart.S: #ifdef USE_THREADS monitorenter/exit
	  calls.

2004-12-29 14:24  twisti

	* src/vm/jit/jit.c: Unified icmd_names and opcode_names (name
	  length, removed ICMDs from opcode table, undef number).

2004-12-29 13:58  twisti

	* src/vm/jit/codegen.inc: #ifdef USE_THREADS monitorenter/exit
	  calls.

2004-12-29 13:55  twisti

	* src/native/jni.c: Return type fix in GetMethodID.

2004-12-29 13:53  twisti

	* src/classpath/vm/reference/java/lang/VMClassLoader.java: Removed
	  this jar-kaffe-code added by me.

2004-12-29 13:47  twisti

	* src/vm/: loader.c, loader.h: - make classpath_info a struct, not
	  a union (there are just a few entries) - if suck_init called more
	  than once, the classpath entries are appended

2004-12-29 13:39  twisti

	* src/native/vm/VMRuntime.c: Set correct java.vendor.url and
	  java.home.

2004-12-27 22:35  motse

	* src/cacao/cacao.c: added option -jar to cacao

2004-12-27 15:30  motse

	* src/classpath/java/util/jar/JarFile.java: bugfix: load
	  caseinsensitive mainifest file

2004-12-23 18:56  motse

	* src/classpath/javax/swing/text/FieldView.java: bugfix:
	  elemtcount==0

2004-12-23 18:53  motse

	* src/classpath/javax/swing/JInternalFrame.java: bugfix:
	  setDefaultCloseOperation

2004-12-23 18:50  motse

	* src/native/vm/: GtkComponentPeer.c, GtkFileDialogPeer.c,
	  GtkScrollPanePeer.c: remove a few warnings

2004-12-23 18:35  motse

	* src/classpath/javax/swing/text/PlainView.java: bugfix:
	  modelToView line==null

2004-12-23 12:20  twisti

	* tests/native/Makefile.am: Changed target to check.

2004-12-23 12:19  twisti

	* tests/Makefile.am: - typo - added native to subdirs

2004-12-22 16:35  twisti

	* tests/Makefile.am: extest_clinit removed.

2004-12-22 15:56  twisti

	* configure.in: Release 0.91, -O2.

2004-12-22 15:50  twisti

	* src/vm/jit/alpha/codegen.c: Added stub size InternalError.

2004-12-22 14:17  twisti

	* src/native/vm/VMRuntime.c: DARWIN compilation fix.

2004-12-22 13:52  twisti

	* src/mm/memory.h: #include "mm/boehm.h"

2004-12-22 13:37  twisti

	* src/vm/jit/mips/asmpart.S: Use montiorenter/exit only with
	  threads.

2004-12-22 13:31  twisti

	* tests/: extest.java, extest.output: - 3 different clinit classes,
	  because an ExceptionInInitializerError causes   the class to be
	  undefined

2004-12-22 13:29  twisti

	* tests/extest_clinit.java: Now in extest.java.

2004-12-22 13:21  twisti

	* src/vm/jit/alpha/asmpart.S: Use monitorenter/exit only with
	  threads.

2004-12-22 12:06  twisti

	* src/vm/jit/x86_64/: codegen.c, asmpart.S: - use monitorenter/exit
	  only with threads - declare: asm_calljavafunction2int and
	  asm_calljavafunction2float

2004-12-22 11:49  twisti

	* src/vm/jit/powerpc/asmpart.S: - use monitorenter/exit only with
	  threads - some darwin defines

2004-12-22 11:48  twisti

	* src/vm/jit/powerpc/codegen.c: Quick hack: #ifdef USE_THREADS
	  cacao_catch_Handler's code.

2004-12-22 11:44  twisti

	* src/: native/jni.c, vm/builtin.c, vm/builtin.h, vm/loader.c,
	  vm/jit/jit.c: Use monitorenter/exit only with threads.

2004-12-22 11:13  twisti

	* src/vm/jit/mips/codegen.c: MULTIANEWARRAY bugfix.

2004-12-22 10:54  twisti

	* src/vm/jit/alpha/codegen.c: - MULTIANEWARRAY bugfix - added
	  unknown ICMD exception - warning fixes

2004-12-22 10:35  twisti

	* src/vm/jit/i386/codegen.c: - MULTIANEWARRAY bugfix - warning
	  fixes

2004-12-22 10:27  jowenn

	* src/native/vm/Field.c: less warnings and C90 compile fix

2004-12-21 21:35  jowenn

	* src/native/vm/VMThrowable.c: one useless debug output less

2004-12-21 21:19  jowenn

	* src/cacao/cacao.c, src/native/jni.c, src/native/vm/Field.c,
	  src/native/vm/Method.c, src/vm/loader.c, src/vm/jit/jit.c,
	  src/vm/jit/i386/asmpart.S,
	  tests/stack/staticinitializertest.java,
	  tests/stack/staticinitializertest2.java: don't terminate with
	  "method not found" during compile time Exceptions, jit_compile
	  returns now the native stub if it is called with a native
	  function (JNI), 2 additinal static initializer tests

2004-12-21 17:54  jowenn

	* src/vm/global.h: wrong comment end

2004-12-21 17:53  twisti

	* tests/extest_clinit.java: Added a native function, which is not
	  implemented.

2004-12-21 17:52  twisti

	* tests/extest.java: - test for clinit exceptions in PUTSTATIC and
	  GETSTATIC - test for exceptions in native stub

2004-12-21 17:50  twisti

	* src/vm/jit/i386/codegen.c: - restuctured native stub - throw
	  exception if stubsize is too small for generated instructions

2004-12-21 17:32  twisti

	* tests/jvm98/check.output: Output of check, i think ;-)

2004-12-21 16:15  jowenn

	* src/vm/: global.h, jit/verify/typecheck.c, jit/verify/typeinfo.c:
	  kjc runs again. verbose typechecking partly

2004-12-21 15:10  twisti

	* tests/jvm98/: Makefile.am, javac.diff: jvm98 should work again.

2004-12-21 11:13  twisti

	* src/vm/global.h: - removed pthread/semaphore includes - declare
	  functions with (void)

2004-12-21 11:12  twisti

	* src/vm/exceptions.h: global.h include path fix.

2004-12-21 11:12  twisti

	* src/: toolbox/chain.h, toolbox/logging.h, vm/builtin.h,
	  vm/loader.h, vm/tables.h, vm/jit/inline/sets.h: Declare functions
	  with (void).

2004-12-21 11:11  twisti

	* src/threads/native/threads.h: #include <pthread.h>

2004-12-21 11:09  twisti

	* src/native/tools/gennativetable.c: Fixed function call.

2004-12-21 11:08  twisti

	* src/mm/: boehm.h, memory.h: Declare functions with (void).

2004-12-21 11:08  twisti

	* src/cacaoh/: cacaoh.c, headers.c: - declare functions with (void)
	  - fixed function calls

2004-12-21 10:58  twisti

	* configure.in: - check more precise for $host_cpu (e.g. problems
	  with powerpc64) - move INSTALL_PREFIX into config.h

2004-12-21 10:56  twisti

	* src/vm/jit/x86_64/codegen.c: - fixed MULTIANEWARRAY SAVEDVAR bug
	  - increased MCODECHECK in exception stubs - smaller changes

2004-12-21 10:55  twisti

	* src/native/native.c: Removed logging from init_systemclassloader.

2004-12-21 10:51  twisti

	* src/native/jni.c: - throw exception with name in GetMethodID and
	  GetStaticMethodID - removed logging

2004-12-21 10:37  twisti

	* src/native/include/Makefile.am: Added
	  gnu_java_awt_peer_gtk_GdkFontPeer.h to CLEANFILES.

2004-12-21 10:36  twisti

	* src/native/include/gnu_java_awt_peer_gtk_GdkFontPeer.h: This one
	  is generated.

2004-12-21 10:35  twisti

	* src/native/classes.am: - added gnu header and emacs tailer -
	  sorted awt classes

2004-12-21 10:15  twisti

	* src/native/include/Makefile.am: Added awt includes to CLEANFILES.

2004-12-21 10:13  twisti

	* src/vm/jit/verify/typecheck.c: Warning fixes.

2004-12-21 08:46  jowenn

	* src/native/vm/Field.c: fix dummy macro for !(i386 || alpha)

2004-12-20 23:21  twisti

	* src/boehm-gc/os_dep.c: #ifdef
	  GC_darwin_register_mach_handler_thread in GC_DARWIN_THREADS.

2004-12-20 22:05  twisti

	* src/vm/jit/stack.c: - removed i386 method_uses_ stuff -
	  builtin{1,2} warning fixes - replace intreg_argnum with
	  INT_ARG_CNT

2004-12-20 22:03  twisti

	* src/vm/jit/: jit.c, jit.h, lsra.inc: Removed i386 method_uses_
	  stuff.

2004-12-20 21:16  jowenn

	* src/native/jni.c,
	  src/native/include/gnu_java_awt_peer_gtk_GdkFontPeer.h,
	  src/native/vm/Field.c, src/native/vm/Method.c,
	  src/native/vm/VMClass.c, src/vm/builtin.c, src/vm/exceptions.c,
	  src/vm/exceptions.h, src/vm/tables.c, src/vm/jit/stacktrace.c,
	  src/vm/jit/stacktrace.h, src/vm/jit/verify/typecheck.c,
	  tests/stack/sleep_exception.java: generate package names
	  correctly, now they are not allways (utf*)0. Adds a new crash in
	  the typechecking code. The package checks there have to be
	  redone. Now fixed to not crash, but the check is useless
	  currently. Now IllegalAccessException is thrown, if a not
	  accessible field (currently only read (will fix set operations
	  tomorrow)) is being accessed via reflection. method invokation
	  does the check too. If a reflected methodID represents an
	  abstract method or the class it belongs to is an interface, the
	  virtual method is now resolved and called instead.

2004-12-19 18:39  jowenn

	* TODO, src/native/vm/VMClassLoader.c,
	  src/native/vm/VMSecurityManager.c, src/native/vm/VMSystem.c,
	  tests/native/Makefile.am, tests/native/testgetobjectclass0.c,
	  tests/native/testgetobjectclass0.java: one additional condition
	  which should throw an array index out of bounds, instead of
	  crashing. Less debug output. One additional test for crash
	  compatibility with sun's vm

2004-12-19 13:40  jowenn

	* src/vm/jit/i386/codegen.c: calculate destination block offset
	  correctly. Problem (segfault) was triggered in jython 2.1 in the
	  loadFromPath method

2004-12-18 00:05  jowenn

	* src/: native/jni.c, native/native.c, vm/jit/stacktrace.c: 1)
	  disable the is leaf check for i386, where there is no problem 2)
	  classes which are used as objects should really be linked 3) fix
	  fill_callblock_objA to handle references and arrays correctly (1
	  detected through mauve test suite. This will have to be fixed for
	  the Alpha architecture, where  the ret address for leaf methods
	  is not stored on the stack) (2+3 prevented jython from starting.
	  Right now a hello world works, but there are other problems I
	  have to hunt down)

2004-12-17 15:30  twisti

	* src/native/vm/VMThread.c: - fixed function comments - removed log
	  output

2004-12-17 13:30  twisti

	* tests/: jctest.java, jctest.output: Check MULTIANEWARRAY SAVEDVAR
	  copy code.

2004-12-17 00:04  motse

	*
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c:
	  correct signatur in GetMethodId for method gtkSetFilename

2004-12-16 23:13  motse

	* src/threads/native/threads.c: add check for lr != null to
	  threadHoldsLock

2004-12-16 17:46  motse

	* src/native/vm/VMRuntime.c: disable gthread-jni's portable native
	  sync due to yet unresolved threading issues

2004-12-16 15:40  motse

	* src/native/: classes.am,
	  include/gnu_java_awt_peer_gtk_GdkFontPeer.h: add
	  gnu_java_awt_peer_gtk_GdkFontPeer.h to nativetable.inc

2004-12-15 18:25  jowenn

	* src/native/vm/Field.c: it should not be IllegalArgumentException,
	  but IllegalAccessException, but that check looks wrong anyway. I
	  have to look more into the the topic of handling the
	  IllegalArgumentException, so this is commented out again for now

2004-12-15 17:21  jowenn

	* src/native/: jni.c, native.c, vm/Field.c: throw the required
	  acceptions in the Field.getXYZ natives, support for static fields
	  in reflection. add missing use_class_as_object call

2004-12-15 17:14  twisti

	* src/vm/jit/powerpc/asmpart.S: powerpc-linux changes.

2004-12-15 16:55  twisti

	* src/vm/jit/powerpc/codegen.c: #ifdef the cacao_catch_Handler to
	  __DARWIN__.

2004-12-15 16:48  twisti

	* src/toolbox/: logging.c, logging.h: Use dynamic buffer in
	  log_message_class and log_message_method to prevent buffer
	  overflows.

2004-12-15 13:57  twisti

	* src/vm/jit/powerpc/asmpart.S: - use bl instead of lwz-mtctr-bctrl
	  sequence - removed _ from symbols and added defines for darwin
	  (still to decide how	 to check for darwin assembler)

2004-12-14 14:16  twisti

	* src/vm/jit/codegen.inc: Calculate regoff for float ARGVAR's
	  correcly.

2004-12-14 14:14  twisti

	* src/vm/jit/stack.c: Fixed x86_64 argument passing typo.

2004-12-13 17:58  twisti

	* src/vm/jit/x86_64/codegen.c: Fixed argument passing in native
	  stub, testarguments now works properly.

2004-12-13 11:09  twisti

	* tests/native/: Makefile.am, testarguments.c, testarguments.java:
	  - more checks - gnu header

2004-12-13 09:44  twisti

	* src/vm/jit/x86_64/codegen.c: - call builtin_trace_args
	  (runverbose) after monitorenter, to get a proper   calltrace with
	  threads - nativestub changes: fixed stub size (throw an exception
	  we the sub is too   small)

2004-12-13 09:41  twisti

	* src/vm/jit/x86_64/asmpart.S: - much indent (sorry) -
	  asm_calljavafunction2 argument copy bugfix

2004-12-13 09:39  twisti

	* src/vm/jit/: reg.inc, x86_64/arch.h: Changed x86_64 abi back to 8
	  float argument registers.

2004-12-13 09:28  twisti

	* src/vm/options.h: Don't export loadingtime and compilingtime
	  (error with gcc-4.0).

2004-12-13 09:26  twisti

	* src/vm/: statistics.c, statistics.h: Include paths fixed.

2004-12-11 00:21  carolyn

	* src/: cacao/cacao.c, vm/jit/inline/inline.c: inlining of
	  parameters fixed

2004-12-10 14:53  twisti

	* src/vm/jit/i386/Makefile.am: Added forgotten ansidecl.h.

2004-12-10 14:11  twisti

	* configure.in: - back to -O0 till next release - added
	  tests/native/Makefile

2004-12-10 14:10  twisti

	* tests/native/: Makefile, Makefile.am, testarguments.c,
	  testarguments.java: More generic version, more tests.

2004-12-09 15:20  twisti

	* contrib/debugSetPathes: Added src/ to paths.

2004-12-09 15:07  twisti

	* src/vm/jit/i386/codegen.c: - fixed -verbosecall crash (too small
	  stub size) - warning fixes - code cleanup + indent

2004-12-09 11:17  carolyn

	* src/vm/jit/parse.c, src/vm/jit/inline/inline.c,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTprint.h,
	  src/vm/jit/inline/parseRTstats.c, tests/rtMissedIn0: Updates for
	  parseRT with Threads / debug moved to parseRTprint.h for
	  readablity / get rid of warnings in inline.c

2004-12-08 20:24  twisti

	* src/native/native.c: - back in the gtk hack again - bugfix for
	  dummynativetable and gcc-3.4

2004-12-08 20:22  twisti

	* src/cacao/Makefile.am: LDADD reordered. Did not work with no
	  threads.

2004-12-08 17:38  twisti

	* src/native/vm/Makefile.am: Extra dist gtk files.

2004-12-08 17:38  twisti

	* src/native/Makefile.am: Added classes.am to nativetable.inc
	  dependencies.

2004-12-08 12:01  motse

	* src/native/native.c: remove quick hack includes to Gtk*Peer.c
	  from native.c

2004-12-08 12:00  motse

	* src/classpath/include/gnu_java_awt_peer_gtk_GdkFontPeer.h: update
	  header file for GdkFontPeer

2004-12-08 01:55  twisti

	* src/classpath/configure.ac: Fold down some cpus to simpler
	  architecture names.

2004-12-08 01:02  twisti

	* configure.in: Define optimization and debug flags at one place.

2004-12-08 00:55  twisti

	* src/classpath/configure.ac: .*86 also maps to x86_64. This is not
	  very good. Use i?86.

2004-12-08 00:11  twisti

	* src/classpath/configure.ac: Don't use target_os for jni_md.h
	  link.

2004-12-08 00:10  twisti

	* src/classpath/include/jni_md-i386-linux-gnu.h: Finally renamed to
	  jni_md-i386.h.

2004-12-08 00:10  twisti

	* src/classpath/include/: jni_md-alpha.h, jni_md-i386.h,
	  jni_md-mips.h, jni_md-powerpc.h, jni_md-x86_64.h: jni_md.h file
	  for each architecture cacao supports.

2004-12-07 23:38  twisti

	* src/classpath/native/jni/: gtk-peer/Makefile.am,
	  java-io/Makefile.am, java-lang/Makefile.am, java-net/Makefile.am,
	  java-nio/Makefile.am, java-util/Makefile.am: Use target_cpu
	  instead of host_cpu for installation (can be i486, i586 or i686
	  on i386 machines).

2004-12-07 23:37  twisti

	* src/classpath/configure.ac: - map i?86 machine to i386 instead of
	  x86 to reflect the cacao architecture name - renamed default jni
	  header name to i386

2004-12-07 23:35  twisti

	* src/classpath/include/: jni_md-i386-linux-gnu.h,
	  jni_md-x86-linux-gnu.h: Renamed jni_md-x86-linux-gnu.h to
	  jni_md-i386-linux-gnu.h to reflect the cacao architectures.

2004-12-07 18:31  twisti

	* src/vm/jit/: alpha/Makefile.am, powerpc/Makefile.am: Depend on
	  offsets.h on genoffsets (breaks make dist).

2004-12-07 17:34  cacao

	* doc/handbook/intro.tex: history updated till 2004/12/07

2004-12-07 15:33  twisti

	* Makefile.am, doc/Makefile.am, doc/handbook/Makefile.am,
	  man/Makefile.am, src/Makefile.am, src/cacao/Makefile.am,
	  src/cacao/cacao.c, src/cacao/cacao.h, src/cacaoh/Makefile.am,
	  src/cacaoh/cacaoh.c, src/cacaoh/headers.c, src/cacaoh/headers.h,
	  src/mm/Makefile.am, src/mm/boehm.c, src/mm/boehm.h,
	  src/mm/memory.c, src/mm/memory.h, src/native/Makefile.am,
	  src/native/jni.c, src/native/jni.h, src/native/native.c,
	  src/native/native.h, src/native/include/Makefile.am,
	  src/native/tools/Makefile.am, src/native/tools/gennativetable.c,
	  src/native/vm/Constructor.c, src/native/vm/Field.c,
	  src/native/vm/FileChannelImpl.c, src/native/vm/Makefile.am,
	  src/native/vm/Method.c, src/native/vm/Proxy.c,
	  src/native/vm/VMClass.c, src/native/vm/VMClassLoader.c,
	  src/native/vm/VMObject.c, src/native/vm/VMRuntime.c,
	  src/native/vm/VMSecurityManager.c, src/native/vm/VMString.c,
	  src/native/vm/VMSystem.c, src/native/vm/VMThread.c,
	  src/native/vm/VMThrowable.c, src/threads/Makefile.am,
	  src/threads/green/Makefile.am, src/threads/native/Makefile.am,
	  src/threads/native/threads.c, src/threads/native/threads.h,
	  src/toolbox/Makefile.am, src/toolbox/chain.c,
	  src/toolbox/chain.h, src/toolbox/list.c, src/toolbox/list.h,
	  src/toolbox/logging.c, src/toolbox/logging.h, src/toolbox/tree.c,
	  src/toolbox/tree.h, src/vm/Makefile.am, src/vm/builtin.c,
	  src/vm/builtin.h, src/vm/exceptions.c, src/vm/exceptions.h,
	  src/vm/global.h, src/vm/loader.c, src/vm/loader.h,
	  src/vm/options.c, src/vm/options.h, src/vm/statistics.c,
	  src/vm/statistics.h, src/vm/tables.c, src/vm/tables.h,
	  src/vm/jit/Makefile.am, src/vm/jit/asmpart.h,
	  src/vm/jit/codegen.inc, src/vm/jit/codegen.inc.h,
	  src/vm/jit/jit.c, src/vm/jit/jit.h, src/vm/jit/lsra.h,
	  src/vm/jit/lsra.inc, src/vm/jit/parse.c, src/vm/jit/parse.h,
	  src/vm/jit/reg.h, src/vm/jit/reg.inc, src/vm/jit/stack.c,
	  src/vm/jit/stack.h, src/vm/jit/stacktrace.c,
	  src/vm/jit/stacktrace.h, src/vm/jit/alpha/Makefile.am,
	  src/vm/jit/alpha/arch.h, src/vm/jit/alpha/asmoffsets.h,
	  src/vm/jit/alpha/asmpart.S, src/vm/jit/alpha/codegen.c,
	  src/vm/jit/alpha/codegen.h, src/vm/jit/alpha/disass.c,
	  src/vm/jit/alpha/disass.h, src/vm/jit/alpha/types.h,
	  src/vm/jit/i386/Makefile.am, src/vm/jit/i386/arch.h,
	  src/vm/jit/i386/asmoffsets.h, src/vm/jit/i386/asmpart.S,
	  src/vm/jit/i386/codegen.c, src/vm/jit/i386/codegen.h,
	  src/vm/jit/i386/disass.c, src/vm/jit/i386/disass.h,
	  src/vm/jit/i386/emitfuncs.c, src/vm/jit/i386/emitfuncs.h,
	  src/vm/jit/i386/types.h, src/vm/jit/inline/Makefile.am,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTstats.c,
	  src/vm/jit/inline/parseRTstats.h, src/vm/jit/inline/sets.c,
	  src/vm/jit/inline/sets.h, src/vm/jit/loop/Makefile.am,
	  src/vm/jit/loop/analyze.c, src/vm/jit/loop/analyze.h,
	  src/vm/jit/loop/graph.c, src/vm/jit/loop/graph.h,
	  src/vm/jit/loop/loop.c, src/vm/jit/loop/loop.h,
	  src/vm/jit/loop/tracing.c, src/vm/jit/loop/tracing.h,
	  src/vm/jit/mips/Makefile.am, src/vm/jit/mips/arch.h,
	  src/vm/jit/mips/asmoffsets.h, src/vm/jit/mips/asmpart.S,
	  src/vm/jit/mips/codegen.c, src/vm/jit/mips/codegen.h,
	  src/vm/jit/mips/disass.c, src/vm/jit/mips/disass.h,
	  src/vm/jit/mips/types.h, src/vm/jit/powerpc/Makefile.am,
	  src/vm/jit/powerpc/arch.h, src/vm/jit/powerpc/asmoffsets.h,
	  src/vm/jit/powerpc/asmpart.S, src/vm/jit/powerpc/codegen.c,
	  src/vm/jit/powerpc/codegen.h, src/vm/jit/powerpc/disass.c,
	  src/vm/jit/powerpc/disass.h, src/vm/jit/powerpc/types.h,
	  src/vm/jit/tools/Makefile.am, src/vm/jit/tools/genoffsets.c,
	  src/vm/jit/verify/Makefile.am, src/vm/jit/verify/typecheck.c,
	  src/vm/jit/verify/typecheck.h, src/vm/jit/verify/typeinfo.c,
	  src/vm/jit/verify/typeinfo.h, src/vm/jit/x86_64/Makefile.am,
	  src/vm/jit/x86_64/arch.h, src/vm/jit/x86_64/asmoffsets.h,
	  src/vm/jit/x86_64/asmpart.S, src/vm/jit/x86_64/codegen.c,
	  src/vm/jit/x86_64/codegen.h, src/vm/jit/x86_64/disass.c,
	  src/vm/jit/x86_64/disass.h, src/vm/jit/x86_64/emitfuncs.c,
	  src/vm/jit/x86_64/emitfuncs.h, src/vm/jit/x86_64/types.h,
	  tests/Makefile.am, tests/jvm98/Makefile.am,
	  tests/kaffe/Makefile.am: GNU header update.

2004-12-07 14:51  cacao

	* INSTALL, README: minor changes

2004-12-07 13:41  twisti

	* tests/Makefile.am: Added extest_clinit.java

2004-12-07 13:34  twisti

	* INSTALL, README: Update.

2004-12-07 13:08  twisti

	* configure.in: CFLAGS for irix mipspro and gcc compiler (gcc does
	  not work yet).

2004-12-07 12:27  twisti

	* COPYING: Updated to GPL2.

2004-12-07 12:18  twisti

	* src/vm/loader.c: Fixed class not found warning bug with
	  opt_verbose.

2004-12-07 11:57  twisti

	* src/: cacao/Makefile.am, cacaoh/Makefile.am: Force installation
	  of link.

2004-12-07 11:56  twisti

	* src/native/: native.c, native.h: Ok, the same with nativeCalls.

2004-12-07 11:55  twisti

	* src/vm/jit/i386/: ansidecl.h, dis-buf.c, i386-dis.c: Updated to
	  version gdb-6.2 (just to be up-to-date).

2004-12-07 11:51  twisti

	* src/vm/jit/i386/Makefile.am: - build and clean offsets.h - added
	  symcat.h

2004-12-07 11:42  twisti

	* src/vm/jit/powerpc/Makefile.am: Build and clean offsets.h.

2004-12-07 11:41  twisti

	* src/classpath/native/jni/java-lang/java_lang_VMProcess.c: A quick
	  build hack for darwin, but prints a #warning.

2004-12-07 11:38  twisti

	* src/vm/jit/stacktrace.c: #else is just i386, not a mips or
	  powerpc.

2004-12-07 11:37  twisti

	* src/vm/jit/mips/Makefile.am: Build and clean offsets.h.

2004-12-07 11:23  twisti

	* src/native/: native.c, native.h: Don't define a data structure in
	  a header file! This leads to multiple definitions and cannot be
	  linked on every platform!!!

2004-12-07 11:07  twisti

	* src/vm/jit/alpha/Makefile.am: Build and clean offsets.h.

2004-12-07 08:55  jowenn

	* autogen.sh, src/boehm-gc/autogen.sh, src/classpath/autogen.sh:
	  autogen.sh without typo

2004-12-06 19:14  twisti

	* INSTALL, README: A bit updated, more to come.

2004-12-06 19:00  twisti

	* src/native/vm/Makefile.am: Removed libnativevm.a from all target.

2004-12-06 18:12  twisti

	* src/vm/jit/x86_64/Makefile.am: Clean offsets.h, include
	  asmoffsets.h, asmpart.S target.

2004-12-06 18:01  twisti

	* src/native/vm/VMSecurityManager.c: Damn! Got nullpointer on every
	  platform except alpha and i386.

2004-12-06 17:23  twisti

	* src/vm/jit/i386/codegen.c: Removed stacktrace.inc include.

2004-12-06 17:23  twisti

	* src/vm/jit/i386/Makefile.am: Use libtool.

2004-12-06 17:23  twisti

	* src/vm/jit/alpha/Makefile.am: Added makefile position name.

2004-12-06 17:18  twisti

	* src/vm/jit/mips/Makefile.am: Use libtool.

2004-12-06 17:17  twisti

	* src/vm/jit/mips/asmpart.S: Use .dword/.word instead of
	  .quad/.long to support the mipspro assembler.

2004-12-06 16:37  twisti

	* src/vm/jit/mips/: asmpart.S, asmoffsets.h: Moved data segment
	  offsets from asmpart.s into asmoffsets.h.

2004-12-06 16:36  twisti

	* src/vm/jit/powerpc/asmpart.S: Removed data segment offsets.

2004-12-06 16:36  twisti

	* src/vm/jit/powerpc/Makefile.am: Use libtool.

2004-12-06 16:36  twisti

	* src/vm/jit/powerpc/asmoffsets.h: Contains data segment offsets.

2004-12-06 16:30  twisti

	* configure.in: Check for AC_PROG_LN_S.

2004-12-06 16:29  twisti

	* src/classpath/native/jni/: java-io/Makefile.am,
	  java-lang/Makefile.am, java-net/Makefile.am,
	  java-nio/Makefile.am, java-util/Makefile.am: Bugfix: DESTDIR was
	  used on the wrong side.

2004-12-06 16:28  twisti

	* src/classpath/native/jni/gtk-peer/Makefile.am: [no log message]

2004-12-06 16:26  twisti

	* src/: cacao/Makefile.am, cacaoh/Makefile.am: Install program link
	  in bin/ (maybe this should be a wrapper script or executeable).

2004-12-06 16:25  twisti

	* src/vm/unzip.c: First-zip-file-entry bugfix.

2004-12-06 15:32  twisti

	* src/vm/jit/x86_64/Makefile.am: Use libtool.

2004-12-06 15:31  twisti

	* src/vm/jit/x86_64/codegen.c: Remove stacktrace.inc include.

2004-12-06 15:31  twisti

	* src/vm/jit/: i386/asmoffsets.h, x86_64/asmoffsets.h: Added gnu
	  header and emacs tailer.

2004-12-06 15:31  twisti

	* src/vm/jit/alpha/asmoffsets.h: Typo.

2004-12-06 13:44  twisti

	* configure.in, src/cacao/Makefile.am, src/cacaoh/Makefile.am,
	  src/mm/Makefile.am, src/native/Makefile.am,
	  src/native/tools/Makefile.am, src/native/vm/Makefile.am,
	  src/threads/green/Makefile.am, src/threads/native/Makefile.am,
	  src/toolbox/Makefile.am, src/vm/Makefile.am,
	  src/vm/jit/Makefile.am, src/vm/jit/alpha/Makefile.am,
	  src/vm/jit/inline/Makefile.am, src/vm/jit/loop/Makefile.am,
	  src/vm/jit/tools/Makefile.am, src/vm/jit/verify/Makefile.am: Use
	  libtool to compile cacao libraries. We need to combine some
	  libraries to better resolve the linking order.

2004-12-06 13:34  twisti

	* src/native/vm/VMThrowable.c: Include stacktrace.h.

2004-12-06 13:33  twisti

	* src/native/vm/VMSecurityManager.c: - include stacktrace.h -
	  warning fixes

2004-12-06 13:32  twisti

	* src/vm/jit/alpha/asmoffsets.h: - changed define - emacs tailer -
	  code indent

2004-12-06 13:31  twisti

	* src/vm/jit/alpha/asmpart.S: - removed asm offsets (what is the
	  header file else for?) - .ent .end bugfix

2004-12-06 13:30  twisti

	* src/vm/jit/alpha/codegen.c: Don't include stacktrace.inc.

2004-12-06 13:30  twisti

	* src/vm/jit/stacktrace.h: New header.

2004-12-06 13:30  twisti

	* src/vm/jit/stacktrace.c: This should be a normal .c file with a
	  header.

2004-12-06 13:29  twisti

	* src/vm/jit/codegen.inc.h: Prototype codegen_findmethod for alpha.

2004-12-06 09:48  twisti

	* src/vm/jit/alpha/asmpart.S: - clinit error bugfix - made code
	  more readable

2004-12-06 09:44  twisti

	* src/vm/global.h: Use cacao data types.

2004-12-06 00:59  twisti

	* src/native/vm/VMRuntime.c: Load libraries from cacao library
	  path.

2004-12-06 00:57  twisti

	* src/vm/global.h: - renamed RT_JAR_PATH to CACAO_RT_JAR_PATH -
	  defined CACAO_LIBRARY_PATH

2004-12-06 00:56  twisti

	* src/cacao/cacao.c: - Oh man! What are you doing? - renamed
	  RT_JAR_PATH to CACAO_RT_JAR_PATH

2004-12-05 23:57  jowenn

	* src/: cacao/cacao.c, native/vm/VMRuntime.c: prepare for loading
	  libs/classfiles from install directory

2004-12-05 22:44  jowenn

	* src/vm/jit/x86_64/asmoffsets.h: sorry

2004-12-05 22:33  jowenn

	* contrib/debugSetPathes, src/native/vm/VMSecurityManager.c,
	  src/native/vm/VMThrowable.c, src/vm/global.h,
	  src/vm/jit/asmpart.h, src/vm/jit/codegen.inc, src/vm/jit/parse.c,
	  src/vm/jit/stacktrace.c, src/vm/jit/alpha/asmoffsets.h,
	  src/vm/jit/alpha/asmpart.S, src/vm/jit/alpha/codegen.c,
	  src/vm/jit/i386/asmpart.S, src/vm/jit/i386/codegen.c,
	  tests/extest.java: almost all stacktraces do now really work.

2004-12-05 18:22  stefan

	* src/vm/jit/powerpc/codegen.c: stack frame more abi compliant

2004-12-05 11:15  jowenn

	* src/vm/jit/alpha/arch.h: fix compiliation

2004-12-04 13:02  jowenn

	* configure.in, contrib/debugSetPathes, src/boehm-gc/autogen.sh,
	  src/classpath/autogen.sh, src/native/vm/VMRuntime.c,
	  src/native/vm/VMSecurityManager.c, src/native/vm/VMThrowable.c,
	  src/vm/global.h, src/vm/jit/asmpart.h, src/vm/jit/codegen.inc,
	  src/vm/jit/stack.c, src/vm/jit/stacktrace.c,
	  src/vm/jit/i386/asmoffsets.h, src/vm/jit/i386/asmpart.S,
	  src/vm/jit/i386/codegen.c, src/vm/jit/i386/symcat.h,
	  src/vm/jit/x86_64/asmpart.S, src/vm/jit/x86_64/codegen.c,
	  tests/InlineExTest.java,
	  tests/stack/nestedstaticinitializers2.java,
	  tests/stack/nestedstaticinitializers3.java: use two functions for
	  creating/removing items of the  native stackframe list (i386),
	  make it work on FreeBSD (tested: 5.3-CURRENT) i386, dynamic
	  loading of natives (x86_64)

2004-12-03 18:15  twisti

	* configure.in: Forgot to add INSTALL_PREFIX in CFLAGS.

2004-12-03 17:58  twisti

	* man/Makefile.am: A makefile...

2004-12-03 17:54  twisti

	* src/native/tools/gennativetable.c: Cosmetic changes.

2004-12-03 17:52  twisti

	* Makefile.am, configure.in, doc/Makefile.am,
	  doc/handbook/Makefile.am, src/Makefile.am,
	  src/boehm-gc/Makefile.am, src/boehm-gc/doc/Makefile.am,
	  src/boehm-gc/include/Makefile.am, src/cacao/Makefile.am,
	  src/cacaoh/Makefile.am, src/classpath/Makefile.am,
	  src/classpath/configure.ac, src/classpath/doc/Makefile.am,
	  src/classpath/lib/Makefile.am,
	  src/classpath/native/jni/gtk-peer/Makefile.am,
	  src/classpath/native/jni/java-io/Makefile.am,
	  src/classpath/native/jni/java-lang/Makefile.am,
	  src/classpath/native/jni/java-net/Makefile.am,
	  src/classpath/native/jni/java-nio/Makefile.am,
	  src/classpath/native/jni/java-util/Makefile.am,
	  src/classpath/resource/gnu/java/awt/peer/gtk/Makefile.am,
	  src/classpath/resource/java/security/Makefile.am,
	  src/mm/Makefile.am, src/native/Makefile.am,
	  src/native/include/Makefile.am, src/native/vm/Makefile.am,
	  src/threads/Makefile.am, src/threads/green/Makefile.am,
	  src/threads/native/Makefile.am, src/toolbox/Makefile.am,
	  src/vm/Makefile.am, src/vm/jit/Makefile.am,
	  src/vm/jit/alpha/Makefile.am, src/vm/jit/i386/Makefile.am,
	  src/vm/jit/inline/Makefile.am, src/vm/jit/loop/Makefile.am,
	  src/vm/jit/mips/Makefile.am, src/vm/jit/powerpc/Makefile.am,
	  src/vm/jit/tools/Makefile.am, src/vm/jit/verify/Makefile.am,
	  src/vm/jit/x86_64/Makefile.am, tests/Makefile.am,
	  tests/jvm98/Makefile.am, tests/kaffe/Makefile.am: -
	  build/dist/install changes - gnu header for cacao makefiles

2004-12-03 17:47  twisti

	* TODO: 2 closed.

2004-12-03 17:46  twisti

	* man/cacao.1: Removed Michael Gschwind.

2004-12-03 17:43  twisti

	* src/vm/: loader.c, loader.h: Include unzip.h fixes.

2004-12-03 17:42  twisti

	* src/vm/jit/: alpha/types.h, i386/types.h, mips/types.h,
	  powerpc/types.h: Removed Michael Gschwind.

2004-12-03 17:41  twisti

	* src/mm/memory.c: Green thread fixes.

2004-12-03 17:41  twisti

	* src/mm/memory.h: Added missing string.h include.

2004-12-03 17:40  twisti

	* src/vm/jit/x86_64/: ansidecl.h, dis-buf.c, i386-dis.c, symcat.h:
	  Updated to version gdb-6.2 (just to be up-to-date).

2004-12-03 17:40  twisti

	* src/vm/jit/x86_64/disass.c: - include changes - use MCOPY

2004-12-03 17:39  twisti

	* src/vm/jit/x86_64/: codegen.c, codegen.h: Less important changes.

2004-12-03 17:38  twisti

	* src/vm/jit/x86_64/arch.h: - added SUPPORT_FMOD - fixed typo

2004-12-03 17:25  twisti

	* AUTHORS: Updated.

2004-12-03 17:23  twisti

	* src/threads/green/: locks.c, locks.h, threadio.c, threads.c,
	  threads.h: Made green threads work again.

2004-12-03 17:21  twisti

	* src/threads/native/threads.h: - changed header define - smaller
	  changes

2004-12-03 17:20  twisti

	* src/threads/native/threads.c: - removed memset (NEW uses calloc)
	  - replaced mem_alloc with NEW

2004-12-03 16:46  twisti

	* src/vm/jit/codegen.inc: Removed Michael Gschwind form changes.

2004-12-03 16:45  twisti

	* src/vm/jit/asmpart.h: Moved asm_perform_threadswitch,
	  asm_initialize_thread_stack declarations for green/threads.h.

2004-12-03 16:44  twisti

	* tests/fptest.java: Added gnu header.

2004-12-03 16:44  twisti

	* tests/: jctest.java, jctest.output: - added gnu header - removed
	  testrem0x10001 tests (instruction not used anymore)

2004-12-03 16:42  twisti

	* src/classpath/java/lang/System.java: Adjusted
	  gnu.classpath.home.url to /jre/lib.

2004-12-03 16:28  twisti

	* src/vm/global.h: #define RT_JAR_PATH

2004-12-03 16:27  twisti

	* src/cacao/cacao.c: Automagically set classpath to rt.jar.

2004-12-02 20:35  twisti

	* doc/: collect.doc, gen.doc, array.tex, net.bib, net.tex,
	  threads.tex: Very old stuff.

2004-12-02 17:51  carolyn

	* src/native/natcalls.h: move code from natcalls.h into native.h

2004-12-02 17:47  carolyn

	* src/native/: Makefile.am, native.c, native.h: move code from
	  natcalls.h into native.h

2004-12-02 12:45  twisti

	* doc/cacao.1: Resides in man/.

2004-12-02 11:47  motse

	* src/native/classes.am: include a few more awt-gtk classes

2004-12-02 11:27  twisti

	* src/vm/jit/mips/: asmpart.S, codegen.c: New clinit patch code
	  works now.

2004-12-02 11:26  twisti

	* src/vm/jit/mips/arch.h: #define TRACE_ARGS_NUM

2004-12-02 10:34  twisti

	* src/: threads/green/threads.h, threads/native/threads.h,
	  vm/jit/asmpart.h, vm/jit/tools/genoffsets.c: Moved castinfo
	  struct into asmpart.h.

2004-12-02 10:33  twisti

	* src/native/tools/Makefile.am: Link in different order (problems
	  with no threads).

2004-12-01 17:44  twisti

	* src/vm/jit/powerpc/: arch.h, codegen.h: - moved architecture
	  dependent stuff into arch.h - define TRACE_ARGS_NUM in arch.h

2004-12-01 17:10  twisti

	* src/native/: Makefile.am, classes.am: Forgot to include awt
	  classes with gtk peer.

2004-12-01 17:02  twisti

	* src/cacao/Makefile.am: static-classpath-with-gtk-peer bugfix.

2004-12-01 15:06  twisti

	* src/native/: Makefile.am, classes.am, native.c,
	  include/Makefile.am, vm/Makefile.am: - better build system - try
	  to get this awt-native stuff alright

2004-12-01 15:05  twisti

	* src/cacao/Makefile.am: awt gtk peer fixes.

2004-12-01 15:04  twisti

	* configure.in: - no threads fix - zlib fix - awt gtk peer fixes

2004-12-01 14:21  christian

	* src/vm/jit/stack.c: [no log message]

2004-12-01 14:13  christian

	* src/: cacao/cacao.c, vm/options.c, vm/options.h,
	  vm/jit/i386/codegen.c, vm/jit/mips/codegen.c,
	  vm/jit/x86_64/codegen.c, vm/jit/jit.c, vm/jit/alpha/codegen.c,
	  vm/jit/powerpc/codegen.c: Linear Scan Register Allocator
	  disabled. (with #ifdef LSRA\...\#endif)

2004-12-01 12:55  twisti

	* src/native/vm/VMObjectStreamClass.c: It's now implemented in gnu
	  classpath.

2004-12-01 12:54  twisti

	* configure.in: We have to link against libm for fmod with dynamic
	  library loading. But we link always as this should be the default
	  one day.

2004-12-01 11:42  twisti

	* src/vm/jit/mips/: Makefile.am, arch.h, asmpart.S, codegen.c,
	  codegen.h, disass.h, types.h: New source tree.

2004-12-01 11:40  twisti

	* src/classpath/native/: fdlibm/java-assert.h,
	  jni/java-lang/java_lang_reflect_Array.c: Include config.h for
	  __attribute__ with non gnu compilers.

2004-12-01 11:38  twisti

	* src/classpath/acinclude.m4: Define __attribute__ correctly.

2004-12-01 11:33  twisti

	* src/mm/memory.h: - typecast GCNEW - added MSET

2004-12-01 10:59  twisti

	* src/toolbox/logging.h: Just ifdef panic on darwin. Works
	  perfectly till it's not used anymore.

2004-12-01 10:57  twisti

	* src/vm/jit/powerpc/: Makefile.am, asmpart.S, codegen.c,
	  codegen.h, types.h: New source tree.

2004-12-01 10:57  twisti

	* src/vm/jit/codegen.inc.h: Hmm, forgot to include jit.h...

2004-12-01 10:45  twisti

	* src/cacaoh/headers.c: Bugfix: include <signal.h> before
	  <ucontext.h> in darwin.

2004-11-30 21:42  carolyn

	* src/vm/jit/: stack.c, inline/inline.c, inline/inline.h: Add depth
	  level to ICMD_INLINE_START

2004-11-30 21:03  carolyn

	* src/vm/jit/inline/parseRT.c: Delete automatic rta parsing of
	  java/lang/Runtime.getRuntime

2004-11-30 20:33  carolyn

	* src/vm/: exceptions.c, jit/parse.c: Turned off inlining for
	  verifyerror

2004-11-30 20:22  carolyn

	* src/cacao/cacao.c: Made options rt, xta, vta optional via #define

2004-11-30 20:14  carolyn

	* src/vm/exceptions.c: Turned off inlining for verifyerror

2004-11-30 18:28  twisti

	* src/vm/jit/reg.h: Ok, not this one. To prevent a warning.

2004-11-30 18:25  twisti

	* src/vm/jit/reg.h: Moved typedef's infront of includes.

2004-11-30 16:12  motse

	* src/native/native.c: fix include path for old nat/Gtk* in new
	  source tree

2004-11-30 15:49  twisti

	* src/vm/jit/alpha/: Makefile.am, arch.h, asmpart.S, codegen.c,
	  codegen.h, disass.c, disass.h, types.h: New source tree.

2004-11-30 15:18  twisti

	* src/: vm/jit/i386/Makefile.am, vm/jit/i386/arch.h,
	  vm/jit/i386/asmpart.S, vm/jit/i386/codegen.c,
	  vm/jit/i386/codegen.h, vm/jit/i386/emitfuncs.c,
	  vm/jit/i386/emitfuncs.h, vm/jit/i386/types.h,
	  threads/native/threads.c: New source tree.

2004-11-30 14:18  twisti

	* src/: Makefile.am, cacao/Makefile.am, cacaoh/Makefile.am,
	  native/Makefile.am, native/include/Makefile.am,
	  native/tools/Makefile.am, threads/Makefile.am,
	  threads/native/Makefile.am, vm/Makefile.am,
	  vm/jit/inline/Makefile.am, vm/jit/tools/Makefile.am,
	  vm/jit/verify/Makefile.am: New source tree.

2004-11-30 14:06  twisti

	* Makefile.am, autogen.sh, configure.in, src/boehm-gc/acinclude.m4,
	  src/boehm-gc/autogen.sh, src/boehm-gc/configure.in,
	  src/cacao/cacao.c, src/cacao/cacao.h, src/cacaoh/cacaoh.c,
	  src/cacaoh/headers.c, src/cacaoh/headers.h, src/mm/Makefile.am,
	  src/mm/boehm.c, src/mm/boehm.h, src/mm/memory.c,
	  src/native/jni.c, src/native/jni.h, src/native/natcalls.h,
	  src/native/native.c, src/native/native.h,
	  src/native/tools/gennativetable.c, src/native/vm/Constructor.c,
	  src/native/vm/Field.c, src/native/vm/Makefile.am,
	  src/native/vm/Method.c, src/native/vm/Proxy.c,
	  src/native/vm/VMClass.c, src/native/vm/VMClassLoader.c,
	  src/native/vm/VMObject.c, src/native/vm/VMRuntime.c,
	  src/native/vm/VMSecurityManager.c, src/native/vm/VMString.c,
	  src/native/vm/VMSystem.c, src/native/vm/VMThread.c,
	  src/native/vm/VMThrowable.c, src/threads/green/Makefile.am,
	  src/threads/native/threads.c, src/threads/native/threads.h,
	  src/toolbox/Makefile.am, src/toolbox/avl.c, src/toolbox/chain.c,
	  src/toolbox/list.c, src/toolbox/logging.c, src/toolbox/logging.h,
	  src/toolbox/tree.c, src/vm/builtin.c, src/vm/builtin.h,
	  src/vm/exceptions.c, src/vm/exceptions.h, src/vm/global.h,
	  src/vm/loader.c, src/vm/options.h, src/vm/tables.c,
	  src/vm/jit/Makefile.am, src/vm/jit/asmpart.h,
	  src/vm/jit/codegen.inc, src/vm/jit/codegen.inc.h,
	  src/vm/jit/jit.c, src/vm/jit/jit.h, src/vm/jit/lsra.inc,
	  src/vm/jit/parse.c, src/vm/jit/parse.h, src/vm/jit/reg.h,
	  src/vm/jit/reg.inc, src/vm/jit/stack.c, src/vm/jit/stack.h,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTstats.c, src/vm/jit/inline/sets.c,
	  src/vm/jit/inline/sets.h, src/vm/jit/loop/Makefile.am,
	  src/vm/jit/loop/analyze.c, src/vm/jit/loop/analyze.h,
	  src/vm/jit/loop/graph.c, src/vm/jit/loop/loop.c,
	  src/vm/jit/loop/loop.h, src/vm/jit/loop/tracing.c,
	  src/vm/jit/loop/tracing.h, src/vm/jit/tools/genoffsets.c,
	  src/vm/jit/verify/typecheck.c, src/vm/jit/verify/typecheck.h,
	  src/vm/jit/verify/typeinfo.c, src/vm/jit/verify/typeinfo.h,
	  src/vm/jit/x86_64/Makefile.am, src/vm/jit/x86_64/asmpart.S,
	  src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/codegen.h,
	  src/vm/jit/x86_64/emitfuncs.c, src/vm/jit/x86_64/emitfuncs.h,
	  src/vm/jit/x86_64/types.h: New source tree.

2004-11-30 13:43  twisti

	* src/boehm-gc/ltmain.sh: Should be linked by auto* utils.

2004-11-30 13:37  twisti

	* src/boehm-gc/: config.guess, config.sub, depcomp, install-sh,
	  missing, mkinstalldirs: Should be linked by auto* utils.

2004-11-30 13:36  twisti

	* src/classpath/: install-sh, missing, mkinstalldirs: Should be
	  link by auto* utils.

2004-11-29 19:36  twisti

	* asmpart.h, global.h: New source tree.

2004-11-29 17:55  twisti

	* natcalls.h, nativecalls.h, nativecalls.h.old: New source tree.

2004-11-29 17:18  twisti

	* install-sh, missing, mkinstalldirs: This one should be installed
	  by auto* stuff.

2004-11-29 16:51  twisti

	* gennativetable.c, genoffsets.c, jni.c, jni.h, native.c, native.h,
	  unzip.c, unzip.h, cacaoh.c: New source tree.

2004-11-29 16:27  twisti

	* main.c, main.h, typeinfo.c, typeinfo.h, typeinfo.tst: New source
	  tree.

2004-11-29 13:56  twisti

	* builtin.c, builtin.h, exceptions.c, exceptions.h, headers.c,
	  headers.h, loader.c, loader.h, options.c, options.h,
	  statistics.c, statistics.h, tables.c, tables.h: New source tree.

2004-11-29 11:24  twisti

	* src/vm/jit/i386/codegen.c: Use local xmcode and mcode variables.

2004-11-29 11:11  twisti

	* src/vm/jit/x86_64/codegen.c: Use local xmcode and mcode
	  variables.

2004-11-29 11:06  twisti

	* src/vm/jit/alpha/codegen.c: Small comment typo.

2004-11-29 11:06  twisti

	* src/vm/jit/codegen.inc.h: - indent - removed unneeded variables
	  from clinitref

2004-11-29 10:59  twisti

	* src/vm/jit/i386/codegen.c: Warning fixes.

2004-11-29 10:56  twisti

	* src/vm/jit/mips/: asmpart.S, codegen.c: New clinit patch code
	  (not ready yet).

2004-11-29 10:56  twisti

	* src/vm/jit/mips/codegen.h: Moved register defines into arch.h

2004-11-29 10:56  twisti

	* src/vm/jit/mips/arch.h: Contains architecture stuff from types.h
	  and codegen.h

2004-11-29 10:55  twisti

	* src/vm/jit/mips/types.h: - moved architecture stuff into arch.h -
	  defined ptrint

2004-11-28 18:11  twisti

	* src/mm/memory.c: Check for dig in dump_size().

2004-11-28 18:06  twisti

	* doc/handbook/: cacao.tex, java.bib, jit.tex, loader.tex,
	  runtime.tex, x86.tex, x86_64.tex: Some changes from my thesis.

2004-11-28 17:37  christian

	* src/vm/jit/: lsra.h, lsra.inc: [no log message]

2004-11-26 13:02  twisti

	* src/vm/jit/alpha/codegen.c: Warning fixes, sorry.

2004-11-25 16:49  twisti

	* src/vm/jit/alpha/: asmpart.S, codegen.c, codegen.h: New clinit
	  patch code.

2004-11-25 16:15  twisti

	* src/vm/jit/stack.c: Warning fixes (usage of ptrint).

2004-11-25 16:14  twisti

	* src/vm/jit/jit.h: Move typedef's in front of includes.

2004-11-25 16:14  twisti

	* src/vm/jit/i386/arch.h: #endif typo

2004-11-25 15:17  christian

	* TODO: [no log message]

2004-11-25 14:24  christian

	* main.c, options.c, options.h, src/cacao/cacao.c,
	  src/vm/options.c, src/vm/options.h, src/vm/jit/jit.c,
	  src/vm/jit/lsra.h, src/vm/jit/lsra.inc, src/vm/jit/stack.c,
	  src/vm/jit/alpha/codegen.c, src/vm/jit/i386/codegen.c: [no log
	  message]

2004-11-24 16:26  twisti

	* src/boehm-gc/: AmigaOS.c, MacOS.c, add_gc_prefix.c,
	  aix_irix_threads.c, allchblk.c, alloc.c, autogen.sh, backgraph.c,
	  blacklst.c, checksums.c, configure.in, darwin_stop_world.c,
	  dbg_mlc.c, dyn_load.c, finalize.c, gc_dlopen.c, gcc_support.c,
	  gcj_mlc.c, gcname.c, headers.c, mach_dep.c, malloc.c, mallocx.c,
	  mark.c, mark_rts.c, misc.c, new_hblk.c, obj_map.c, os_dep.c,
	  pcr_interface.c, pthread_stop_world.c, pthread_support.c,
	  ptr_chck.c, real_malloc.c, reclaim.c, solaris_pthreads.c,
	  solaris_threads.c, specific.c, stubborn.c, threadlibs.c,
	  typd_mlc.c, win32_threads.c, include/private/gc_locks.h: Boehm
	  now uses a config.h instead of -D defines to force a
	  recompilation after configure made any changes, like
	  --disable-threads.

2004-11-24 15:30  twisti

	* src/vm/jit/parse.c: Warning fixes.

2004-11-24 15:27  twisti

	* src/vm/jit/alpha/types.h: - moved architecture stuff into arch.h
	  - added ptrint type

2004-11-24 15:27  twisti

	* src/vm/jit/alpha/: arch.h, codegen.h: Moved architecture stuff
	  into arch.h.

2004-11-24 15:20  twisti

	* src/vm/jit/stack.c: Warning fixes.

2004-11-24 15:13  twisti

	* src/vm/jit/i386/: emitfuncs.c, emitfuncs.h: - declare
	  i386_mov_reg_mem

2004-11-24 15:11  twisti

	* src/vm/jit/i386/types.h: Added ptrint type.

2004-11-24 14:57  twisti

	* src/vm/jit/stack.c: Use new `ptrint' type for casts instead of
	  `long'.

2004-11-24 14:57  twisti

	* src/vm/jit/x86_64/: asmpart.S, codegen.c: New clinit patch code.

2004-11-24 14:56  twisti

	* src/vm/jit/x86_64/types.h: typedef a ptrint type to cast function
	  pointers to int.

2004-11-24 14:56  twisti

	* src/vm/jit/x86_64/codegen.h: Include <ucontext.h> instead of
	  <sys/...>.

2004-11-24 14:31  twisti

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: - maybe we should always use `const char *'
	  in function declarations - bugfix: use vpfprintf in
	  throw_cacao_exception_exit

2004-11-24 14:06  twisti

	* src/vm/jit/i386/: asmpart.S, codegen.c: Typo fixed.

2004-11-24 12:18  carolyn

	* TODO: Added Inline items

2004-11-24 10:35  twisti

	* src/classpath/include/config.h.in: It's generated.

2004-11-23 23:19  stefan

	* src/vm/jit/powerpc/machine-instr.h: atomic instructions

2004-11-23 17:07  twisti

	* src/native/vm/VMThrowable.c: Changed field name className to new
	  declaringClass.

2004-11-23 17:06  twisti

	* src/native/vm/VMThread.c: Include required config.h.

2004-11-23 17:05  twisti

	* Makefile.am, configure.in: Further changes.

2004-11-23 17:05  twisti

	* builtin.h, src/vm/builtin.h: Include arch.h.

2004-11-23 17:04  twisti

	* headers.c, src/cacaoh/headers.c: Include ucontext.h.

2004-11-23 17:02  twisti

	* src/mm/memory.h: Include arch.h for CODEMMAP.

2004-11-23 17:02  twisti

	* src/mm/memory.c: Include config.h for USE_THREADS.

2004-11-23 17:01  twisti

	* native.c, src/native/native.c: Removed unneeded #include
	  "nat/java_lang_VMClass.h".

2004-11-23 16:57  twisti

	* src/vm/jit/parse.c: - include config.h - #ifdef -> #if defined

2004-11-23 16:56  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h: - new clinit patch code
	  stuff - i386 warning fixes

2004-11-23 16:55  twisti

	* src/vm/jit/i386/asmpart.S: New clinit patch code.

2004-11-23 16:53  twisti

	* src/vm/jit/i386/codegen.h: Moved architecture dependent stuff
	  into arch.h.

2004-11-23 16:52  twisti

	* src/vm/jit/i386/codegen.c: - use dump memory in stub creation -
	  warning fixes - new PUT/GETSTATIC clinit code

2004-11-23 16:51  twisti

	* src/vm/jit/i386/: emitfuncs.c, emitfuncs.h: Added some direct
	  memory operations for PUT/GETSTATIC commands.

2004-11-23 16:49  twisti

	* src/vm/jit/i386/: arch.h, types.h: Moved architecture dependend
	  stuff into arch.h.

2004-11-23 10:26  stefan

	* ARCH-CHANGES: more

2004-11-23 10:26  stefan

	* TODO: [no log message]

2004-11-22 15:59  motse

	* src/classpath/: include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c: native
	  methods in gnu.java.awt.peer.GtkFramePeer changed

2004-11-22 13:01  carolyn

	* loader.h, src/vm/loader.h, src/vm/jit/parse.c,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h: inline
	  interfaces

2004-11-22 12:05  carolyn

	* tests/: II.java, IIAA.java, IIBB.java, IICC.java, IIexample.java:
	  Add Interface Test

2004-11-19 18:03  twisti

	* src/vm/jit/x86_64/arch.h: Include also unused defines.

2004-11-19 16:53  carolyn

	* tests/rtIn/at/dms/kjc/Main: RT input for dynamic load info for
	  at.dms.kjc.Main

2004-11-19 16:47  carolyn

	* loader.c, loader.h, options.h, src/classpath/include/config.h.in,
	  src/vm/loader.c, src/vm/loader.h, src/vm/options.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTstats.c,
	  src/vm/jit/inline/parseRTstats.h, tests/rtMissedIn0: RTA updates
	  for abstract classes

2004-11-19 16:14  twisti

	* src/toolbox/list.c: Removed unused headers.

2004-11-19 15:38  twisti

	* src/vm/jit/mips/codegen.c: Warning fix.

2004-11-19 15:26  twisti

	* src/vm/jit/verify/typecheck.c: Again a #warning without __GNUC__.
	  Ahhhhhhhhhhhhhh!

2004-11-19 14:17  twisti

	* main.c, src/cacao/cacao.c: System.exit bug fix.

2004-11-19 13:06  twisti

	* src/classpath/: acinclude.m4, configure.ac: Added AC_C_ATTRIBUTE
	  which checks for the __attribute__ keyword.

2004-11-18 17:44  twisti

	* src/classpath/autogen.sh: Call libtoolize to install a proper
	  ltmain.sh (fixes missing .so extension problem).

2004-11-18 17:31  twisti

	* src/classpath/ltmain.sh: Now installed by autogen.sh.

2004-11-18 14:02  twisti

	* Makefile.am: Bug fix: we also need to generate the nativetable
	  entries from the classes which are not generated newly.

2004-11-18 14:01  twisti

	* loader.c, src/vm/loader.c: Bug fix: released filename memory of
	  classpath entries.

2004-11-18 13:25  twisti

	* native.c, options.c, options.h, src/native/native.c,
	  src/vm/options.c, src/vm/options.h, src/vm/jit/parse.c,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/parseRT.c: Renamed
	  verbose to opt_verbose.

2004-11-18 13:22  twisti

	* main.c, src/cacao/cacao.c: Renamed opt_verbose'

2004-11-18 13:21  twisti

	* loader.c, loader.h, src/vm/loader.c, src/vm/loader.h: Use
	  malloc'd memory in suck_init and suck_start and tried to make it
	  a bit clearer.

2004-11-18 13:20  twisti

	* cacaoh.c, src/cacaoh/cacaoh.c: Use global opt_verbose.

2004-11-18 13:19  twisti

	* builtin.c, src/vm/builtin.c: - #include
	  "nat/java_lang_VMObject.h" - renamed `verbose' to `opt_verbose'

2004-11-18 13:17  twisti

	* Makefile.am: First try to get a bootstrap-like build process.

2004-11-18 13:17  twisti

	* src/native/include/java_lang_ClassLoader.h: Updated to
	  classpath-0.12.

2004-11-18 13:13  twisti

	* src/native/vm/Makefile.am: Added unneeded .h files to CLEANFILES.

2004-11-18 13:12  twisti

	* src/native/vm/: Constructor.c, Field.c, Method.c, Proxy.c: -
	  include path fixes - renamed `verbose' to `opt_verbose'

2004-11-18 12:26  twisti

	* src/classpath/: examples/Makefile.am, lib/Makefile.am: Use jikes
	  as preferred compiler.

2004-11-18 11:40  twisti

	* src/native/vm/VMClassLoader.c: Removed unused include.

2004-11-18 11:39  twisti

	* main.c, src/cacao/cacao.c: - removed 2nd jni_init() - call
	  System.exit instead of Runtime.exit (smaller code) - better exit
	  status handling

2004-11-18 11:38  twisti

	* cacaoh.c, src/cacaoh/cacaoh.c: Teach cacaoh -help, -version and
	  -verbose.

2004-11-18 11:37  twisti

	* builtin.c, src/vm/builtin.c: - removed unused include - warning
	  fixes

2004-11-18 11:36  twisti

	* src/threads/native/threads.h: Removed unused include.

2004-11-18 11:30  twisti

	* src/mm/: memory.c, memory.h: Use cacao types instead of int and
	  long.

2004-11-17 21:45  christian

	* src/vm/jit/loop/: analyze.c, analyze.h, graph.c: Use maxlocals,
	  exceptiontable* from codegendata instead of methodinfo

2004-11-17 21:43  christian

	* src/vm/jit/jit.c: codegendata an optimize_loops übergeben

2004-11-17 18:19  twisti

	* Makefile.am, cacaoh.c, headers.c, headers.h, main.c, options.c,
	  options.h, src/cacao/cacao.c, src/cacaoh/cacaoh.c,
	  src/cacaoh/headers.c, src/cacaoh/headers.h, src/vm/options.c,
	  src/vm/options.h: Teach cacaoh to understand -d <dir> to install
	  generated header files into a destination directory. Default is
	  `.'.

2004-11-17 18:06  twisti

	* TODO: A-better-version 1.0.

2004-11-17 17:48  twisti

	* tests/native/: Makefile, testarguments.c, testarguments.java:
	  Test case for native/jni function call arguments. Release 0.01.

2004-11-17 16:50  twisti

	* src/vm/jit/x86_64/: codegen.c, emitfuncs.c: #include "arch.h"

2004-11-17 16:49  twisti

	* src/vm/jit/x86_64/codegen.h: Moved architecture stuff into
	  arch.h.

2004-11-17 16:49  twisti

	* src/vm/jit/x86_64/asmpart.S: Hopefully correct version of the
	  argument-block-to-register copy algorithm.  Much better than the
	  previous one.

2004-11-17 16:48  twisti

	* src/vm/jit/x86_64/types.h: - moved architecture features into
	  arch.h - added gnu header and emacs tailer

2004-11-17 16:47  twisti

	* src/vm/jit/x86_64/arch.h: Define architecture dependent stuff
	  here (mostly from types.h and codegen.h).

2004-11-17 13:49  twisti

	* src/vm/jit/x86_64/asmpart.S: 1. step of implementing
	  asm_calljavafunction2 argument block resolving (we should
	  _really_ rename this function ;-).

2004-11-17 13:34  twisti

	* src/classpath/lib/bootstrap.zip: Update to classpath-0.12.

2004-11-17 12:55  twisti

	* src/mm/memory.h: Removed gc function definitions.

2004-11-17 12:54  twisti

	* src/native/vm/VMString.c: Include path fix.

2004-11-17 12:54  twisti

	* src/native/vm/VMObject.c: Include path fixes.

2004-11-17 12:53  twisti

	* src/native/vm/VMClass.c: Warning fixes.

2004-11-17 12:53  twisti

	* src/native/vm/VMThread.c: - warning fix - include path fix

2004-11-17 12:52  twisti

	* src/native/vm/VMRuntime.c: - fix a nullpointerexception - started
	  to check more exceptions in native/jni calls

2004-11-17 12:45  twisti

	* unzip.c, src/vm/unzip.c: Warning fix.

2004-11-17 12:45  twisti

	* native.c, src/native/native.c: Just some indent.

2004-11-17 12:34  twisti

	* src/threads/native/: threads.c, threads.h: Warning fixes.

2004-11-17 12:32  twisti

	* src/vm/jit/parse.h, src/vm/jit/stack.c,
	  src/vm/jit/verify/typecheck.c, global.h, src/vm/global.h: -ansi
	  warning fixes.

2004-11-17 08:23  christian

	* src/vm/jit/loop/graph.c: ICMD_IF_L* zur Erstellung der "adjacency
	  list for control flow graph(c_dTable) hinzugefügt

2004-11-15 21:31  twisti

	* src/classpath/: ChangeLog-2003,
	  gnu/java/awt/color/CieXyzConverter.java,
	  gnu/java/awt/color/ClutProfileConverter.java,
	  gnu/java/awt/color/ColorLookUpTable.java,
	  gnu/java/awt/color/ColorSpaceConverter.java,
	  gnu/java/awt/color/GrayProfileConverter.java,
	  gnu/java/awt/color/GrayScaleConverter.java,
	  gnu/java/awt/color/LinearRGBConverter.java,
	  gnu/java/awt/color/ProfileHeader.java,
	  gnu/java/awt/color/PyccConverter.java,
	  gnu/java/awt/color/RgbProfileConverter.java,
	  gnu/java/awt/color/SrgbConverter.java,
	  gnu/java/awt/color/TagEntry.java,
	  gnu/java/awt/color/ToneReproductionCurve.java,
	  gnu/java/awt/peer/ClasspathTextLayoutPeer.java,
	  gnu/java/awt/peer/gtk/GdkFontPeer.java,
	  gnu/java/awt/peer/gtk/GdkTextLayout.java,
	  gnu/java/security/action/GetSecurityPropertyAction.java,
	  gnu/java/security/ber/BER.java,
	  gnu/java/security/ber/BEREncodingException.java,
	  gnu/java/security/ber/BERReader.java,
	  gnu/java/security/ber/BERValue.java,
	  gnu/java/security/pkcs/PKCS7SignedData.java,
	  gnu/java/security/pkcs/SignerInfo.java,
	  gnu/java/security/provider/CollectionCertStoreImpl.java,
	  gnu/java/security/provider/EncodedKeyFactory.java,
	  gnu/java/security/provider/GnuDHPublicKey.java,
	  gnu/java/security/provider/GnuRSAPrivateKey.java,
	  gnu/java/security/provider/GnuRSAPublicKey.java,
	  gnu/java/security/provider/MD2withRSA.java,
	  gnu/java/security/provider/MD4withRSA.java,
	  gnu/java/security/provider/MD5withRSA.java,
	  gnu/java/security/provider/PKIXCertPathValidatorImpl.java,
	  gnu/java/security/provider/RSA.java,
	  gnu/java/security/provider/RSAKeyFactory.java,
	  gnu/java/security/provider/SHA1withRSA.java,
	  gnu/java/security/x509/GnuPKIExtension.java,
	  gnu/java/security/x509/PolicyNodeImpl.java,
	  gnu/java/security/x509/Util.java,
	  gnu/java/security/x509/X509CRLSelectorImpl.java,
	  gnu/java/security/x509/X509CertPath.java,
	  gnu/java/security/x509/X509CertSelectorImpl.java,
	  gnu/java/security/x509/ext/AuthorityKeyIdentifier.java,
	  gnu/java/security/x509/ext/BasicConstraints.java,
	  gnu/java/security/x509/ext/CRLNumber.java,
	  gnu/java/security/x509/ext/CertificatePolicies.java,
	  gnu/java/security/x509/ext/ExtendedKeyUsage.java,
	  gnu/java/security/x509/ext/Extension.java,
	  gnu/java/security/x509/ext/GeneralNames.java,
	  gnu/java/security/x509/ext/IssuerAlternativeNames.java,
	  gnu/java/security/x509/ext/KeyUsage.java,
	  gnu/java/security/x509/ext/PolicyConstraint.java,
	  gnu/java/security/x509/ext/PolicyMappings.java,
	  gnu/java/security/x509/ext/PrivateKeyUsagePeriod.java,
	  gnu/java/security/x509/ext/ReasonCode.java,
	  gnu/java/security/x509/ext/SubjectAlternativeNames.java,
	  gnu/java/security/x509/ext/SubjectKeyIdentifier.java,
	  gnu/regexp/RETokenLookAhead.java,
	  include/gnu_java_awt_peer_gtk_GdkFontPeer.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h,
	  include/gnu_java_awt_peer_gtk_GdkTextLayout.h,
	  java/awt/image/BandCombineOp.java,
	  java/awt/image/BandedSampleModel.java,
	  java/awt/image/BufferedImageFilter.java,
	  java/awt/image/ColorConvertOp.java,
	  java/awt/image/ConvolveOp.java, java/awt/image/LookupOp.java,
	  java/awt/image/MultiPixelPackedSampleModel.java,
	  java/awt/image/RescaleOp.java, javax/crypto/package.html,
	  javax/crypto/interfaces/package.html,
	  javax/crypto/spec/package.html, javax/imageio/IIOImage.java,
	  javax/imageio/IIOParam.java,
	  javax/imageio/IIOParamController.java,
	  javax/imageio/ImageIO.java, javax/imageio/ImageReadParam.java,
	  javax/imageio/ImageTypeSpecifier.java,
	  javax/imageio/ImageWriteParam.java,
	  javax/imageio/metadata/IIOInvalidTreeException.java,
	  javax/imageio/metadata/IIOMetadata.java,
	  javax/imageio/metadata/IIOMetadataController.java,
	  javax/imageio/metadata/IIOMetadataFormat.java,
	  javax/imageio/metadata/IIOMetadataFormatImpl.java,
	  javax/imageio/metadata/IIOMetadataNode.java,
	  javax/imageio/metadata/package.html,
	  javax/imageio/spi/IIORegistry.java,
	  javax/imageio/spi/ImageReaderSpi.java,
	  javax/imageio/spi/ImageWriterSpi.java,
	  javax/imageio/stream/FileCacheImageInputStream.java,
	  javax/imageio/stream/FileCacheImageOutputStream.java,
	  javax/imageio/stream/FileImageInputStream.java,
	  javax/imageio/stream/FileImageOutputStream.java,
	  javax/imageio/stream/ImageInputStreamImpl.java,
	  javax/imageio/stream/ImageOutputStreamImpl.java,
	  javax/imageio/stream/MemoryCacheImageInputStream.java,
	  javax/imageio/stream/MemoryCacheImageOutputStream.java,
	  javax/net/package.html, javax/net/ssl/package.html,
	  javax/security/package.html, javax/security/auth/package.html,
	  javax/security/auth/callback/package.html,
	  javax/security/auth/login/package.html,
	  javax/security/auth/spi/LoginModule.java,
	  javax/security/auth/spi/package.html,
	  javax/security/cert/package.html,
	  javax/security/sasl/package.html,
	  javax/swing/plaf/basic/BasicTextPaneUI.java,
	  javax/swing/text/PasswordView.java,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c: Update
	  to classpath-0.12.

2004-11-15 20:59  twisti

	* src/classpath/: ChangeLog, Makefile.am, NEWS, configure.ac,
	  ltmain.sh, doc/hacking.info, doc/hacking.texinfo,
	  examples/gnu/classpath/examples/awt/Demo.java,
	  gnu/classpath/Configuration.java.in,
	  gnu/classpath/ServiceFactory.java,
	  gnu/java/awt/BitwiseXORComposite.java,
	  gnu/java/awt/ClasspathToolkit.java,
	  gnu/java/awt/image/XBMDecoder.java,
	  gnu/java/awt/peer/ClasspathFontPeer.java,
	  gnu/java/awt/peer/GLightweightPeer.java,
	  gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	  gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	  gnu/java/awt/peer/gtk/GdkGraphics.java,
	  gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	  gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	  gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	  gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	  gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	  gnu/java/awt/peer/gtk/GtkClipboard.java,
	  gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFontPeer.java,
	  gnu/java/awt/peer/gtk/GtkFramePeer.java,
	  gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	  gnu/java/awt/peer/gtk/GtkImagePainter.java,
	  gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	  gnu/java/awt/peer/gtk/GtkListPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	  gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  gnu/java/awt/peer/gtk/GtkToolkit.java,
	  gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	  gnu/java/beans/ExplicitBeanInfo.java,
	  gnu/java/beans/IntrospectionIncubator.java,
	  gnu/java/io/Base64InputStream.java,
	  gnu/java/io/EncodingManager.java,
	  gnu/java/net/PlainDatagramSocketImpl.java,
	  gnu/java/net/protocol/file/Handler.java,
	  gnu/java/net/protocol/http/Connection.java,
	  gnu/java/nio/NIODatagramSocket.java,
	  gnu/java/nio/ServerSocketChannelImpl.java,
	  gnu/java/nio/charset/ISO_8859_1.java,
	  gnu/java/nio/charset/US_ASCII.java,
	  gnu/java/nio/charset/UTF_16.java,
	  gnu/java/nio/charset/UTF_16BE.java,
	  gnu/java/nio/charset/UTF_16Encoder.java,
	  gnu/java/nio/charset/UTF_16LE.java,
	  gnu/java/nio/charset/UTF_8.java,
	  gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
	  gnu/java/rmi/server/ConnectionRunnerPool.java,
	  gnu/java/rmi/server/RMIHashes.java,
	  gnu/java/rmi/server/RMIObjectInputStream.java,
	  gnu/java/rmi/server/RMIObjectOutputStream.java,
	  gnu/java/rmi/server/UnicastConnection.java,
	  gnu/java/rmi/server/UnicastConnectionManager.java,
	  gnu/java/rmi/server/UnicastRemoteCall.java,
	  gnu/java/rmi/server/UnicastServer.java,
	  gnu/java/rmi/server/UnicastServerRef.java,
	  gnu/java/security/OID.java, gnu/java/security/PolicyFile.java,
	  gnu/java/security/der/DERReader.java,
	  gnu/java/security/provider/DSAParameters.java,
	  gnu/java/security/provider/DSASignature.java,
	  gnu/java/security/provider/Gnu.java,
	  gnu/java/security/provider/GnuDSAPrivateKey.java,
	  gnu/java/security/provider/GnuDSAPublicKey.java,
	  gnu/java/security/provider/X509CertificateFactory.java,
	  gnu/java/security/x509/X500DistinguishedName.java,
	  gnu/java/security/x509/X509CRL.java,
	  gnu/java/security/x509/X509CRLEntry.java,
	  gnu/java/security/x509/X509Certificate.java,
	  gnu/java/text/BaseBreakIterator.java,
	  gnu/java/text/CharacterBreakIterator.java,
	  gnu/java/text/LineBreakIterator.java,
	  gnu/java/text/SentenceBreakIterator.java,
	  gnu/java/text/WordBreakIterator.java,
	  gnu/javax/rmi/PortableServer.java,
	  gnu/javax/rmi/CORBA/DelegateFactory.java,
	  gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	  gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	  gnu/javax/rmi/CORBA/StubDelegateImpl.java, gnu/regexp/RE.java,
	  include/Makefile.am,
	  include/gnu_java_awt_peer_gtk_GdkFontMetrics.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics2D.h,
	  include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkClipboard.h,
	  include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkGenericPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  include/gnu_java_net_PlainDatagramSocketImpl.h,
	  include/java_io_ObjectInputStream.h, include/java_io_VMFile.h,
	  include/java_lang_Math.h, include/java_lang_VMProcess.h,
	  include/java_net_InetAddress.h, include/jni.h,
	  java/applet/Applet.java, java/applet/AppletContext.java,
	  java/applet/AppletStub.java, java/applet/AudioClip.java,
	  java/awt/AWTKeyStroke.java, java/awt/Button.java,
	  java/awt/Canvas.java, java/awt/CardLayout.java,
	  java/awt/CheckboxMenuItem.java, java/awt/Choice.java,
	  java/awt/Component.java, java/awt/Container.java,
	  java/awt/DefaultFocusTraversalPolicy.java,
	  java/awt/DefaultKeyboardFocusManager.java,
	  java/awt/EventDispatchThread.java, java/awt/FileDialog.java,
	  java/awt/FlowLayout.java, java/awt/Font.java,
	  java/awt/Frame.java, java/awt/Graphics2D.java,
	  java/awt/GraphicsEnvironment.java,
	  java/awt/GridBagConstraints.java, java/awt/GridBagLayout.java,
	  java/awt/GridLayout.java, java/awt/Image.java,
	  java/awt/KeyboardFocusManager.java, java/awt/Label.java,
	  java/awt/List.java, java/awt/MediaTracker.java,
	  java/awt/Menu.java, java/awt/MenuBar.java,
	  java/awt/MenuComponent.java, java/awt/MenuItem.java,
	  java/awt/Panel.java, java/awt/Polygon.java,
	  java/awt/PopupMenu.java, java/awt/ScrollPane.java,
	  java/awt/Scrollbar.java, java/awt/SystemColor.java,
	  java/awt/TextArea.java, java/awt/TextField.java,
	  java/awt/Toolkit.java, java/awt/Window.java,
	  java/awt/color/ICC_ColorSpace.java,
	  java/awt/color/ICC_Profile.java,
	  java/awt/color/ICC_ProfileGray.java,
	  java/awt/color/ICC_ProfileRGB.java,
	  java/awt/datatransfer/Clipboard.java,
	  java/awt/datatransfer/ClipboardOwner.java,
	  java/awt/datatransfer/DataFlavor.java,
	  java/awt/datatransfer/StringSelection.java,
	  java/awt/datatransfer/SystemFlavorMap.java,
	  java/awt/dnd/Autoscroll.java, java/awt/dnd/DropTarget.java,
	  java/awt/dnd/DropTargetContext.java,
	  java/awt/dnd/DropTargetDragEvent.java,
	  java/awt/dnd/peer/DropTargetContextPeer.java,
	  java/awt/event/AdjustmentEvent.java,
	  java/awt/event/InputEvent.java,
	  java/awt/event/InvocationEvent.java,
	  java/awt/event/KeyEvent.java, java/awt/event/MouseEvent.java,
	  java/awt/font/TextAttribute.java, java/awt/font/TextLayout.java,
	  java/awt/geom/AffineTransform.java,
	  java/awt/geom/GeneralPath.java, java/awt/geom/Point2D.java,
	  java/awt/im/InputContext.java,
	  java/awt/im/spi/InputMethodContext.java,
	  java/awt/image/AffineTransformOp.java,
	  java/awt/image/BufferedImage.java,
	  java/awt/image/ByteLookupTable.java,
	  java/awt/image/ColorModel.java,
	  java/awt/image/ComponentColorModel.java,
	  java/awt/image/ComponentSampleModel.java,
	  java/awt/image/CropImageFilter.java,
	  java/awt/image/DataBufferByte.java,
	  java/awt/image/DataBufferDouble.java,
	  java/awt/image/DataBufferFloat.java,
	  java/awt/image/DataBufferInt.java,
	  java/awt/image/DataBufferShort.java,
	  java/awt/image/DataBufferUShort.java,
	  java/awt/image/DirectColorModel.java,
	  java/awt/image/IndexColorModel.java,
	  java/awt/image/MemoryImageSource.java,
	  java/awt/image/PackedColorModel.java,
	  java/awt/image/PixelGrabber.java, java/awt/image/Raster.java,
	  java/awt/image/RasterOp.java, java/awt/image/SampleModel.java,
	  java/awt/image/ShortLookupTable.java,
	  java/awt/image/SinglePixelPackedSampleModel.java,
	  java/awt/peer/MenuBarPeer.java, java/awt/print/Printable.java,
	  java/awt/print/PrinterJob.java, java/beans/Beans.java,
	  java/beans/EventHandler.java, java/beans/EventSetDescriptor.java,
	  java/beans/Introspector.java, java/beans/PropertyDescriptor.java,
	  java/beans/PropertyEditorManager.java,
	  java/beans/PropertyEditorSupport.java,
	  java/beans/beancontext/BeanContext.java,
	  java/beans/beancontext/BeanContextChild.java,
	  java/beans/beancontext/BeanContextChildSupport.java,
	  java/beans/beancontext/BeanContextMembershipEvent.java,
	  java/io/CharArrayWriter.java, java/io/DataInputStream.java,
	  java/io/DataOutputStream.java, java/io/DeleteFileHelper.java,
	  java/io/File.java, java/io/FileDescriptor.java,
	  java/io/FileInputStream.java, java/io/FileOutputStream.java,
	  java/io/FilePermission.java, java/io/InputStreamReader.java,
	  java/io/ObjectInputStream.java, java/io/ObjectOutputStream.java,
	  java/io/ObjectStreamClass.java, java/io/PipedInputStream.java,
	  java/io/PrintStream.java, java/io/RandomAccessFile.java,
	  java/lang/Character.java, java/lang/Class.java,
	  java/lang/ClassLoader.java, java/lang/Math.java,
	  java/lang/Object.java, java/lang/Package.java,
	  java/lang/Process.java, java/lang/Runtime.java,
	  java/lang/SecurityManager.java, java/lang/StackTraceElement.java,
	  java/lang/StrictMath.java, java/lang/StringBuffer.java,
	  java/lang/System.java, java/lang/Thread.java,
	  java/lang/ThreadLocal.java, java/lang/Throwable.java,
	  java/lang/Void.java, java/lang/reflect/AccessibleObject.java,
	  java/lang/reflect/Proxy.java,
	  java/lang/reflect/ReflectPermission.java,
	  java/math/BigDecimal.java, java/math/BigInteger.java,
	  java/net/BindException.java, java/net/ConnectException.java,
	  java/net/ContentHandler.java,
	  java/net/ContentHandlerFactory.java,
	  java/net/DatagramPacket.java, java/net/DatagramSocket.java,
	  java/net/DatagramSocketImpl.java,
	  java/net/DatagramSocketImplFactory.java,
	  java/net/FileNameMap.java, java/net/HttpURLConnection.java,
	  java/net/Inet4Address.java, java/net/Inet6Address.java,
	  java/net/InetAddress.java, java/net/JarURLConnection.java,
	  java/net/MalformedURLException.java,
	  java/net/MimeTypeMapper.java, java/net/MulticastSocket.java,
	  java/net/NetworkInterface.java,
	  java/net/NoRouteToHostException.java,
	  java/net/PasswordAuthentication.java,
	  java/net/PortUnreachableException.java,
	  java/net/ProtocolException.java, java/net/ServerSocket.java,
	  java/net/Socket.java, java/net/SocketException.java,
	  java/net/SocketImpl.java, java/net/SocketImplFactory.java,
	  java/net/SocketOptions.java, java/net/SocketPermission.java,
	  java/net/SocketTimeoutException.java, java/net/URI.java,
	  java/net/URISyntaxException.java, java/net/URL.java,
	  java/net/URLClassLoader.java, java/net/URLConnection.java,
	  java/net/URLDecoder.java, java/net/URLEncoder.java,
	  java/net/URLStreamHandler.java,
	  java/net/URLStreamHandlerFactory.java,
	  java/net/UnknownHostException.java,
	  java/net/UnknownServiceException.java, java/nio/Buffer.java,
	  java/nio/ByteBuffer.java, java/nio/ByteBufferHelper.java,
	  java/nio/ByteOrder.java, java/nio/CharBuffer.java,
	  java/nio/DoubleBuffer.java, java/nio/FloatBuffer.java,
	  java/nio/IntBuffer.java, java/nio/LongBuffer.java,
	  java/nio/MappedByteBuffer.java,
	  java/nio/MappedByteBufferImpl.java, java/nio/ShortBuffer.java,
	  java/nio/channels/Channels.java,
	  java/nio/channels/spi/SelectorProvider.java,
	  java/nio/charset/Charset.java, java/nio/charset/CoderResult.java,
	  java/rmi/MarshalledObject.java, java/rmi/Naming.java,
	  java/rmi/RMISecurityManager.java, java/rmi/Remote.java,
	  java/rmi/activation/Activatable.java,
	  java/rmi/activation/ActivationDesc.java,
	  java/rmi/activation/ActivationGroup.java,
	  java/rmi/activation/ActivationGroupDesc.java,
	  java/rmi/activation/ActivationGroupID.java,
	  java/rmi/activation/ActivationID.java,
	  java/rmi/activation/ActivationInstantiator.java,
	  java/rmi/activation/ActivationMonitor.java,
	  java/rmi/activation/ActivationSystem.java,
	  java/rmi/activation/Activator.java, java/rmi/dgc/DGC.java,
	  java/rmi/dgc/Lease.java, java/rmi/dgc/VMID.java,
	  java/rmi/registry/LocateRegistry.java,
	  java/rmi/registry/Registry.java,
	  java/rmi/registry/RegistryHandler.java,
	  java/rmi/server/LoaderHandler.java,
	  java/rmi/server/LogStream.java, java/rmi/server/ObjID.java,
	  java/rmi/server/Operation.java,
	  java/rmi/server/RMIClassLoader.java,
	  java/rmi/server/RMIClassLoaderSpi.java,
	  java/rmi/server/RMIClientSocketFactory.java,
	  java/rmi/server/RMIFailureHandler.java,
	  java/rmi/server/RMIServerSocketFactory.java,
	  java/rmi/server/RMISocketFactory.java,
	  java/rmi/server/RemoteCall.java,
	  java/rmi/server/RemoteObject.java,
	  java/rmi/server/RemoteRef.java,
	  java/rmi/server/RemoteServer.java,
	  java/rmi/server/RemoteStub.java, java/rmi/server/ServerRef.java,
	  java/rmi/server/Skeleton.java,
	  java/rmi/server/SkeletonMismatchException.java,
	  java/rmi/server/UID.java,
	  java/rmi/server/UnicastRemoteObject.java,
	  java/rmi/server/Unreferenced.java,
	  java/security/AlgorithmParameterGenerator.java,
	  java/security/AlgorithmParameters.java,
	  java/security/AlgorithmParametersSpi.java,
	  java/security/AllPermission.java,
	  java/security/BasicPermission.java,
	  java/security/Certificate.java, java/security/CodeSource.java,
	  java/security/DigestInputStream.java,
	  java/security/DigestOutputStream.java,
	  java/security/GuardedObject.java, java/security/Identity.java,
	  java/security/IdentityScope.java, java/security/KeyFactory.java,
	  java/security/KeyFactorySpi.java,
	  java/security/KeyPairGenerator.java, java/security/KeyStore.java,
	  java/security/KeyStoreSpi.java, java/security/MessageDigest.java,
	  java/security/MessageDigestSpi.java,
	  java/security/Permissions.java, java/security/Policy.java,
	  java/security/SecureRandom.java, java/security/Security.java,
	  java/security/Signature.java, java/security/SignatureSpi.java,
	  java/security/UnresolvedPermission.java,
	  java/security/cert/CertPathBuilder.java,
	  java/security/cert/CertPathValidator.java,
	  java/security/cert/CertStore.java,
	  java/security/cert/Certificate.java,
	  java/security/cert/CertificateFactory.java,
	  java/security/cert/PolicyQualifierInfo.java,
	  java/security/cert/TrustAnchor.java,
	  java/security/cert/X509CRL.java,
	  java/security/cert/X509CRLEntry.java,
	  java/security/cert/X509CRLSelector.java,
	  java/security/cert/X509CertSelector.java,
	  java/security/cert/X509Certificate.java,
	  java/security/spec/DSAParameterSpec.java,
	  java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java,
	  java/sql/Timestamp.java,
	  java/text/AttributedCharacterIterator.java,
	  java/text/AttributedString.java, java/text/BreakIterator.java,
	  java/text/ChoiceFormat.java,
	  java/text/CollationElementIterator.java,
	  java/text/DateFormat.java, java/text/DecimalFormat.java,
	  java/text/DecimalFormatSymbols.java, java/text/Format.java,
	  java/text/MessageFormat.java, java/text/NumberFormat.java,
	  java/text/RuleBasedCollator.java,
	  java/text/SimpleDateFormat.java, java/util/BitSet.java,
	  java/util/Calendar.java, java/util/Collections.java,
	  java/util/Currency.java, java/util/Date.java,
	  java/util/GregorianCalendar.java, java/util/IdentityHashMap.java,
	  java/util/Locale.java, java/util/ResourceBundle.java,
	  java/util/SortedMap.java, java/util/SortedSet.java,
	  java/util/TimeZone.java, java/util/Timer.java,
	  java/util/TreeMap.java, java/util/Vector.java,
	  java/util/jar/JarFile.java,
	  java/util/logging/ConsoleHandler.java,
	  java/util/logging/ErrorManager.java,
	  java/util/logging/FileHandler.java,
	  java/util/logging/Filter.java, java/util/logging/Formatter.java,
	  java/util/logging/Handler.java, java/util/logging/Level.java,
	  java/util/logging/LogManager.java,
	  java/util/logging/LogRecord.java, java/util/logging/Logger.java,
	  java/util/logging/LoggingPermission.java,
	  java/util/logging/MemoryHandler.java,
	  java/util/logging/SimpleFormatter.java,
	  java/util/logging/SocketHandler.java,
	  java/util/logging/StreamHandler.java,
	  java/util/logging/XMLFormatter.java,
	  java/util/prefs/AbstractPreferences.java,
	  java/util/prefs/Preferences.java,
	  java/util/zip/CheckedInputStream.java,
	  java/util/zip/CheckedOutputStream.java,
	  java/util/zip/DeflaterConstants.java,
	  java/util/zip/DeflaterEngine.java,
	  java/util/zip/DeflaterHuffman.java,
	  java/util/zip/DeflaterOutputStream.java,
	  java/util/zip/GZIPInputStream.java,
	  java/util/zip/GZIPOutputStream.java,
	  java/util/zip/InflaterHuffmanTree.java,
	  java/util/zip/InflaterInputStream.java,
	  java/util/zip/OutputWindow.java, java/util/zip/ZipEntry.java,
	  java/util/zip/ZipFile.java, java/util/zip/ZipInputStream.java,
	  java/util/zip/ZipOutputStream.java, javax/crypto/Cipher.java,
	  javax/crypto/EncryptedPrivateKeyInfo.java,
	  javax/crypto/ExemptionMechanism.java,
	  javax/crypto/ExemptionMechanismException.java,
	  javax/crypto/KeyAgreement.java, javax/crypto/KeyGenerator.java,
	  javax/crypto/Mac.java, javax/crypto/MacSpi.java,
	  javax/crypto/SecretKey.java, javax/crypto/SecretKeyFactory.java,
	  javax/crypto/SecretKeyFactorySpi.java,
	  javax/crypto/interfaces/DHPrivateKey.java,
	  javax/crypto/interfaces/DHPublicKey.java,
	  javax/crypto/interfaces/PBEKey.java,
	  javax/crypto/spec/SecretKeySpec.java,
	  javax/imageio/ImageReader.java,
	  javax/imageio/ImageTranscoder.java,
	  javax/imageio/ImageWriter.java,
	  javax/imageio/event/IIOReadProgressListener.java,
	  javax/imageio/event/IIOReadUpdateListener.java,
	  javax/imageio/event/IIOReadWarningListener.java,
	  javax/imageio/event/IIOWriteProgressListener.java,
	  javax/imageio/event/IIOWriteWarningListener.java,
	  javax/imageio/spi/ImageInputStreamSpi.java,
	  javax/imageio/spi/ImageOutputStreamSpi.java,
	  javax/imageio/spi/ServiceRegistry.java,
	  javax/imageio/stream/ImageInputStream.java,
	  javax/imageio/stream/ImageOutputStream.java,
	  javax/naming/directory/BasicAttribute.java,
	  javax/naming/directory/BasicAttributes.java,
	  javax/naming/directory/InitialDirContext.java,
	  javax/naming/directory/ModificationItem.java,
	  javax/naming/directory/SearchControls.java,
	  javax/naming/event/NamingEvent.java,
	  javax/naming/event/NamingListener.java,
	  javax/naming/ldap/Control.java,
	  javax/naming/ldap/ControlFactory.java,
	  javax/naming/ldap/ExtendedRequest.java,
	  javax/naming/ldap/ExtendedResponse.java,
	  javax/naming/ldap/InitialLdapContext.java,
	  javax/naming/ldap/LdapReferralException.java,
	  javax/naming/spi/DirObjectFactory.java,
	  javax/naming/spi/DirStateFactory.java,
	  javax/naming/spi/DirectoryManager.java,
	  javax/naming/spi/InitialContextFactory.java,
	  javax/naming/spi/InitialContextFactoryBuilder.java,
	  javax/naming/spi/NamingManager.java,
	  javax/naming/spi/ObjectFactory.java,
	  javax/naming/spi/ObjectFactoryBuilder.java,
	  javax/naming/spi/StateFactory.java,
	  javax/net/ssl/HandshakeCompletedEvent.java,
	  javax/net/ssl/KeyManagerFactory.java,
	  javax/net/ssl/SSLContext.java,
	  javax/net/ssl/SSLServerSocket.java,
	  javax/net/ssl/SSLServerSocketFactory.java,
	  javax/net/ssl/SSLSession.java,
	  javax/net/ssl/SSLSocketFactory.java,
	  javax/net/ssl/TrustManagerFactory.java,
	  javax/print/DocFlavor.java,
	  javax/print/attribute/standard/ColorSupported.java,
	  javax/print/attribute/standard/Compression.java,
	  javax/print/attribute/standard/Copies.java,
	  javax/print/attribute/standard/CopiesSupported.java,
	  javax/print/attribute/standard/DateTimeAtCompleted.java,
	  javax/print/attribute/standard/DateTimeAtCreation.java,
	  javax/print/attribute/standard/DateTimeAtProcessing.java,
	  javax/print/attribute/standard/DocumentName.java,
	  javax/print/attribute/standard/Fidelity.java,
	  javax/print/attribute/standard/Finishings.java,
	  javax/print/attribute/standard/JobHoldUntil.java,
	  javax/print/attribute/standard/JobImpressions.java,
	  javax/print/attribute/standard/JobImpressionsCompleted.java,
	  javax/print/attribute/standard/JobImpressionsSupported.java,
	  javax/print/attribute/standard/JobKOctets.java,
	  javax/print/attribute/standard/JobKOctetsProcessed.java,
	  javax/print/attribute/standard/JobKOctetsSupported.java,
	  javax/print/attribute/standard/JobMediaSheets.java,
	  javax/print/attribute/standard/JobMediaSheetsCompleted.java,
	  javax/print/attribute/standard/JobMediaSheetsSupported.java,
	  javax/print/attribute/standard/JobMessageFromOperator.java,
	  javax/print/attribute/standard/JobName.java,
	  javax/print/attribute/standard/JobOriginatingUserName.java,
	  javax/print/attribute/standard/JobPriority.java,
	  javax/print/attribute/standard/JobPrioritySupported.java,
	  javax/print/attribute/standard/JobSheets.java,
	  javax/print/attribute/standard/JobState.java,
	  javax/print/attribute/standard/JobStateReason.java,
	  javax/print/attribute/standard/JobStateReasons.java,
	  javax/print/attribute/standard/Media.java,
	  javax/print/attribute/standard/MultipleDocumentHandling.java,
	  javax/print/attribute/standard/NumberOfDocuments.java,
	  javax/print/attribute/standard/NumberOfInterveningJobs.java,
	  javax/print/attribute/standard/NumberUp.java,
	  javax/print/attribute/standard/NumberUpSupported.java,
	  javax/print/attribute/standard/OrientationRequested.java,
	  javax/print/attribute/standard/OutputDeviceAssigned.java,
	  javax/print/attribute/standard/PDLOverrideSupported.java,
	  javax/print/attribute/standard/PageRanges.java,
	  javax/print/attribute/standard/PagesPerMinute.java,
	  javax/print/attribute/standard/PagesPerMinuteColor.java,
	  javax/print/attribute/standard/PrintQuality.java,
	  javax/print/attribute/standard/PrinterInfo.java,
	  javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
	  javax/print/attribute/standard/PrinterLocation.java,
	  javax/print/attribute/standard/PrinterMakeAndModel.java,
	  javax/print/attribute/standard/PrinterMessageFromOperator.java,
	  javax/print/attribute/standard/PrinterMoreInfo.java,
	  javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
	  javax/print/attribute/standard/PrinterName.java,
	  javax/print/attribute/standard/PrinterStateReason.java,
	  javax/print/attribute/standard/PrinterStateReasons.java,
	  javax/print/attribute/standard/PrinterURI.java,
	  javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
	  javax/print/attribute/standard/RequestingUserName.java,
	  javax/security/auth/Subject.java,
	  javax/security/auth/login/Configuration.java,
	  javax/security/auth/login/LoginContext.java,
	  javax/security/auth/login/NullConfiguration.java,
	  javax/security/auth/x500/X500Principal.java,
	  javax/security/auth/x500/X500PrivateCredential.java,
	  javax/security/cert/X509CertBridge.java,
	  javax/security/cert/X509Certificate.java,
	  javax/security/sasl/AuthenticationException.java,
	  javax/security/sasl/AuthorizeCallback.java,
	  javax/security/sasl/RealmCallback.java,
	  javax/security/sasl/RealmChoiceCallback.java,
	  javax/security/sasl/Sasl.java,
	  javax/security/sasl/SaslClient.java,
	  javax/security/sasl/SaslClientFactory.java,
	  javax/security/sasl/SaslException.java,
	  javax/security/sasl/SaslServer.java,
	  javax/security/sasl/SaslServerFactory.java,
	  javax/sql/XAConnection.java, javax/swing/AbstractAction.java,
	  javax/swing/AbstractButton.java,
	  javax/swing/AbstractCellEditor.java,
	  javax/swing/AbstractListModel.java,
	  javax/swing/AbstractSpinnerModel.java,
	  javax/swing/ActionMap.java, javax/swing/BorderFactory.java,
	  javax/swing/Box.java, javax/swing/ButtonModel.java,
	  javax/swing/CellEditor.java, javax/swing/CellRendererPane.java,
	  javax/swing/DebugGraphics.java,
	  javax/swing/DefaultBoundedRangeModel.java,
	  javax/swing/DefaultButtonModel.java,
	  javax/swing/DefaultCellEditor.java,
	  javax/swing/DefaultDesktopManager.java,
	  javax/swing/DefaultListCellRenderer.java,
	  javax/swing/DefaultListSelectionModel.java,
	  javax/swing/DefaultSingleSelectionModel.java,
	  javax/swing/FocusManager.java, javax/swing/GrayFilter.java,
	  javax/swing/InputMap.java, javax/swing/InputVerifier.java,
	  javax/swing/JApplet.java, javax/swing/JCheckBox.java,
	  javax/swing/JCheckBoxMenuItem.java,
	  javax/swing/JColorChooser.java, javax/swing/JComboBox.java,
	  javax/swing/JComponent.java, javax/swing/JDesktopPane.java,
	  javax/swing/JDialog.java, javax/swing/JEditorPane.java,
	  javax/swing/JFileChooser.java,
	  javax/swing/JFormattedTextField.java, javax/swing/JFrame.java,
	  javax/swing/JInternalFrame.java, javax/swing/JLabel.java,
	  javax/swing/JLayeredPane.java, javax/swing/JList.java,
	  javax/swing/JMenu.java, javax/swing/JMenuBar.java,
	  javax/swing/JMenuItem.java, javax/swing/JOptionPane.java,
	  javax/swing/JPanel.java, javax/swing/JPasswordField.java,
	  javax/swing/JPopupMenu.java, javax/swing/JRadioButton.java,
	  javax/swing/JRadioButtonMenuItem.java,
	  javax/swing/JRootPane.java, javax/swing/JScrollBar.java,
	  javax/swing/JScrollPane.java, javax/swing/JSpinner.java,
	  javax/swing/JSplitPane.java, javax/swing/JTabbedPane.java,
	  javax/swing/JTable.java, javax/swing/JTextArea.java,
	  javax/swing/JTextField.java, javax/swing/JTextPane.java,
	  javax/swing/JToggleButton.java, javax/swing/JToolBar.java,
	  javax/swing/JToolTip.java, javax/swing/JTree.java,
	  javax/swing/JViewport.java, javax/swing/JWindow.java,
	  javax/swing/KeyStroke.java, javax/swing/ListModel.java,
	  javax/swing/LookAndFeel.java,
	  javax/swing/MenuSelectionManager.java,
	  javax/swing/ProgressMonitorInputStream.java,
	  javax/swing/RepaintManager.java,
	  javax/swing/RootPaneContainer.java,
	  javax/swing/ScrollPaneLayout.java, javax/swing/SpinnerModel.java,
	  javax/swing/SpinnerNumberModel.java,
	  javax/swing/SpringLayout.java, javax/swing/SwingUtilities.java,
	  javax/swing/Timer.java, javax/swing/ToolTipManager.java,
	  javax/swing/TransferHandler.java, javax/swing/UIDefaults.java,
	  javax/swing/UIManager.java, javax/swing/border/MatteBorder.java,
	  javax/swing/colorchooser/AbstractColorChooserPanel.java,
	  javax/swing/colorchooser/ColorSelectionModel.java,
	  javax/swing/colorchooser/DefaultColorSelectionModel.java,
	  javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	  javax/swing/colorchooser/DefaultPreviewPanel.java,
	  javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	  javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
	  javax/swing/event/AncestorEvent.java,
	  javax/swing/event/HyperlinkEvent.java,
	  javax/swing/event/InternalFrameEvent.java,
	  javax/swing/event/MenuDragMouseEvent.java,
	  javax/swing/event/MenuKeyEvent.java,
	  javax/swing/event/TableColumnModelEvent.java,
	  javax/swing/event/TableModelEvent.java,
	  javax/swing/event/TreeExpansionEvent.java,
	  javax/swing/event/TreeModelEvent.java,
	  javax/swing/event/TreeSelectionEvent.java,
	  javax/swing/event/TreeWillExpandListener.java,
	  javax/swing/event/UndoableEditEvent.java,
	  javax/swing/filechooser/FileView.java,
	  javax/swing/plaf/BorderUIResource.java,
	  javax/swing/plaf/ComponentUI.java,
	  javax/swing/plaf/FileChooserUI.java,
	  javax/swing/plaf/IconUIResource.java,
	  javax/swing/plaf/ListUI.java, javax/swing/plaf/PopupMenuUI.java,
	  javax/swing/plaf/SplitPaneUI.java,
	  javax/swing/plaf/TabbedPaneUI.java, javax/swing/plaf/TextUI.java,
	  javax/swing/plaf/TreeUI.java,
	  javax/swing/plaf/basic/BasicArrowButton.java,
	  javax/swing/plaf/basic/BasicBorders.java,
	  javax/swing/plaf/basic/BasicButtonListener.java,
	  javax/swing/plaf/basic/BasicButtonUI.java,
	  javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	  javax/swing/plaf/basic/BasicColorChooserUI.java,
	  javax/swing/plaf/basic/BasicComboBoxEditor.java,
	  javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	  javax/swing/plaf/basic/BasicComboBoxUI.java,
	  javax/swing/plaf/basic/BasicComboPopup.java,
	  javax/swing/plaf/basic/BasicDesktopIconUI.java,
	  javax/swing/plaf/basic/BasicDesktopPaneUI.java,
	  javax/swing/plaf/basic/BasicGraphicsUtils.java,
	  javax/swing/plaf/basic/BasicIconFactory.java,
	  javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
	  javax/swing/plaf/basic/BasicInternalFrameUI.java,
	  javax/swing/plaf/basic/BasicListUI.java,
	  javax/swing/plaf/basic/BasicLookAndFeel.java,
	  javax/swing/plaf/basic/BasicMenuBarUI.java,
	  javax/swing/plaf/basic/BasicMenuItemUI.java,
	  javax/swing/plaf/basic/BasicMenuUI.java,
	  javax/swing/plaf/basic/BasicOptionPaneUI.java,
	  javax/swing/plaf/basic/BasicPasswordFieldUI.java,
	  javax/swing/plaf/basic/BasicPopupMenuSeparatorUI.java,
	  javax/swing/plaf/basic/BasicPopupMenuUI.java,
	  javax/swing/plaf/basic/BasicProgressBarUI.java,
	  javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
	  javax/swing/plaf/basic/BasicRootPaneUI.java,
	  javax/swing/plaf/basic/BasicScrollBarUI.java,
	  javax/swing/plaf/basic/BasicSeparatorUI.java,
	  javax/swing/plaf/basic/BasicSliderUI.java,
	  javax/swing/plaf/basic/BasicSpinnerUI.java,
	  javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	  javax/swing/plaf/basic/BasicSplitPaneUI.java,
	  javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	  javax/swing/plaf/basic/BasicTableHeaderUI.java,
	  javax/swing/plaf/basic/BasicTableUI.java,
	  javax/swing/plaf/basic/BasicTextAreaUI.java,
	  javax/swing/plaf/basic/BasicTextFieldUI.java,
	  javax/swing/plaf/basic/BasicTextUI.java,
	  javax/swing/plaf/basic/BasicToolBarSeparatorUI.java,
	  javax/swing/plaf/basic/BasicToolBarUI.java,
	  javax/swing/plaf/basic/BasicToolTipUI.java,
	  javax/swing/plaf/basic/BasicTreeUI.java,
	  javax/swing/plaf/basic/BasicViewportUI.java,
	  javax/swing/plaf/basic/ComboPopup.java,
	  javax/swing/plaf/metal/MetalLookAndFeel.java,
	  javax/swing/table/AbstractTableModel.java,
	  javax/swing/table/DefaultTableCellRenderer.java,
	  javax/swing/table/DefaultTableColumnModel.java,
	  javax/swing/table/DefaultTableModel.java,
	  javax/swing/table/JTableHeader.java,
	  javax/swing/table/TableCellEditor.java,
	  javax/swing/table/TableCellRenderer.java,
	  javax/swing/table/TableColumn.java,
	  javax/swing/table/TableColumnModel.java,
	  javax/swing/text/AbstractDocument.java,
	  javax/swing/text/AttributeSet.java, javax/swing/text/Caret.java,
	  javax/swing/text/DefaultCaret.java,
	  javax/swing/text/DefaultEditorKit.java,
	  javax/swing/text/DefaultHighlighter.java,
	  javax/swing/text/Document.java,
	  javax/swing/text/DocumentFilter.java,
	  javax/swing/text/EditorKit.java,
	  javax/swing/text/GapContent.java,
	  javax/swing/text/Highlighter.java,
	  javax/swing/text/JTextComponent.java,
	  javax/swing/text/LayeredHighlighter.java,
	  javax/swing/text/NavigationFilter.java,
	  javax/swing/text/PlainDocument.java,
	  javax/swing/text/PlainView.java,
	  javax/swing/text/SimpleAttributeSet.java,
	  javax/swing/text/StyleConstants.java,
	  javax/swing/text/StyleContext.java,
	  javax/swing/text/StyledEditorKit.java,
	  javax/swing/text/TextAction.java,
	  javax/swing/text/Utilities.java, javax/swing/text/View.java,
	  javax/swing/tree/AbstractLayoutCache.java,
	  javax/swing/tree/DefaultTreeCellEditor.java,
	  javax/swing/tree/DefaultTreeCellRenderer.java,
	  javax/swing/tree/DefaultTreeModel.java,
	  javax/swing/tree/DefaultTreeSelectionModel.java,
	  javax/swing/tree/FixedHeightLayoutCache.java,
	  javax/swing/tree/TreeCellEditor.java,
	  javax/swing/tree/TreeCellRenderer.java,
	  javax/swing/tree/TreeSelectionModel.java,
	  javax/swing/tree/VariableHeightLayoutCache.java,
	  javax/swing/undo/AbstractUndoableEdit.java,
	  javax/swing/undo/UndoableEditSupport.java, lib/Makefile.am,
	  lib/gen-classlist.sh.in, native/Makefile.am,
	  native/fdlibm/Makefile.am, native/jni/classpath/Makefile.am,
	  native/jni/gtk-peer/Makefile.am, native/jni/gtk-peer/gdkfont.h,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	  native/jni/gtk-peer/gtkpeer.h, native/jni/java-io/Makefile.am,
	  native/jni/java-io/java_io_ObjectInputStream.c,
	  native/jni/java-io/java_io_VMFile.c,
	  native/jni/java-io/java_io_VMObjectStreamClass.c,
	  native/jni/java-io/javaio.c, native/jni/java-io/javaio.h,
	  native/jni/java-lang/Makefile.am,
	  native/jni/java-lang/java_lang_Double.c,
	  native/jni/java-lang/java_lang_Math.c,
	  native/jni/java-lang/java_lang_Object.c,
	  native/jni/java-lang/java_lang_VMDouble.c,
	  native/jni/java-lang/java_lang_VMFloat.c,
	  native/jni/java-lang/java_lang_VMSystem.c,
	  native/jni/java-lang/java_lang_reflect_Array.c,
	  native/jni/java-net/Makefile.am,
	  native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c,
	  native/jni/java-net/gnu_java_net_PlainSocketImpl.c,
	  native/jni/java-net/java_net_InetAddress.c,
	  native/jni/java-net/java_net_NetworkInterface.c,
	  native/jni/java-net/javanet.c, native/jni/java-nio/Makefile.am,
	  native/jni/java-nio/gnu_java_nio_NIOServerSocket.c,
	  native/jni/java-nio/gnu_java_nio_VMPipe.c,
	  native/jni/java-nio/gnu_java_nio_VMSelector.c,
	  native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c,
	  native/jni/java-nio/java_nio_DirectByteBufferImpl.c,
	  native/jni/java-nio/java_nio_MappedByteBufferImpl.c,
	  native/jni/java-nio/java_nio_channels_Channels.c,
	  native/jni/java-util/Makefile.am,
	  native/jni/java-util/java_util_VMTimeZone.c,
	  native/target/generic/target_generic_network.h,
	  vm/reference/java/io/VMFile.java,
	  vm/reference/java/lang/VMClassLoader.java,
	  vm/reference/java/lang/VMProcess.java,
	  vm/reference/java/lang/reflect/Method.java,
	  vm/reference/java/util/VMTimeZone.java: Update to classpath-0.12.

2004-11-15 20:17  twisti

	* src/classpath/: gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	  include/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.h,
	  include/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.h,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c:
	  Removed.

2004-11-15 20:17  twisti

	*
	  src/classpath/gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java:
	  gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java

2004-11-15 17:26  twisti

	* src/classpath/: config.guess, config.sub, depcomp: Trash.

2004-11-15 09:34  carolyn

	* loader.c, src/vm/loader.c, src/vm/jit/inline/parseRT.c,
	  tests/In1.java, tests/rtMissedIn0: rta invoke interface updates

2004-11-14 18:02  jowenn

	* src/vm/jit/alpha/codegen.c: skip new instructions for now

2004-11-14 15:48  jowenn

	* builtin.c, src/vm/builtin.c, src/classpath/lib/glibj.zip,
	  src/vm/jit/jit.c, src/vm/jit/jit.h, src/vm/jit/inline/inline.c,
	  src/vm/jit/inline/inline.h, src/vm/jit/parse.c,
	  src/vm/jit/reg.inc, src/vm/jit/stack.c,
	  src/vm/jit/verify/typecheck.c, src/native/vm/VMRuntime.c,
	  src/vm/jit/i386/codegen.c, tests/InlineExTest.java,
	  tests/InlineExTest3.java, tests/InlineExTest4.java,
	  tests/InlineSynchronized.java, tests/InlineSynchronized2.java,
	  tests/InlineSynchronized3.java, tests/InlineSynchronized4.java,
	  tests/InlineSynchronized5.java, tests/InlineSynchronized6.java: 2
	  new icmds, new exception table ordering for inlining, exception
	  handler fix for synchronized methods, one typecheck test
	  temporarily disabled for the inlining case

2004-11-14 15:15  jowenn

	* main.c, src/cacao/cacao.c: better exit with status, instead of
	  hardcoded one

2004-11-14 14:46  jowenn

	* main.c, src/cacao/cacao.c: exit with an error code of 1 if cacao
	  exits because of an  uncaught exception

2004-11-14 13:58  twisti

	* src/vm/jit/codegen.inc: c89 fix.

2004-11-12 19:32  motse

	* src/vm/jit/codegen.inc: fix // comment

2004-11-12 17:36  twisti

	* src/vm/jit/powerpc/: asmpart.S, codegen.c: Use exception
	  generating functions.

2004-11-12 17:35  twisti

	* src/vm/jit/powerpc/types.h: -ansi -pedantic bug fixes.

2004-11-12 16:52  twisti

	* src/mm/memory.c: Include <sys/types.h> on darwin before
	  <sys/mman.h>, this is a bug fix for -ansi compilation.

2004-11-12 15:53  twisti

	* src/boehm-gc/include/private/gc_locks.h: If we compile with -ansi
	  or c89 compilers, we have to define: #define inline __inline

2004-11-12 15:13  twisti

	* native.c, src/native/native.c: -ansi -pedantic fixes.

2004-11-12 15:05  twisti

	* global.h, src/vm/global.h: -ansi -pedantic fixes.

2004-11-12 14:37  twisti

	* configure.in: - use -ansi -pedantic under *linux* and *darwin* -
	  removed unused AC_SUBST(COMPILER_OBJECTS)

2004-11-12 14:33  twisti

	* src/: boehm-gc/include/private/gc_locks.h,
	  boehm-gc/include/private/gcconfig.h, native/vm/VMRuntime.c,
	  mm/memory.c, mm/memory.h, threads/green/threads.c,
	  threads/green/threads.h: -ansi -pedantic fixes.

2004-11-12 14:32  twisti

	* src/boehm-gc/configure.host: We do not use c++, so omit
	  -fexceptions.

2004-11-12 14:29  twisti

	* src/vm/jit/: jit.c, jit.h, parse.c, inline/parseRT.c,
	  inline/parseRTstats.c, reg.h, x86_64/codegen.c: -ansi -pedantic
	  fixes.

2004-11-12 14:26  twisti

	* jni.c, src/native/jni.c, loader.c, src/vm/loader.c,
	  src/classpath/native/fdlibm/java-assert.h,
	  src/vm/jit/codegen.inc, src/vm/jit/codegen.inc.h,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h: -ansi
	  -pedantic fixes.

2004-11-12 14:26  twisti

	* headers.c, src/cacaoh/headers.c: Removed warnings.

2004-11-12 14:25  twisti

	* exceptions.c, src/vm/exceptions.c: Removed warning: cast s4 to s8
	  on 64-bit machines.

2004-11-12 14:24  twisti

	* builtin.c, src/vm/builtin.c: Removed warning.

2004-11-12 12:31  twisti

	* src/mm/memory.c: #ifdef's for MAP_ANONYMOUS, MAP_ANON and of none
	  is available.

2004-11-12 12:26  twisti

	* configure.in: Check for MAP_ANON (needed for darwin) and removed
	  MAP_ANONYMOUS defines in CFLAGS. Made problems with boehm on
	  darwin.

2004-11-12 12:25  twisti

	* src/native/vm/VMRuntime.c: Implemented availableProcessors() for
	  darwin.

2004-11-12 11:02  twisti

	* Makefile.am: ZIP_LIBS in dependencies make some problems.

2004-11-11 15:41  twisti

	* src/vm/jit/mips/: codegen.c, codegen.h: - compiler data structure
	  changes - fixed bug in CHECKEXCEPTION handling code

2004-11-11 15:40  twisti

	* src/vm/jit/mips/asmpart.S: - fixed clinit exceptions - use
	  exception generating functions

2004-11-11 15:40  twisti

	* src/vm/jit/verify/typecheck.c: #ifdef #warning (mipspro
	  compiler).

2004-11-11 15:39  twisti

	* tables.c, src/vm/tables.c: Handle null pointers in utf_display,
	  utf_display_classname, utf_sprint and utf_sprint_classname.

2004-11-11 15:37  twisti

	* main.c, src/cacao/cacao.c: Check for init_system_exceptions
	  errors.

2004-11-11 15:37  twisti

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: Check for loading/linking errors in
	  init_system_exceptions.

2004-11-11 12:16  twisti

	* src/vm/jit/powerpc/: codegen.c, codegen.h: Compiler data
	  structure changes.

2004-11-11 12:16  twisti

	* src/vm/jit/jit.c: Pass registerdata to preregpass.

2004-11-11 11:47  twisti

	* src/vm/jit/powerpc/: codegen.c, codegen.h: Part 1 of powerpc
	  changes.

2004-11-11 11:31  twisti

	* src/vm/jit/powerpc/machine-instr.h: Additional #endif removed.

2004-11-11 11:27  twisti

	* src/vm/jit/codegen.inc: Defines in reg_of_var for __POWERPC__, so
	  we can remove the version in jit/powerpc/codegen.c.

2004-11-11 11:09  carolyn

	* main.c, options.c, options.h, src/cacao/cacao.c,
	  src/vm/options.c, src/vm/options.h, src/vm/jit/inline/inline.c,
	  src/vm/jit/jit.c, tests/In1.java: inline corrections to if test;
	  PRIVATE now inlined; warning if inlined method flags wrong; only
	  inline starting with main; added inline performance test

2004-11-10 11:33  carolyn

	* main.c, src/cacao/cacao.c, src/vm/jit/inline/parseRT.c: -inv sets
	  opt_rt=true / moved rtMissed inputs to rtIn directory

2004-11-09 16:56  carolyn

	* src/vm/jit/inline/inline.c, tests/rtMissedIn0: inline virtuals
	  update (need to use -rt -inv together) + updated list of methods
	  missed, but always called

2004-11-09 12:54  motse

	* jni.c, src/native/jni.c: fix delayed jni init for disabled
	  threads build

2004-11-08 23:57  motse

	* jni.c, main.c, src/cacao/cacao.c, src/native/jni.c: delay jni
	  init til the firt NewGlobalRef call

2004-11-08 22:08  carolyn

	* src/vm/jit/inline/: parseRT.c, parseRTstats.c, parseRTstats.h:
	  update to RT statistics for verbose

2004-11-08 14:29  twisti

	* src/vm/jit/alpha/: codegen.c, codegen.h: Compiler data structure
	  changes.

2004-11-08 14:13  twisti

	* src/vm/jit/alpha/Makefile.am: Removed unused sigcontext.h.

2004-11-08 12:24  twisti

	* src/vm/jit/: codegen.inc, jit.c, reg.inc, x86_64/codegen.c: We
	  again use the dump memory in the jit compiler.

2004-11-08 12:08  twisti

	* main.c, native.h, src/cacao/cacao.c, src/native/native.h,
	  src/native/vm/VMRuntime.c: Handle properties in a much better and
	  clearer way.

2004-11-07 11:33  motse

	*
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c:
	  remove my debug statements

2004-11-06 23:55  motse

	* jni.c, native.c, src/classpath/config.guess,
	  src/classpath/config.sub, src/classpath/ltmain.sh,
	  src/native/jni.c, src/native/native.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c:
	  remove dummy implementation of GdkGraphics GdkPixbufDecoder
	  native functions

2004-11-06 22:20  motse

	* src/vm/jit/codegen.inc: add escape character for underscore to
	  codegen_resolve_native

2004-11-06 16:08  motse

	* src/vm/jit/parse.c: correct exception handler range checks

2004-11-05 17:23  twisti

	* src/vm/jit/i386/: codegen.c, codegen.h: Compiler data structure
	  changes.

2004-11-05 17:23  twisti

	* src/vm/jit/i386/asmpart.S: Made code patch thread safe in
	  check_clinit.

2004-11-05 17:23  twisti

	* src/vm/jit/reg.inc: Removed obsolete %ecx, %edx stuff.

2004-11-05 16:33  twisti

	* src/vm/jit/codegen.inc.h: Move typedefs in front of includes to
	  resolve circular dependencies.

2004-11-05 16:05  twisti

	* Makefile.am: Added java.util.VMTimeZone to CLASSES.

2004-11-05 15:33  twisti

	* src/vm/jit/: codegen.inc, codegen.inc.h, jit.c, jit.h,
	  inline/inline.c, inline/inline.h, parse.c, parse.h, reg.h,
	  reg.inc, stack.c, stack.h, verify/typecheck.c,
	  verify/typecheck.h: Compiler data structure changes. This one is
	  huge!

2004-11-05 15:26  twisti

	* tests/extest.java: Check messages of some exceptions.

2004-11-05 15:19  twisti

	* src/vm/jit/loop/: analyze.c, analyze.h, graph.c, graph.h, loop.c,
	  loop.h, tracing.c, tracing.h: Adapted reentrant compiler fixes
	  from christian ullrich.

2004-11-05 15:18  twisti

	* src/vm/jit/i386/codegen.c: Use exception functions to generate
	  inline exception. This leads to smaller code size.

2004-11-05 15:16  twisti

	* src/vm/jit/i386/asmpart.S: Use
	  new_arrayindexoutofboundsexception.

2004-11-05 15:14  twisti

	* src/vm/jit/x86_64/: codegen.c, codegen.h, emitfuncs.c,
	  emitfuncs.h: Again changes concerning compiler data structures.
	  This one is huge!

2004-11-05 15:13  twisti

	* src/vm/jit/x86_64/asmpart.S: - made code patching thread safe in
	  check_clinit (use only 1 move) - use exception functions

2004-11-05 15:08  twisti

	* src/native/vm/VMRuntime.c: Ahm, umh, just a commit to move my
	  changes into cvs to implement it correctly.

2004-11-05 15:06  twisti

	* src/native/vm/VMThrowable.c: Call Class.getName() to get print
	  the class name in the stacktrace as sun does.

2004-11-05 15:00  twisti

	* src/native/vm/VMClassLoader.c: - made defineClass to work -
	  handle exceptions in getPrimitiveClass

2004-11-05 14:58  twisti

	* src/native/vm/VMClass.c: Implemented throwException. Can't
	  remember but we need it for something (maybe tomcat).

2004-11-05 14:55  twisti

	* tables.c, src/vm/tables.c: Throw nullpointer exception in
	  utf_strlen if NULL is passed.

2004-11-05 14:54  twisti

	* native.c, src/native/native.c: Throw nullpointer exceptions in
	  javastring_new_char, javastring_new if NULL is passed.

2004-11-05 14:53  twisti

	* loader.c, src/vm/loader.c: Don't clear removed registerdata.

2004-11-05 14:51  twisti

	* global.h, src/vm/global.h: - removed pointer to jit data
	  structures - smaller changes

2004-11-05 14:44  twisti

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: Added new_arraystoreexception for asmpart.

2004-11-05 12:31  twisti

	* TODO: Just a TODO file.

2004-11-05 11:00  twisti

	* src/threads/native/threads.h: - added dumpinfo into threadobject
	  - added emacs tailer

2004-11-05 10:52  twisti

	* statistics.c, src/vm/statistics.c, statistics.h,
	  src/vm/statistics.h: Moved stat functions from memory.*.

2004-11-05 10:51  twisti

	* src/mm/: memory.c, memory.h: - removed literal allocate functions
	  - made dump memory thread save (only with native threads yet!!!)
	  - moved stat functions into statistics.*

2004-11-05 10:49  twisti

	* native.c, src/native/native.c: Use normal memory alloc functions
	  instead of removed literal ones.

2004-11-05 10:48  twisti

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: Changed throw_cacao_exception_exit to
	  support variable arguments (...).

2004-11-05 10:46  twisti

	* src/toolbox/logging.h: - added global.h include - removed unused
	  PANICIF

2004-11-04 17:40  motse

	* src/native/vm/VMRuntime.c: nativeLoad remove #ifdef JOWENNDEBUG

2004-11-03 13:14  jowenn

	* src/classpath/lib/glibj.zip, src/vm/jit/parse.c,
	  src/vm/jit/inline/inline.c, src/vm/jit/verify/typecheck.c,
	  src/native/vm/VMRuntime.c, tests/InlineExTest.java,
	  tests/InlineExTest2.java, tests/InlineTableSwitchTest.java:
	  tableswitch index problem solved, jump to wrong instruction of
	  inlined functions after if/else, one typecheck temporarily
	  disabled

2004-11-02 16:22  twisti

	* src/native/vm/VMRuntime.c: Fix for --disable-dynamicclasspath
	  with empty LD_LIBRARY_PATH

2004-11-02 10:00  jowenn

	* tests/InlineParameterTest.java: testcase

2004-11-02 09:58  jowenn

	* Makefile.am, configure.in, exceptions.c, gennativetable.c,
	  loader.c, native.c, contrib/debugSetPathes, src/native/native.c,
	  src/native/tools/gennativetable.c, src/vm/exceptions.c,
	  src/vm/loader.c, src/classpath/lib/glibj.zip,
	  src/vm/jit/codegen.inc, src/vm/jit/codegen.inc.h,
	  src/vm/jit/jit.c, src/vm/jit/inline/inline.c, src/vm/jit/parse.c,
	  src/vm/jit/reg.h, src/vm/jit/reg.inc, src/vm/jit/stack.c,
	  src/vm/jit/i386/codegen.c, src/vm/jit/verify/typecheck.c,
	  src/native/vm/Makefile.am, src/native/vm/VMRuntime.c: dynamic
	  native library loading, some inlining changes

2004-11-01 16:57  twisti

	* src/classpath/: autogen.sh, gnu/java/awt/GLightweightPeer.java,
	  gnu/java/awt/doc-files/BitwiseXORComposite-1.png,
	  gnu/java/awt/peer/gtk/Test.java,
	  gnu/java/awt/peer/gtk/TestAWT.java,
	  gnu/java/lang/ClassLoaderHelper.java,
	  gnu/java/net/protocol/file/FileURLConnection.java,
	  gnu/java/net/protocol/http/HttpURLConnection.java,
	  gnu/java/net/protocol/jar/JarURLConnection.java,
	  include/gnu_java_awt_image_GdkPixbufDecoder.h,
	  include/gnu_java_nio_ByteBufferImpl.h,
	  include/gnu_java_nio_CharBufferImpl.h,
	  include/gnu_java_nio_DoubleBufferImpl.h,
	  include/gnu_java_nio_FileChannelImpl.h,
	  include/gnu_java_nio_FileLockImpl.h,
	  include/gnu_java_nio_FloatBufferImpl.h,
	  include/gnu_java_nio_IntBufferImpl.h,
	  include/gnu_java_nio_LongBufferImpl.h,
	  include/gnu_java_nio_MappedByteFileBuffer.h,
	  include/gnu_java_nio_ShortBufferImpl.h, include/java_io_File.h,
	  include/java_io_FileDescriptor.h, include/java_lang_Runtime.h,
	  include/java_lang_Thread.h, include/java_lang_VMClass.h,
	  include/java_lang_VMRuntime.h,
	  include/java_lang_reflect_Constructor.h,
	  include/java_lang_reflect_Field.h,
	  include/java_lang_reflect_Method.h,
	  include/java_lang_reflect_Proxy.h,
	  include/java_net_PlainDatagramSocketImpl.h,
	  include/java_net_PlainSocketImpl.h,
	  include/java_nio_channels_FileChannelImpl.h,
	  java/awt/geom/doc-files/Area-1.png,
	  java/awt/geom/doc-files/Ellipse-1.png,
	  java/awt/geom/doc-files/GeneralPath-1.png,
	  javax/swing/border/doc-files/BevelBorder-1.png,
	  javax/swing/border/doc-files/BevelBorder-2.png,
	  javax/swing/border/doc-files/BevelBorder-3.png,
	  javax/swing/border/doc-files/EmptyBorder-1.png,
	  javax/swing/border/doc-files/EtchedBorder-1.png,
	  javax/swing/border/doc-files/EtchedBorder-2.png,
	  javax/swing/border/doc-files/LineBorder-1.png,
	  javax/swing/border/doc-files/MatteBorder-1.png,
	  javax/swing/border/doc-files/MatteBorder-2.png,
	  javax/swing/border/doc-files/MatteBorder-3.png,
	  javax/swing/border/doc-files/MatteBorder-4.png,
	  javax/swing/border/doc-files/MatteBorder-5.png,
	  javax/swing/border/doc-files/MatteBorder-6.png,
	  javax/swing/border/doc-files/SoftBevelBorder-1.png,
	  javax/swing/border/doc-files/SoftBevelBorder-2.png,
	  javax/swing/border/doc-files/SoftBevelBorder-3.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders-2.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.ButtonBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.FieldBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.MarginBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.MenuBarBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.RadioButtonBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.SplitPaneBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.SplitPaneBorder-2.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.SplitPaneDividerBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicBorders.ToggleButtonBorder-1.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-1.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-2.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-3.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-4.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-5.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-6.png,
	  javax/swing/plaf/basic/doc-files/BasicGraphicsUtils-7.png,
	  javax/swing/plaf/doc-files/ComponentUI-1.dia,
	  javax/swing/plaf/doc-files/ComponentUI-1.png,
	  javax/swing/plaf/doc-files/TreeUI-1.png,
	  native/jni/java-io/FileDescriptor.c,
	  native/jni/java-io/java_io_File.c,
	  native/jni/java-net/java_net_PlainDatagramSocketImpl.c,
	  native/jni/java-net/java_net_PlainSocketImpl.c,
	  native/jni/java-nio/java_nio_FileChannelImpl.c,
	  native/jni/java-nio/java_nio_FileLockImpl.c: Remaining adds and
	  removes of classpath-0.11 update.

2004-11-01 13:23  twisti

	* src/vm/jit/x86_64/types.h: Enable xASTORECONST icmds.

2004-11-01 13:22  twisti

	* src/vm/jit/x86_64/codegen.c: - exceptiontable fixes -
	  xASTORECONST icmds implemented

2004-11-01 13:21  twisti

	* jni.c, src/native/jni.c: gcc-2.x compiler fix.

2004-10-30 13:26  motse

	* src/threads/native/threads.c: make sure threadobject->tid has
	  always a non-zero value

2004-10-30 13:15  motse

	* main.c, src/cacao/cacao.c, jni.c, jni.h, src/native/jni.c,
	  src/native/jni.h: add NewGlobalRef to cacao jni

2004-10-29 16:19  jowenn

	* configure.in: make the --disable-__thread check work again

2004-10-29 15:21  stefan

	* src/threads/native/threads.c: compile fix

2004-10-28 18:06  twisti

	* src/classpath/: ChangeLog, INSTALL, LICENSE, Makefile.am, NEWS,
	  acinclude.m4, configure.ac, ltmain.sh, doc/hacking.info,
	  doc/vmintegration.info, doc/api/Makefile.am,
	  examples/Makefile.am, examples/README,
	  examples/gnu/classpath/examples/awt/Demo.java,
	  examples/gnu/classpath/examples/icons/big-fullscreen.png,
	  examples/gnu/classpath/examples/icons/big-home.png,
	  examples/gnu/classpath/examples/icons/big-warning.png,
	  examples/gnu/classpath/examples/icons/stock-copy.png,
	  examples/gnu/classpath/examples/icons/stock-cut.png,
	  examples/gnu/classpath/examples/icons/stock-go-back.png,
	  examples/gnu/classpath/examples/icons/stock-go-down.png,
	  examples/gnu/classpath/examples/icons/stock-go-forward.png,
	  examples/gnu/classpath/examples/icons/stock-mic.png,
	  examples/gnu/classpath/examples/icons/stock-new.png,
	  examples/gnu/classpath/examples/icons/stock-open.png,
	  examples/gnu/classpath/examples/icons/stock-paste.png,
	  examples/gnu/classpath/examples/icons/stock-quit.png,
	  examples/gnu/classpath/examples/icons/stock-save-as.png,
	  examples/gnu/classpath/examples/icons/stock-save.png,
	  examples/gnu/classpath/examples/icons/stock-spell-check.png,
	  examples/gnu/classpath/examples/swing/Demo.java,
	  gnu/java/awt/ClasspathToolkit.java,
	  gnu/java/awt/ComponentDataBlitOp.java,
	  gnu/java/awt/EmbeddedWindow.java,
	  gnu/java/awt/image/ImageDecoder.java,
	  gnu/java/awt/peer/GLightweightPeer.java,
	  gnu/java/awt/peer/gtk/GdkGraphics.java,
	  gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	  gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	  gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	  gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	  gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFramePeer.java,
	  gnu/java/awt/peer/gtk/GtkImage.java,
	  gnu/java/awt/peer/gtk/GtkImagePainter.java,
	  gnu/java/awt/peer/gtk/GtkListPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	  gnu/java/awt/peer/gtk/GtkOffScreenImage.java,
	  gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	  gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  gnu/java/awt/peer/gtk/GtkToolkit.java,
	  gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	  gnu/java/beans/ExplicitBeanInfo.java,
	  gnu/java/beans/IntrospectionIncubator.java,
	  gnu/java/beans/editors/ColorEditor.java,
	  gnu/java/beans/editors/FontEditor.java,
	  gnu/java/beans/editors/NativeBooleanEditor.java,
	  gnu/java/beans/editors/NativeByteEditor.java,
	  gnu/java/beans/editors/NativeDoubleEditor.java,
	  gnu/java/beans/editors/NativeFloatEditor.java,
	  gnu/java/beans/editors/NativeIntEditor.java,
	  gnu/java/beans/editors/NativeLongEditor.java,
	  gnu/java/beans/editors/NativeShortEditor.java,
	  gnu/java/beans/editors/StringEditor.java,
	  gnu/java/io/ClassLoaderObjectInputStream.java,
	  gnu/java/io/EncodingManager.java,
	  gnu/java/io/decode/Decoder.java, gnu/java/io/encode/Encoder.java,
	  gnu/java/lang/ClassHelper.java, gnu/java/locale/Calendar.java,
	  gnu/java/locale/Calendar_de.java,
	  gnu/java/locale/Calendar_en.java,
	  gnu/java/locale/Calendar_nl.java,
	  gnu/java/locale/LocaleInformation_de.java,
	  gnu/java/locale/LocaleInformation_en.java,
	  gnu/java/locale/LocaleInformation_nl.java,
	  gnu/java/net/protocol/file/Connection.java,
	  gnu/java/net/protocol/http/Connection.java,
	  gnu/java/nio/PipeImpl.java, gnu/java/nio/SelectorImpl.java,
	  gnu/java/security/OID.java,
	  gnu/java/security/action/GetPropertyAction.java,
	  gnu/java/security/action/SetAccessibleAction.java,
	  gnu/java/security/der/BitString.java,
	  gnu/java/security/der/DER.java,
	  gnu/java/security/der/DEREncodingException.java,
	  gnu/java/security/der/DERReader.java,
	  gnu/java/security/der/DERValue.java,
	  gnu/java/security/der/DERWriter.java,
	  gnu/java/security/util/Prime.java,
	  gnu/javax/rmi/CORBA/StubDelegateImpl.java, include/Makefile.am,
	  include/config.h.in,
	  include/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	  include/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.h,
	  include/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.h,
	  include/gnu_java_awt_peer_gtk_GdkGlyphVector.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics2D.h,
	  include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  include/gnu_java_nio_VMPipe.h, include/gnu_java_nio_VMSelector.h,
	  include/java_lang_VMSystem.h, include/java_util_VMTimeZone.h,
	  java/awt/AWTEventMulticaster.java, java/awt/AWTKeyStroke.java,
	  java/awt/Adjustable.java, java/awt/Button.java,
	  java/awt/Canvas.java, java/awt/Color.java,
	  java/awt/Component.java, java/awt/Container.java,
	  java/awt/DefaultFocusTraversalPolicy.java,
	  java/awt/DefaultKeyboardFocusManager.java, java/awt/Event.java,
	  java/awt/Font.java, java/awt/FontMetrics.java,
	  java/awt/Frame.java, java/awt/Graphics.java,
	  java/awt/GridBagLayout.java, java/awt/KeyboardFocusManager.java,
	  java/awt/Label.java, java/awt/MenuBar.java,
	  java/awt/MenuComponent.java, java/awt/Panel.java,
	  java/awt/Point.java, java/awt/Polygon.java,
	  java/awt/Rectangle.java, java/awt/RenderingHints.java,
	  java/awt/ScrollPane.java, java/awt/Shape.java,
	  java/awt/SystemColor.java, java/awt/Window.java,
	  java/awt/dnd/package.html, java/awt/geom/Arc2D.java,
	  java/awt/geom/Area.java, java/awt/geom/CubicCurve2D.java,
	  java/awt/geom/Ellipse2D.java, java/awt/geom/GeneralPath.java,
	  java/awt/geom/Line2D.java, java/awt/geom/PathIterator.java,
	  java/awt/geom/Point2D.java, java/awt/geom/QuadCurve2D.java,
	  java/awt/geom/Rectangle2D.java,
	  java/awt/geom/RoundRectangle2D.java,
	  java/awt/image/BufferedImage.java,
	  java/awt/image/ByteLookupTable.java,
	  java/awt/image/ColorModel.java, java/awt/image/DataBuffer.java,
	  java/awt/image/DataBufferByte.java,
	  java/awt/image/DataBufferDouble.java,
	  java/awt/image/DataBufferFloat.java,
	  java/awt/image/DataBufferInt.java,
	  java/awt/image/DataBufferShort.java,
	  java/awt/image/DataBufferUShort.java,
	  java/awt/image/DirectColorModel.java, java/awt/image/Kernel.java,
	  java/awt/image/LookupTable.java,
	  java/awt/image/MemoryImageSource.java,
	  java/awt/image/RGBImageFilter.java,
	  java/awt/image/ShortLookupTable.java,
	  java/beans/EventHandler.java, java/io/BufferedInputStream.java,
	  java/io/BufferedWriter.java, java/io/DeleteFileHelper.java,
	  java/io/File.java, java/io/FilterWriter.java,
	  java/io/ObjectInputStream.java, java/io/ObjectOutputStream.java,
	  java/io/ObjectStreamClass.java, java/io/PrintWriter.java,
	  java/lang/Class.java, java/lang/Comparable.java,
	  java/lang/Compiler.java, java/lang/Runtime.java,
	  java/lang/StackTraceElement.java, java/lang/String.java,
	  java/lang/System.java, java/lang/Throwable.java,
	  java/lang/reflect/Proxy.java, java/net/DatagramPacket.java,
	  java/net/DatagramSocket.java, java/net/Inet4Address.java,
	  java/net/Socket.java, java/net/URI.java, java/net/URL.java,
	  java/net/URLConnection.java, java/net/URLStreamHandler.java,
	  java/nio/ByteBuffer.java, java/nio/ByteOrder.java,
	  java/nio/CharBuffer.java, java/nio/DoubleBuffer.java,
	  java/nio/FloatBuffer.java, java/nio/IntBuffer.java,
	  java/nio/LongBuffer.java, java/nio/ShortBuffer.java,
	  java/nio/charset/CharsetDecoder.java, java/rmi/server/UID.java,
	  java/security/AccessController.java,
	  java/security/DummyKeyPairGenerator.java,
	  java/security/DummyMessageDigest.java,
	  java/security/DummySignature.java,
	  java/security/MessageDigest.java,
	  java/security/MessageDigestSpi.java, java/security/Security.java,
	  java/security/Signature.java, java/security/SignatureSpi.java,
	  java/security/cert/X509CRLSelector.java,
	  java/security/cert/X509CertSelector.java,
	  java/sql/Timestamp.java, java/text/AttributedString.java,
	  java/text/CollationElementIterator.java, java/text/Format.java,
	  java/util/AbstractCollection.java, java/util/AbstractList.java,
	  java/util/AbstractMap.java,
	  java/util/AbstractSequentialList.java, java/util/ArrayList.java,
	  java/util/Arrays.java, java/util/BitSet.java,
	  java/util/Calendar.java, java/util/Collection.java,
	  java/util/List.java, java/util/ListIterator.java,
	  java/util/Map.java, java/util/Set.java, java/util/SortedMap.java,
	  java/util/SortedSet.java, java/util/TimeZone.java,
	  java/util/logging/Handler.java,
	  java/util/zip/GZIPOutputStream.java,
	  java/util/zip/OutputWindow.java,
	  javax/crypto/BadPaddingException.java, javax/crypto/Cipher.java,
	  javax/crypto/CipherInputStream.java,
	  javax/crypto/CipherOutputStream.java,
	  javax/crypto/CipherSpi.java,
	  javax/crypto/EncryptedPrivateKeyInfo.java,
	  javax/crypto/ExemptionMechanism.java,
	  javax/crypto/ExemptionMechanismException.java,
	  javax/crypto/ExemptionMechanismSpi.java,
	  javax/crypto/IllegalBlockSizeException.java,
	  javax/crypto/KeyAgreement.java,
	  javax/crypto/KeyAgreementSpi.java,
	  javax/crypto/KeyGenerator.java,
	  javax/crypto/KeyGeneratorSpi.java, javax/crypto/Mac.java,
	  javax/crypto/MacSpi.java,
	  javax/crypto/NoSuchPaddingException.java,
	  javax/crypto/NullCipher.java, javax/crypto/NullCipherImpl.java,
	  javax/crypto/SealedObject.java, javax/crypto/SecretKey.java,
	  javax/crypto/SecretKeyFactory.java,
	  javax/crypto/SecretKeyFactorySpi.java,
	  javax/crypto/ShortBufferException.java,
	  javax/crypto/interfaces/DHKey.java,
	  javax/crypto/interfaces/DHPrivateKey.java,
	  javax/crypto/interfaces/DHPublicKey.java,
	  javax/crypto/interfaces/PBEKey.java,
	  javax/crypto/spec/DESKeySpec.java,
	  javax/crypto/spec/DESedeKeySpec.java,
	  javax/crypto/spec/DHGenParameterSpec.java,
	  javax/crypto/spec/DHParameterSpec.java,
	  javax/crypto/spec/DHPrivateKeySpec.java,
	  javax/crypto/spec/DHPublicKeySpec.java,
	  javax/crypto/spec/IvParameterSpec.java,
	  javax/crypto/spec/PBEKeySpec.java,
	  javax/crypto/spec/PBEParameterSpec.java,
	  javax/crypto/spec/RC2ParameterSpec.java,
	  javax/crypto/spec/RC5ParameterSpec.java,
	  javax/crypto/spec/SecretKeySpec.java,
	  javax/imageio/event/package.html, javax/naming/CompoundName.java,
	  javax/net/ServerSocketFactory.java, javax/net/SocketFactory.java,
	  javax/net/VanillaServerSocketFactory.java,
	  javax/net/VanillaSocketFactory.java,
	  javax/net/ssl/HandshakeCompletedEvent.java,
	  javax/net/ssl/HandshakeCompletedListener.java,
	  javax/net/ssl/HostnameVerifier.java,
	  javax/net/ssl/HttpsURLConnection.java,
	  javax/net/ssl/KeyManager.java,
	  javax/net/ssl/KeyManagerFactory.java,
	  javax/net/ssl/KeyManagerFactorySpi.java,
	  javax/net/ssl/ManagerFactoryParameters.java,
	  javax/net/ssl/SSLContext.java, javax/net/ssl/SSLContextSpi.java,
	  javax/net/ssl/SSLException.java,
	  javax/net/ssl/SSLHandshakeException.java,
	  javax/net/ssl/SSLKeyException.java,
	  javax/net/ssl/SSLPeerUnverifiedException.java,
	  javax/net/ssl/SSLPermission.java,
	  javax/net/ssl/SSLProtocolException.java,
	  javax/net/ssl/SSLServerSocket.java,
	  javax/net/ssl/SSLServerSocketFactory.java,
	  javax/net/ssl/SSLSession.java,
	  javax/net/ssl/SSLSessionBindingEvent.java,
	  javax/net/ssl/SSLSessionBindingListener.java,
	  javax/net/ssl/SSLSessionContext.java,
	  javax/net/ssl/SSLSocket.java,
	  javax/net/ssl/SSLSocketFactory.java,
	  javax/net/ssl/TrivialHostnameVerifier.java,
	  javax/net/ssl/TrustManager.java,
	  javax/net/ssl/TrustManagerFactory.java,
	  javax/net/ssl/TrustManagerFactorySpi.java,
	  javax/net/ssl/X509KeyManager.java,
	  javax/net/ssl/X509TrustManager.java,
	  javax/print/attribute/standard/ColorSupported.java,
	  javax/print/attribute/standard/Compression.java,
	  javax/print/attribute/standard/Copies.java,
	  javax/print/attribute/standard/CopiesSupported.java,
	  javax/print/attribute/standard/DateTimeAtCompleted.java,
	  javax/print/attribute/standard/DateTimeAtCreation.java,
	  javax/print/attribute/standard/DateTimeAtProcessing.java,
	  javax/print/attribute/standard/DocumentName.java,
	  javax/print/attribute/standard/Fidelity.java,
	  javax/print/attribute/standard/Finishings.java,
	  javax/print/attribute/standard/JobHoldUntil.java,
	  javax/print/attribute/standard/JobImpressions.java,
	  javax/print/attribute/standard/JobImpressionsCompleted.java,
	  javax/print/attribute/standard/JobImpressionsSupported.java,
	  javax/print/attribute/standard/JobKOctets.java,
	  javax/print/attribute/standard/JobKOctetsProcessed.java,
	  javax/print/attribute/standard/JobKOctetsSupported.java,
	  javax/print/attribute/standard/JobMediaSheets.java,
	  javax/print/attribute/standard/JobMediaSheetsCompleted.java,
	  javax/print/attribute/standard/JobMediaSheetsSupported.java,
	  javax/print/attribute/standard/JobMessageFromOperator.java,
	  javax/print/attribute/standard/JobName.java,
	  javax/print/attribute/standard/JobOriginatingUserName.java,
	  javax/print/attribute/standard/JobPriority.java,
	  javax/print/attribute/standard/JobPrioritySupported.java,
	  javax/print/attribute/standard/JobSheets.java,
	  javax/print/attribute/standard/JobState.java,
	  javax/print/attribute/standard/JobStateReason.java,
	  javax/print/attribute/standard/JobStateReasons.java,
	  javax/print/attribute/standard/Media.java,
	  javax/print/attribute/standard/MediaSizeName.java,
	  javax/print/attribute/standard/MultipleDocumentHandling.java,
	  javax/print/attribute/standard/NumberOfDocuments.java,
	  javax/print/attribute/standard/NumberOfInterveningJobs.java,
	  javax/print/attribute/standard/NumberUp.java,
	  javax/print/attribute/standard/NumberUpSupported.java,
	  javax/print/attribute/standard/OrientationRequested.java,
	  javax/print/attribute/standard/OutputDeviceAssigned.java,
	  javax/print/attribute/standard/PDLOverrideSupported.java,
	  javax/print/attribute/standard/PageRanges.java,
	  javax/print/attribute/standard/PagesPerMinute.java,
	  javax/print/attribute/standard/PagesPerMinuteColor.java,
	  javax/print/attribute/standard/PresentationDirection.java,
	  javax/print/attribute/standard/PrintQuality.java,
	  javax/print/attribute/standard/PrinterInfo.java,
	  javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
	  javax/print/attribute/standard/PrinterLocation.java,
	  javax/print/attribute/standard/PrinterMakeAndModel.java,
	  javax/print/attribute/standard/PrinterMessageFromOperator.java,
	  javax/print/attribute/standard/PrinterMoreInfo.java,
	  javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
	  javax/print/attribute/standard/PrinterName.java,
	  javax/print/attribute/standard/PrinterResolution.java,
	  javax/print/attribute/standard/PrinterState.java,
	  javax/print/attribute/standard/PrinterStateReason.java,
	  javax/print/attribute/standard/PrinterStateReasons.java,
	  javax/print/attribute/standard/PrinterURI.java,
	  javax/print/attribute/standard/QueuedJobCount.java,
	  javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
	  javax/print/attribute/standard/RequestingUserName.java,
	  javax/print/attribute/standard/Severity.java,
	  javax/print/attribute/standard/SheetCollate.java,
	  javax/print/attribute/standard/Sides.java,
	  javax/print/attribute/standard/package.html,
	  javax/rmi/CORBA/Stub.java,
	  javax/security/auth/AuthPermission.java,
	  javax/security/auth/DestroyFailedException.java,
	  javax/security/auth/Destroyable.java,
	  javax/security/auth/Policy.java,
	  javax/security/auth/PrivateCredentialPermission.java,
	  javax/security/auth/RefreshFailedException.java,
	  javax/security/auth/Refreshable.java,
	  javax/security/auth/Subject.java,
	  javax/security/auth/SubjectDomainCombiner.java,
	  javax/security/auth/callback/Callback.java,
	  javax/security/auth/callback/CallbackHandler.java,
	  javax/security/auth/callback/ChoiceCallback.java,
	  javax/security/auth/callback/ConfirmationCallback.java,
	  javax/security/auth/callback/LanguageCallback.java,
	  javax/security/auth/callback/NameCallback.java,
	  javax/security/auth/callback/PasswordCallback.java,
	  javax/security/auth/callback/TextInputCallback.java,
	  javax/security/auth/callback/TextOutputCallback.java,
	  javax/security/auth/callback/UnsupportedCallbackException.java,
	  javax/security/auth/login/AccountExpiredException.java,
	  javax/security/auth/login/AppConfigurationEntry.java,
	  javax/security/auth/login/Configuration.java,
	  javax/security/auth/login/CredentialExpiredException.java,
	  javax/security/auth/login/FailedLoginException.java,
	  javax/security/auth/login/LoginContext.java,
	  javax/security/auth/login/LoginException.java,
	  javax/security/auth/login/NullConfiguration.java,
	  javax/security/auth/x500/X500Principal.java,
	  javax/security/auth/x500/X500PrivateCredential.java,
	  javax/security/cert/Certificate.java,
	  javax/security/cert/CertificateEncodingException.java,
	  javax/security/cert/CertificateException.java,
	  javax/security/cert/CertificateExpiredException.java,
	  javax/security/cert/CertificateNotYetValidException.java,
	  javax/security/cert/CertificateParsingException.java,
	  javax/security/cert/X509CertBridge.java,
	  javax/security/cert/X509Certificate.java,
	  javax/security/sasl/AuthenticationException.java,
	  javax/security/sasl/AuthorizeCallback.java,
	  javax/security/sasl/RealmCallback.java,
	  javax/security/sasl/RealmChoiceCallback.java,
	  javax/security/sasl/Sasl.java,
	  javax/security/sasl/SaslClient.java,
	  javax/security/sasl/SaslClientFactory.java,
	  javax/security/sasl/SaslException.java,
	  javax/security/sasl/SaslServer.java,
	  javax/security/sasl/SaslServerFactory.java,
	  javax/swing/AbstractButton.java,
	  javax/swing/AbstractSpinnerModel.java,
	  javax/swing/ActionMap.java, javax/swing/Box.java,
	  javax/swing/BoxLayout.java, javax/swing/ButtonGroup.java,
	  javax/swing/ComboBoxEditor.java, javax/swing/ComboBoxModel.java,
	  javax/swing/ComponentInputMap.java,
	  javax/swing/DefaultButtonModel.java,
	  javax/swing/DefaultComboBoxModel.java,
	  javax/swing/DefaultDesktopManager.java,
	  javax/swing/DefaultListCellRenderer.java,
	  javax/swing/DefaultListSelectionModel.java,
	  javax/swing/ImageIcon.java, javax/swing/InputMap.java,
	  javax/swing/JButton.java, javax/swing/JCheckBox.java,
	  javax/swing/JCheckBoxMenuItem.java,
	  javax/swing/JColorChooser.java, javax/swing/JComboBox.java,
	  javax/swing/JComponent.java, javax/swing/JDesktopPane.java,
	  javax/swing/JEditorPane.java,
	  javax/swing/JFormattedTextField.java,
	  javax/swing/JInternalFrame.java, javax/swing/JLabel.java,
	  javax/swing/JLayeredPane.java, javax/swing/JList.java,
	  javax/swing/JMenu.java, javax/swing/JMenuBar.java,
	  javax/swing/JMenuItem.java, javax/swing/JOptionPane.java,
	  javax/swing/JPopupMenu.java, javax/swing/JRadioButton.java,
	  javax/swing/JRadioButtonMenuItem.java,
	  javax/swing/JRootPane.java, javax/swing/JScrollPane.java,
	  javax/swing/JSpinner.java, javax/swing/JTabbedPane.java,
	  javax/swing/JTable.java, javax/swing/JTextArea.java,
	  javax/swing/JTextField.java, javax/swing/JToggleButton.java,
	  javax/swing/JToolBar.java, javax/swing/JToolTip.java,
	  javax/swing/JTree.java, javax/swing/JViewport.java,
	  javax/swing/JWindow.java, javax/swing/KeyStroke.java,
	  javax/swing/LookAndFeel.java,
	  javax/swing/MenuSelectionManager.java,
	  javax/swing/MutableComboBoxModel.java,
	  javax/swing/RepaintManager.java,
	  javax/swing/ScrollPaneLayout.java,
	  javax/swing/SpinnerListModel.java, javax/swing/SpinnerModel.java,
	  javax/swing/SpinnerNumberModel.java, javax/swing/Spring.java,
	  javax/swing/SpringLayout.java, javax/swing/SwingUtilities.java,
	  javax/swing/Timer.java, javax/swing/ToolTipManager.java,
	  javax/swing/TransferHandler.java, javax/swing/UIDefaults.java,
	  javax/swing/UIManager.java, javax/swing/ViewportLayout.java,
	  javax/swing/colorchooser/AbstractColorChooserPanel.java,
	  javax/swing/colorchooser/ColorChooserComponentFactory.java,
	  javax/swing/colorchooser/DefaultColorSelectionModel.java,
	  javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	  javax/swing/colorchooser/DefaultPreviewPanel.java,
	  javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	  javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
	  javax/swing/plaf/SpinnerUI.java,
	  javax/swing/plaf/basic/BasicArrowButton.java,
	  javax/swing/plaf/basic/BasicButtonListener.java,
	  javax/swing/plaf/basic/BasicButtonUI.java,
	  javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	  javax/swing/plaf/basic/BasicColorChooserUI.java,
	  javax/swing/plaf/basic/BasicComboBoxEditor.java,
	  javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	  javax/swing/plaf/basic/BasicComboBoxUI.java,
	  javax/swing/plaf/basic/BasicComboPopup.java,
	  javax/swing/plaf/basic/BasicFormattedTextFieldUI.java,
	  javax/swing/plaf/basic/BasicGraphicsUtils.java,
	  javax/swing/plaf/basic/BasicInternalFrameUI.java,
	  javax/swing/plaf/basic/BasicLabelUI.java,
	  javax/swing/plaf/basic/BasicListUI.java,
	  javax/swing/plaf/basic/BasicLookAndFeel.java,
	  javax/swing/plaf/basic/BasicMenuBarUI.java,
	  javax/swing/plaf/basic/BasicMenuItemUI.java,
	  javax/swing/plaf/basic/BasicMenuUI.java,
	  javax/swing/plaf/basic/BasicOptionPaneUI.java,
	  javax/swing/plaf/basic/BasicPasswordFieldUI.java,
	  javax/swing/plaf/basic/BasicPopupMenuSeparatorUI.java,
	  javax/swing/plaf/basic/BasicPopupMenuUI.java,
	  javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
	  javax/swing/plaf/basic/BasicRootPaneUI.java,
	  javax/swing/plaf/basic/BasicScrollBarUI.java,
	  javax/swing/plaf/basic/BasicScrollPaneUI.java,
	  javax/swing/plaf/basic/BasicSliderUI.java,
	  javax/swing/plaf/basic/BasicSpinnerUI.java,
	  javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	  javax/swing/plaf/basic/BasicSplitPaneUI.java,
	  javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	  javax/swing/plaf/basic/BasicTableHeaderUI.java,
	  javax/swing/plaf/basic/BasicTableUI.java,
	  javax/swing/plaf/basic/BasicTextAreaUI.java,
	  javax/swing/plaf/basic/BasicTextFieldUI.java,
	  javax/swing/plaf/basic/BasicTextUI.java,
	  javax/swing/plaf/basic/BasicToggleButtonUI.java,
	  javax/swing/plaf/basic/BasicToolBarSeparatorUI.java,
	  javax/swing/plaf/basic/BasicToolBarUI.java,
	  javax/swing/plaf/basic/BasicToolTipUI.java,
	  javax/swing/plaf/basic/BasicViewportUI.java,
	  javax/swing/plaf/basic/ComboPopup.java,
	  javax/swing/table/DefaultTableCellRenderer.java,
	  javax/swing/table/DefaultTableColumnModel.java,
	  javax/swing/table/DefaultTableModel.java,
	  javax/swing/table/JTableHeader.java,
	  javax/swing/table/TableColumn.java,
	  javax/swing/table/TableColumnModel.java,
	  javax/swing/table/TableModel.java,
	  javax/swing/text/AbstractDocument.java,
	  javax/swing/text/AttributeSet.java,
	  javax/swing/text/ComponentView.java,
	  javax/swing/text/DefaultCaret.java,
	  javax/swing/text/DefaultEditorKit.java,
	  javax/swing/text/DefaultHighlighter.java,
	  javax/swing/text/Document.java, javax/swing/text/EditorKit.java,
	  javax/swing/text/FieldView.java,
	  javax/swing/text/Highlighter.java,
	  javax/swing/text/JTextComponent.java,
	  javax/swing/text/LayeredHighlighter.java,
	  javax/swing/text/PlainDocument.java,
	  javax/swing/text/PlainView.java, javax/swing/text/Position.java,
	  javax/swing/text/Segment.java,
	  javax/swing/text/SimpleAttributeSet.java,
	  javax/swing/text/StyleConstants.java,
	  javax/swing/text/StyleContext.java,
	  javax/swing/text/StyledEditorKit.java,
	  javax/swing/text/TabExpander.java, javax/swing/text/TabSet.java,
	  javax/swing/text/TabStop.java, javax/swing/text/TabableView.java,
	  javax/swing/text/TextAction.java,
	  javax/swing/text/Utilities.java, javax/swing/text/View.java,
	  javax/swing/text/ViewFactory.java,
	  javax/swing/text/html/HTML.java, lib/Makefile.am,
	  lib/bootstrap.zip, lib/gen-classlist.sh.in, lib/standard.omit,
	  native/jni/Makefile.am, native/jni/gtk-peer/Makefile.am,
	  native/jni/gtk-peer/gdkfont.h,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	  native/jni/gtk-peer/gthread-jni.c,
	  native/jni/gtk-peer/gtkcairopeer.h,
	  native/jni/gtk-peer/gtkpeer.h,
	  native/jni/java-lang/java_lang_VMSystem.c,
	  native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c,
	  native/jni/java-nio/Makefile.am,
	  native/jni/java-nio/gnu_java_nio_VMPipe.c,
	  native/jni/java-nio/gnu_java_nio_VMSelector.c,
	  native/jni/java-util/Makefile.am,
	  native/jni/java-util/java_util_VMTimeZone.c,
	  native/target/generic/target_generic_misc.h,
	  org/ietf/jgss/ChannelBinding.java, org/ietf/jgss/GSSContext.java,
	  org/ietf/jgss/GSSCredential.java,
	  org/ietf/jgss/GSSException.java, org/ietf/jgss/GSSManager.java,
	  org/ietf/jgss/GSSName.java, org/ietf/jgss/MessageProp.java,
	  org/ietf/jgss/Oid.java, resource/Makefile.am,
	  resource/java/util/Makefile.am,
	  resource/java/util/logging/Makefile.am,
	  resource/java/util/logging/logging.properties,
	  resource/org/Makefile.am, resource/org/ietf/Makefile.am,
	  resource/org/ietf/jgss/Makefile.am,
	  resource/org/ietf/jgss/MessagesBundle.properties,
	  vm/reference/Makefile.am, vm/reference/gnu/java/nio/VMPipe.java,
	  vm/reference/gnu/java/nio/VMSelector.java,
	  vm/reference/java/io/VMFile.java,
	  vm/reference/java/lang/VMClassLoader.java,
	  vm/reference/java/lang/VMCompiler.java,
	  vm/reference/java/lang/VMSystem.java,
	  vm/reference/java/security/VMAccessController.java,
	  vm/reference/java/util/VMTimeZone.java: Update to classpath-0.11.

2004-10-28 17:13  twisti

	* src/classpath/: gnu/Makefile.am, gnu/classpath/Makefile.am,
	  gnu/java/Makefile.am, gnu/java/awt/Makefile.am,
	  gnu/java/awt/image/Makefile.am, gnu/java/awt/peer/Makefile.am,
	  gnu/java/awt/peer/gtk/GtkArg.java,
	  gnu/java/awt/peer/gtk/GtkArgList.java,
	  gnu/java/awt/peer/gtk/Makefile.am, gnu/java/beans/Makefile.am,
	  gnu/java/beans/editors/Makefile.am, gnu/java/io/Makefile.am,
	  gnu/java/io/decode/Makefile.am, gnu/java/io/encode/Makefile.am,
	  gnu/java/lang/Makefile.am, gnu/java/lang/reflect/Makefile.am,
	  gnu/java/locale/Makefile.am, gnu/java/math/Makefile.am,
	  gnu/java/net/Makefile.am, gnu/java/net/protocol/Makefile.am,
	  gnu/java/net/protocol/file/Makefile.am,
	  gnu/java/net/protocol/http/Makefile.am,
	  gnu/java/net/protocol/jar/Makefile.am, gnu/java/nio/Makefile.am,
	  gnu/java/nio/channels/Makefile.am,
	  gnu/java/nio/charset/Makefile.am, gnu/java/rmi/Makefile.am,
	  gnu/java/rmi/dgc/Makefile.am, gnu/java/rmi/registry/Makefile.am,
	  gnu/java/rmi/server/Makefile.am, gnu/java/security/Makefile.am,
	  gnu/java/security/der/Makefile.am,
	  gnu/java/security/provider/Makefile.am,
	  gnu/java/security/util/Makefile.am,
	  gnu/java/security/x509/Makefile.am, gnu/java/text/Makefile.am,
	  gnu/java/util/Makefile.am, gnu/java/util/prefs/Makefile.am,
	  gnu/javax/Makefile.am, gnu/javax/rmi/Makefile.am,
	  gnu/javax/rmi/CORBA/Makefile.am, gnu/regexp/Makefile.am,
	  include/gnu_java_awt_EmbeddedWindow.h,
	  include/gnu_java_nio_PipeImpl.h,
	  include/gnu_java_nio_SelectorImpl.h,
	  include/java_util_TimeZone.h, java/Makefile.am,
	  java/applet/Makefile.am, java/awt/Makefile.am,
	  java/awt/color/Makefile.am, java/awt/datatransfer/Makefile.am,
	  java/awt/dnd/Makefile.am, java/awt/dnd/peer/Makefile.am,
	  java/awt/event/Makefile.am, java/awt/font/Makefile.am,
	  java/awt/geom/Makefile.am, java/awt/im/Makefile.am,
	  java/awt/im/spi/Makefile.am, java/awt/image/Makefile.am,
	  java/awt/image/renderable/Makefile.am, java/awt/peer/Makefile.am,
	  java/awt/print/Makefile.am, java/beans/Makefile.am,
	  java/beans/beancontext/Makefile.am, java/io/Makefile.am,
	  java/lang/Makefile.am, java/lang/ref/Makefile.am,
	  java/lang/reflect/Makefile.am, java/math/Makefile.am,
	  java/net/Makefile.am, java/nio/Makefile.am,
	  java/nio/channels/Makefile.am, java/nio/channels/spi/Makefile.am,
	  java/nio/charset/Makefile.am, java/nio/charset/spi/Makefile.am,
	  java/rmi/Makefile.am, java/rmi/activation/Makefile.am,
	  java/rmi/dgc/Makefile.am, java/rmi/registry/Makefile.am,
	  java/rmi/server/Makefile.am, java/security/Makefile.am,
	  java/security/acl/Makefile.am, java/security/cert/Makefile.am,
	  java/security/interfaces/Makefile.am,
	  java/security/spec/Makefile.am, java/sql/Makefile.am,
	  java/text/Makefile.am, java/util/Makefile.am,
	  java/util/jar/Makefile.am, java/util/logging/Makefile.am,
	  java/util/logging/logging.properties,
	  java/util/prefs/Makefile.am, java/util/regex/Makefile.am,
	  java/util/zip/Makefile.am, javax/Makefile.am,
	  javax/accessibility/Makefile.am, javax/imageio/Makefile.am,
	  javax/imageio/event/Makefile.am, javax/imageio/spi/Makefile.am,
	  javax/imageio/stream/Makefile.am, javax/naming/Makefile.am,
	  javax/naming/directory/Makefile.am,
	  javax/naming/event/Makefile.am, javax/naming/ldap/Makefile.am,
	  javax/naming/spi/Makefile.am, javax/print/Makefile.am,
	  javax/print/attribute/Makefile.am, javax/print/event/Makefile.am,
	  javax/rmi/Makefile.am, javax/rmi/CORBA/Makefile.am,
	  javax/security/Makefile.am, javax/security/auth/Makefile.am,
	  javax/security/auth/x500/Makefile.am, javax/sql/Makefile.am,
	  javax/swing/Makefile.am, javax/swing/border/Makefile.am,
	  javax/swing/colorchooser/Makefile.am,
	  javax/swing/event/Makefile.am,
	  javax/swing/filechooser/Makefile.am,
	  javax/swing/plaf/Makefile.am, javax/swing/plaf/basic/Makefile.am,
	  javax/swing/plaf/metal/Makefile.am,
	  javax/swing/table/Makefile.am,
	  javax/swing/text/CharacterIterator.java,
	  javax/swing/text/Makefile.am,
	  javax/swing/text/PlainEditorKit.java,
	  javax/swing/text/html/Makefile.am,
	  javax/swing/text/html/parser/Makefile.am,
	  javax/swing/tree/Makefile.am, javax/swing/undo/Makefile.am,
	  javax/transaction/Makefile.am, javax/transaction/xa/Makefile.am,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	  native/jni/java-nio/gnu_java_nio_PipeImpl.c,
	  native/jni/java-nio/gnu_java_nio_SelectorImpl.c,
	  native/jni/java-util/java_util_TimeZone.c,
	  vm/reference/java/Makefile.am, vm/reference/java/io/Makefile.am,
	  vm/reference/java/lang/Makefile.am,
	  vm/reference/java/lang/reflect/Makefile.am,
	  vm/reference/java/security/Makefile.am: Removed.

2004-10-28 16:46  twisti

	* src/classpath/external/: Makefile.am, README: Removed.

2004-10-28 16:39  stefan

	* src/vm/jit/parse.c: compile fix

2004-10-27 18:05  twisti

	* src/vm/jit/: codegen.inc, jit.c, powerpc/Makefile.am,
	  powerpc/asmpart.S, powerpc/codegen.c, powerpc/codegen.h:
	  Reentrant jit compiler changes for powerpc.

2004-10-21 11:59  carolyn

	* src/vm/jit/: parse.c, parse.h, inline/parseRT.c: rta update to
	  get rid of debug print

2004-10-19 16:11  carolyn

	* statistics.c, src/vm/statistics.c: Left out of RTA update

2004-10-19 14:10  carolyn

	* tests/: AA1.java, AA2.java, In0.java, rtMissedIn0: [no log
	  message]

2004-10-19 14:07  carolyn

	* statistics.h, src/vm/statistics.h, src/vm/jit/jit.c,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTstats.c,
	  src/vm/jit/inline/parseRTstats.h, tests/AA.java, tests/CC.java:
	  rta rewrite for loader changes

2004-10-11 22:11  jowenn

	* configure.in, global.h, src/vm/global.h, loader.c,
	  src/classpath/cacaoconfigure, src/classpath/lib/glibj.zip,
	  src/vm/loader.c, src/vm/jit/codegen.inc,
	  src/vm/jit/codegen.inc.h, src/vm/jit/jit.c, src/vm/jit/parse.c,
	  src/vm/jit/stack.c, src/vm/jit/inline/inline.c,
	  src/vm/jit/inline/inline.h, src/vm/jit/stack.h,
	  src/vm/jit/verify/typecheck.c, src/vm/jit/verify/typecheck.h,
	  src/vm/jit/alpha/codegen.c, src/vm/jit/i386/codegen.c: Fix a
	  crash in the code which tests, if a method is identifyable by
	  name and parameter list. Since len is used for calculations too,
	  the memset didn't fill the whole array with zeros -> invalid
	  method index -> crash Make inlining work again on i386. Alpha
	  should work, but it is not tested

2004-10-04 14:55  carolyn

	* src/vm/jit/: jit.c, parse.c, parse.h, inline/inline.c,
	  inline/inline.h: inline updates (almost finished) to separate
	  class and other variables merged inadvertantly when global
	  variables removed

2004-08-24 21:45  stefan

	* src/vm/jit/alpha/machine-instr.h: there is no "rmb" instruction

2004-08-17 21:33  twisti

	* main.c, src/cacao/cacao.c: Don't print stats twice.

2004-08-17 17:04  twisti

	* jni.c, src/native/jni.c: - enhanced and fixed DefineClass - try
	  to measure loading time correctly

2004-08-17 15:01  twisti

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: - added some exception generating functions
	  for the compiler system and to   get smaller code sizes in java
	  methods:     - new_unsupportedclassversionerror     -
	  new_arithmeticexception     - new_arrayindexoutofboundsexception
	  - new_classcastexception	  - new_negativearraysizeexception
	  - new_nullpointerexception - added new exception strings

2004-08-17 14:48  twisti

	* loader.c, src/vm/loader.c: - added a bunch of loader exceptions
	  and errors, compatible with Sun's JVM - some code restructuring -
	  try to measure loading time correctly - removed some unnecessary
	  class_load/class_link calls - smaller fixes

2004-08-17 14:43  twisti

	* statistics.c, statistics.h, src/vm/statistics.c,
	  src/vm/statistics.h: Try to measure loading and compile time
	  correctly.

2004-08-17 14:42  twisti

	* src/vm/jit/jit.c: - moved <clinit> call back into internal
	  function - try to measure compile time correctly

2004-08-17 12:03  twisti

	* main.c, src/cacao/cacao.c, cacaoh.c, src/cacaoh/cacaoh.c: Use
	  initLocks() only with USE_THREADS.

2004-08-17 11:25  twisti

	* gennativetable.c, src/native/tools/gennativetable.c: Use
	  initLocks() only with USE_THREADS.

2004-08-16 14:23  twisti

	* doc/handbook/loader.tex: Some changes.

2004-08-12 23:26  twisti

	* doc/handbook/loader.tex: Done?

2004-08-11 22:42  twisti

	* doc/handbook/loader.tex: Linking-almost-done save.

2004-08-10 00:19  twisti

	* doc/handbook/loader.tex: Next save, with linking started.

2004-08-07 00:24  twisti

	* doc/handbook/loader.tex: Saving...

2004-08-05 18:21  twisti

	* doc/handbook/: cacao.tex, loader.tex, x86.tex: loader.tex

2004-08-05 10:31  stefan

	* src/threads/native/: threads.c, threads.h: Some boring fixes
	  (mainly protection against spurious wakeups from cond_wait)

2004-08-05 01:10  twisti

	* doc/handbook/loader.tex: Next save.

2004-08-04 17:20  stefan

	* src/vm/jit/alpha/machine-instr.h: barrier changes

2004-08-03 20:47  twisti

	* main.c, src/cacao/cacao.c: Use other copy functions for classpath
	  to catch \0.

2004-08-03 20:23  twisti

	* tests/jvm98/: check.diff, javac.diff, javac.output: Fixes to
	  compile with current compilers, like kjc, jikes and sun javac.

2004-08-03 20:22  twisti

	* tests/jvm98/Makefile.am: Use kopi compiler.

2004-08-03 18:46  stefan

	* src/vm/jit/alpha/asmpart.S: apparently, getcallingmethod is gone

2004-08-03 00:35  twisti

	* doc/handbook/loader.tex: First save

2004-08-03 00:33  twisti

	* main.c, src/cacao/cacao.c: Forget environment CLASSPATH if one is
	  given with -classpath like sun and gcj do (thanks to motse).
	  TODO: set some type of bootclasspath

2004-08-02 23:57  stefan

	* src/classpath/lib/bootstrap.zip: native holdsLock

2004-08-02 23:51  stefan

	* src/: native/include/java_lang_VMThread.h, native/vm/VMThread.c,
	  classpath/vm/reference/java/lang/VMThread.java: native holdsLock

2004-08-02 23:49  stefan

	* src/threads/native/: threads.c, threads.h: holdsLock and
	  MonitorState fix + slight optimization

2004-08-02 17:35  twisti

	* doc/handbook/java.bib: Some new x86_64 entries.

2004-08-02 17:27  cacao

	* doc/handbook/cacao.tex: x86_64 include added

2004-08-02 15:53  twisti

	* doc/handbook/x86_64.tex: Save.

2004-08-02 13:41  motse

	* jni.c, src/native/jni.c: callLongMethod - wrong return type

2004-08-02 09:27  stefan

	* native.c, src/native/native.c: how is anyone supposed to find all
	  these spots?

2004-08-02 09:06  stefan

	* ARCH-CHANGES: updates

2004-08-02 09:04  stefan

	* src/vm/jit/powerpc/machine-instr.h: preparation for new threads

2004-08-02 00:51  stefan

	* src/vm/jit/x86_64/machine-instr.h: new native threads

2004-08-02 00:34  stefan

	* configure.in: __IRIX__ define

2004-08-02 00:34  stefan

	* src/mm/boehm.c: irix threads

2004-08-02 00:00  stefan

	* src/threads/green/: locks.c, locks.h: compatibility changes with
	  new native threads

2004-08-01 23:59  stefan

	* src/: native/vm/VMObject.c, native/vm/VMThread.c,
	  threads/native/threads.c, threads/native/threads.h: new native
	  threads

2004-08-01 23:59  stefan

	* src/boehm-gc/include/private/gc_priv.h: back out our change

2004-08-01 23:58  stefan

	* src/mm/boehm.c: Suppress GC warnings Remove unused warning
	  GC_INIT

2004-08-01 23:56  stefan

	* src/vm/jit/parse.c: Support exception from monitorexit

2004-08-01 23:55  stefan

	* loader.c, src/vm/loader.c, tables.c, src/vm/tables.c: Initialize
	  object locks

2004-08-01 23:55  stefan

	* global.h, src/vm/global.h, src/vm/jit/alpha/machine-instr.h,
	  src/vm/jit/i386/machine-instr.h: new native threads

2004-08-01 23:54  stefan

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: added InterruptedException

2004-08-01 23:53  stefan

	* cacaoh.c, src/cacaoh/cacaoh.c, gennativetable.c,
	  src/native/tools/gennativetable.c, main.c, src/cacao/cacao.c:
	  green threads fix

2004-08-01 23:53  stefan

	* builtin.c, builtin.h, src/vm/builtin.c, src/vm/builtin.h:
	  Initialize object locks Support IllegalMonitorStateException in
	  monitorexit

2004-08-01 23:47  stefan

	* src/vm/jit/mips/asmpart.S, headers.c, src/cacaoh/headers.c,
	  src/vm/jit/mips/machine-instr.h: new native threads
	  implementation

2004-08-01 09:29  stefan

	* src/vm/jit/: i386/codegen.c, x86_64/codegen.c: Initialize
	  sigaction properly

2004-08-01 01:00  motse

	* configure.in, src/classpath/include/Makefile.am: add
	  java.awt{Graphics.Window} to natheaders

2004-08-01 00:57  motse

	* jni.c, src/native/jni.c: CallLongMethod implementation added

2004-07-30 23:56  twisti

	* doc/handbook/x86_64.tex: C-x-s

2004-07-28 21:37  twisti

	* doc/handbook/x86_64.tex: x86_64 section

2004-07-28 13:34  twisti

	* src/vm/jit/i386/codegen.c: Inline exception stub changes:   -
	  usage of a temporary bref variable to be able to remove the
	  memory if	needed	 - increased MCODECHECK size

2004-07-28 12:51  twisti

	* native.c, native.h, src/native/native.c, src/native/native.h:
	  Removed native_setclasspath classpath stuff. classpath is now
	  exported from main.

2004-07-28 12:49  twisti

	* src/vm/jit/jit.c: Removed init_exceptions() and
	  init_system_exceptions() calls. Now called directly in main.

2004-07-28 12:48  twisti

	* main.c, main.h, src/cacao/cacao.c, src/cacao/cacao.h: - jvm
	  initialization changes - removed native_setclasspath call -
	  export classpath

2004-07-28 12:23  twisti

	* configure.in: If we configure with no threads, we should pass
	  this to boehm also.

2004-07-28 12:22  twisti

	* headers.c, src/cacaoh/headers.c: Include missing
	  java_lang_Throwable.h

2004-07-28 12:05  twisti

	* builtin.c, builtin.h, src/vm/builtin.c, src/vm/builtin.h: -
	  compile with --enable-threads=no fixes (my fault) - some name
	  changes to prevent variable shadowing

2004-07-27 19:40  stefan

	* ARCH-CHANGES: i overlooked some

2004-07-27 19:39  stefan

	* ARCH-CHANGES: more work to do

2004-07-27 00:31  twisti

	* src/vm/jit/x86_64/: codegen.c, codegen.h, emitfuncs.c,
	  emitfuncs.h: Reentrant compiler changes.

2004-07-26 23:00  twisti

	* src/vm/jit/codegen.inc.h: Export codegen_addreference for i386
	  and x86_64.

2004-07-23 00:39  twisti

	* src/vm/jit/i386/: codegen.c, codegen.h, emitfuncs.c, emitfuncs.h,
	  types.h: Reentrant compiler changes.

2004-07-23 00:38  twisti

	* src/vm/jit/i386/Makefile.am: Removed deleted native-math.h

2004-07-22 14:08  twisti

	* src/vm/jit/mips/: codegen.c, codegen.h: Reentrant compiler
	  changes.

2004-07-22 11:57  twisti

	* src/vm/jit/verify/typecheck.c: Added ICMD_xASTORECONST

2004-07-22 11:49  twisti

	* src/classpath/gnu/classpath/Configuration.java: Trash

2004-07-22 01:29  twisti

	* src/vm/jit/alpha/: codegen.c, codegen.h: Reentrant compiler
	  fixes.

2004-07-22 01:29  twisti

	* src/vm/jit/codegen.inc: Reentrant compiler fixes (things not
	  catched with i386 port).

2004-07-21 19:14  twisti

	* builtin.c, src/vm/builtin.c: - added #include "exceptions.h" -
	  smaller method to m changes

2004-07-21 19:11  twisti

	* src/native/vm/: Constructor.c, Field.c, VMClass.c,
	  VMClassLoader.c, VMObject.c, VMSystem.c, VMThread.c, VMRuntime.c:
	  Added #include "exceptions.h"

2004-07-21 18:12  twisti

	* src/vm/jit/codegen.inc: Reentrant compiler fixes: moved global
	  variables into struct codegendata referenced by a pointer in
	  methodinfo

2004-07-21 18:10  twisti

	* src/vm/jit/reg.inc: - ICMD_DUP* and ICMD_SWAP heap corruption fix
	  - smaller changes

2004-07-21 18:06  twisti

	* src/vm/jit/jit.h: - moved branchref, jumpref, linenumberref,
	  dataref into codegen.inc.h - smaller fixes

2004-07-21 18:05  twisti

	* src/vm/jit/jit.c: - reentrant compiler fixes: usage of
	  monitorenter - moved compile_all_class_methods from native.c

2004-07-21 18:03  twisti

	* src/vm/jit/codegen.inc.h: .h file of codegen.inc

2004-07-21 18:02  twisti

	* src/vm/jit/: stack.c, stack.h: - reentrant compiler fixes - added
	  some verifier exceptions - moved #defines from .c into .h

2004-07-21 18:00  twisti

	* src/vm/jit/: parse.c, parse.h: - reentrant compiler fixes - added
	  some exceptions

2004-07-21 17:57  twisti

	* src/threads/native/threads.c: Added #include "exceptions.h"

2004-07-21 17:57  twisti

	* src/mm/memory.c: - added #include "exceptions.h" - HACK: use
	  checked_alloc in dump_alloc (how do we fix this dump memory
	  problem? Use normal malloc?)

2004-07-21 17:50  twisti

	* src/mm/boehm.c: Added #include "exceptions.h"

2004-07-21 17:48  twisti

	* Makefile.am: Added exceptions.[ch]

2004-07-21 17:48  twisti

	* exceptions.c, exceptions.h, src/vm/exceptions.c,
	  src/vm/exceptions.h: - mostly stuff from native.[ch] - added some
	  exception generating functions to create standard vm	 exceptions
	  like ClassFormatError or VerifyError

2004-07-21 17:46  twisti

	* native.c, native.h, src/native/native.c, src/native/native.h: -
	  added #include "exceptions.h" - removed exception stuff (now in
	  exceptions.[ch])

2004-07-21 17:39  twisti

	* main.c, src/cacao/cacao.c: - added #include "exceptions.h" -
	  allocate classpath memory

2004-07-21 17:36  twisti

	* loader.c, src/vm/loader.c: - added #include "exceptions.h" -
	  added some exceptions - replaced compiler_lock(), tables_lock()
	  with builtin_monitorenter in	 class_load, class_link - added
	  compiler_lock() in loader_compute_subclasses (is this correct,
	  stefan?)

2004-07-21 16:06  twisti

	* jni.c, src/native/jni.c: Added #include "exceptions.h"

2004-07-21 16:05  twisti

	* headers.c, src/cacaoh/headers.c: Removed exception stuff, now in
	  exceptions.[ch]. Possibly thrown exceptions may not work. I have
	  to fix this later.

2004-07-21 15:22  twisti

	* global.h, src/vm/global.h: - define TYPECHECK_STACK_COMPCAT -
	  added java_objectheader (for monitorenter) and codegendata to
	  methodinfo

2004-07-21 14:54  twisti

	* config.guess, config.sub: Not needed.

2004-07-21 14:35  twisti

	* builtin.h, src/vm/builtin.h: Use #error instead of panic, so we
	  cannot build.

2004-07-18 23:42  motse

	* src/native/vm/VMClass.c: flags add to new Field

2004-07-17 14:29  motse

	* native.c, src/native/native.c: nat/GtkLabelPeer.c has been
	  removed

2004-07-17 14:26  motse

	* configure.in: fix: dependencies in header files

2004-07-16 15:45  twisti

	* src/vm/jit/: alpha/codegen.c, alpha/codegen.h, mips/codegen.c,
	  mips/codegen.h, powerpc/codegen.c, x86_64/codegen.c,
	  x86_64/codegen.h: bug fixes: DUP2_X1 and DUP* regalloc

2004-07-16 15:30  twisti

	* src/vm/jit/stack.c: SUPPORT_ONLY_ZERO_ASTORE bugfix.

2004-07-15 22:20  motse

	* src/classpath/lib/Makefile.am: bugfix for complang-javac

2004-07-14 21:08  twisti

	* src/classpath/lib/bootstrap.zip: Update to classpath-0.10.

2004-07-14 20:33  twisti

	* src/native/include/java_lang_VMThread.h: Removed holdsLock.

2004-07-14 20:31  twisti

	* src/native/vm/VMClassLoader.c: - throw NullPointerException in
	  Java_java_lang_VMClassLoader_resolveClass - implemented
	  Java_java_lang_VMClassLoader_loadClass

2004-07-14 20:30  twisti

	* src/native/vm/VMClass.c: Implemented
	  Java_java_lang_VMClass_initialize.

2004-07-14 20:30  twisti

	* src/native/vm/VMThread.c: Removed holdsLock, now implemented in
	  java by classpath.

2004-07-14 20:28  twisti

	* src/classpath/: ChangeLog, INSTALL, NEWS, README, acinclude.m4,
	  configure.ac, doc/hacking.info, doc/hacking.texinfo,
	  doc/vmintegration.info, doc/vmintegration.texinfo,
	  gnu/java/awt/EmbeddedWindow.java,
	  gnu/java/awt/peer/gtk/GThreadMutex.java,
	  gnu/java/awt/peer/gtk/GThreadNativeMethodRunner.java,
	  gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	  gnu/java/awt/peer/gtk/GdkGraphics.java,
	  gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	  gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	  gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	  gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkImage.java,
	  gnu/java/awt/peer/gtk/GtkImagePainter.java,
	  gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	  gnu/java/awt/peer/gtk/GtkListPeer.java,
	  gnu/java/awt/peer/gtk/GtkMainThread.java,
	  gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  gnu/java/awt/peer/gtk/GtkToolkit.java,
	  gnu/java/awt/peer/gtk/Makefile.am,
	  gnu/java/beans/BeanInfoEmbryo.java,
	  gnu/java/io/EncodingManager.java,
	  gnu/java/io/decode/Decoder.java, gnu/java/io/encode/Encoder.java,
	  gnu/java/lang/MainThread.java, gnu/java/math/MPN.java,
	  gnu/java/net/protocol/http/Connection.java,
	  gnu/java/nio/SelectorImpl.java, gnu/java/security/Makefile.am,
	  gnu/java/security/PolicyFile.java,
	  gnu/regexp/CharIndexedInputStream.java, include/Makefile.am,
	  include/config.h, include/config.h.in,
	  include/gnu_java_awt_EmbeddedWindow.h,
	  include/gnu_java_awt_peer_gtk_GdkFontMetrics.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	  include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h,
	  include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCanvasPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkClipboard.h,
	  include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkGenericPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkImagePainter.h,
	  include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMainThread.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkToolkit.h,
	  include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  include/gnu_java_net_PlainDatagramSocketImpl.h,
	  include/gnu_java_net_PlainSocketImpl.h,
	  include/gnu_java_nio_NIOServerSocket.h,
	  include/gnu_java_nio_PipeImpl.h,
	  include/gnu_java_nio_SelectorImpl.h,
	  include/gnu_java_nio_channels_FileChannelImpl.h,
	  include/java_io_ObjectInputStream.h, include/java_io_VMFile.h,
	  include/java_io_VMObjectStreamClass.h,
	  include/java_lang_Double.h, include/java_lang_Math.h,
	  include/java_lang_Object.h, include/java_lang_VMDouble.h,
	  include/java_lang_VMFloat.h, include/java_lang_VMProcess.h,
	  include/java_lang_VMSystem.h, include/java_lang_reflect_Array.h,
	  include/java_net_InetAddress.h,
	  include/java_net_NetworkInterface.h,
	  include/java_nio_DirectByteBufferImpl.h,
	  include/java_nio_MappedByteBufferImpl.h,
	  include/java_nio_channels_Channels.h,
	  include/java_util_TimeZone.h, include/jni.h, include/jni.h.in,
	  java/applet/Applet.java, java/awt/AWTEvent.java,
	  java/awt/BorderLayout.java, java/awt/Button.java,
	  java/awt/Component.java, java/awt/Container.java,
	  java/awt/ContainerOrderFocusTraversalPolicy.java,
	  java/awt/DefaultFocusTraversalPolicy.java,
	  java/awt/DefaultKeyboardFocusManager.java,
	  java/awt/EventDispatchThread.java, java/awt/EventQueue.java,
	  java/awt/GridBagLayout.java, java/awt/Image.java,
	  java/awt/KeyboardFocusManager.java, java/awt/MediaTracker.java,
	  java/awt/MenuItem.java, java/awt/TextArea.java,
	  java/awt/TextComponent.java, java/awt/Toolkit.java,
	  java/awt/Window.java, java/awt/event/InvocationEvent.java,
	  java/awt/geom/Arc2D.java, java/awt/im/InputContext.java,
	  java/awt/image/CropImageFilter.java,
	  java/awt/image/MemoryImageSource.java,
	  java/awt/image/RGBImageFilter.java,
	  java/awt/image/ReplicateScaleFilter.java,
	  java/beans/Expression.java, java/beans/Makefile.am,
	  java/beans/Statement.java, java/io/DeleteFileHelper.java,
	  java/io/File.java, java/io/FilePermission.java,
	  java/io/Makefile.am, java/io/ObjectInputStream.java,
	  java/io/ObjectStreamField.java, java/io/RandomAccessFile.java,
	  java/io/SequenceInputStream.java, java/io/Writer.java,
	  java/lang/SecurityManager.java, java/lang/String.java,
	  java/lang/System.java, java/lang/Thread.java,
	  java/lang/Throwable.java, java/net/NetworkInterface.java,
	  java/net/URL.java, java/net/URLStreamHandler.java,
	  java/nio/Buffer.java, java/nio/ByteBuffer.java,
	  java/nio/ByteBufferHelper.java, java/nio/ByteBufferImpl.java,
	  java/nio/CharBuffer.java, java/nio/CharBufferImpl.java,
	  java/nio/CharViewBufferImpl.java,
	  java/nio/DirectByteBufferImpl.java, java/nio/DoubleBuffer.java,
	  java/nio/DoubleBufferImpl.java,
	  java/nio/DoubleViewBufferImpl.java, java/nio/FloatBuffer.java,
	  java/nio/FloatBufferImpl.java, java/nio/FloatViewBufferImpl.java,
	  java/nio/IntBuffer.java, java/nio/IntBufferImpl.java,
	  java/nio/IntViewBufferImpl.java, java/nio/LongBuffer.java,
	  java/nio/LongBufferImpl.java, java/nio/LongViewBufferImpl.java,
	  java/nio/MappedByteBufferImpl.java, java/nio/ShortBuffer.java,
	  java/nio/ShortBufferImpl.java, java/nio/ShortViewBufferImpl.java,
	  java/security/AccessControlContext.java,
	  java/security/AccessController.java,
	  java/security/IntersectingDomainCombiner.java,
	  java/security/Makefile.am, java/security/ProtectionDomain.java,
	  java/security/SecureClassLoader.java,
	  java/security/Security.java, java/security/Signature.java,
	  java/text/BreakIterator.java,
	  java/text/CollationElementIterator.java, java/text/Collator.java,
	  java/text/DateFormat.java, java/text/DateFormatSymbols.java,
	  java/text/DecimalFormat.java,
	  java/text/DecimalFormatSymbols.java,
	  java/text/MessageFormat.java, java/text/NumberFormat.java,
	  java/text/RuleBasedCollator.java,
	  java/text/SimpleDateFormat.java, java/util/Calendar.java,
	  java/util/Currency.java, java/util/GregorianCalendar.java,
	  java/util/Locale.java,
	  java/util/PropertyPermissionCollection.java,
	  java/util/ResourceBundle.java, java/util/SimpleTimeZone.java,
	  java/util/logging/Level.java,
	  java/util/zip/DeflaterOutputStream.java,
	  java/util/zip/GZIPOutputStream.java,
	  java/util/zip/InflaterInputStream.java,
	  java/util/zip/ZipEntry.java, java/util/zip/ZipFile.java,
	  java/util/zip/ZipOutputStream.java,
	  javax/imageio/spi/ImageReaderWriterSpi.java,
	  javax/print/DocFlavor.java, javax/print/Makefile.am,
	  javax/print/package.html, javax/print/event/Makefile.am,
	  javax/print/event/package.html, javax/swing/AbstractAction.java,
	  javax/swing/AbstractButton.java, javax/swing/Box.java,
	  javax/swing/ButtonGroup.java, javax/swing/CellRendererPane.java,
	  javax/swing/DefaultButtonModel.java,
	  javax/swing/DefaultCellEditor.java,
	  javax/swing/DefaultDesktopManager.java,
	  javax/swing/DefaultListSelectionModel.java,
	  javax/swing/DesktopManager.java, javax/swing/GrayFilter.java,
	  javax/swing/ImageIcon.java, javax/swing/JApplet.java,
	  javax/swing/JButton.java, javax/swing/JCheckBox.java,
	  javax/swing/JCheckBoxMenuItem.java,
	  javax/swing/JColorChooser.java, javax/swing/JComboBox.java,
	  javax/swing/JComponent.java, javax/swing/JDesktopPane.java,
	  javax/swing/JDialog.java, javax/swing/JEditorPane.java,
	  javax/swing/JFileChooser.java,
	  javax/swing/JFormattedTextField.java, javax/swing/JFrame.java,
	  javax/swing/JInternalFrame.java, javax/swing/JLabel.java,
	  javax/swing/JLayeredPane.java, javax/swing/JList.java,
	  javax/swing/JMenu.java, javax/swing/JMenuBar.java,
	  javax/swing/JMenuItem.java, javax/swing/JOptionPane.java,
	  javax/swing/JPasswordField.java, javax/swing/JPopupMenu.java,
	  javax/swing/JProgressBar.java, javax/swing/JRadioButton.java,
	  javax/swing/JRadioButtonMenuItem.java,
	  javax/swing/JRootPane.java, javax/swing/JScrollBar.java,
	  javax/swing/JScrollPane.java, javax/swing/JSeparator.java,
	  javax/swing/JSlider.java, javax/swing/JSplitPane.java,
	  javax/swing/JTabbedPane.java, javax/swing/JTable.java,
	  javax/swing/JTextArea.java, javax/swing/JTextField.java,
	  javax/swing/JToggleButton.java, javax/swing/JToolBar.java,
	  javax/swing/JToolTip.java, javax/swing/JTree.java,
	  javax/swing/JViewport.java, javax/swing/JWindow.java,
	  javax/swing/KeyStroke.java, javax/swing/LookAndFeel.java,
	  javax/swing/Makefile.am, javax/swing/MenuSelectionManager.java,
	  javax/swing/RepaintManager.java,
	  javax/swing/ScrollPaneConstants.java,
	  javax/swing/ScrollPaneLayout.java,
	  javax/swing/SwingConstants.java, javax/swing/SwingUtilities.java,
	  javax/swing/Timer.java, javax/swing/UIManager.java,
	  javax/swing/ViewportLayout.java,
	  javax/swing/border/TitledBorder.java,
	  javax/swing/event/DocumentEvent.java,
	  javax/swing/event/SwingPropertyChangeSupport.java,
	  javax/swing/event/UndoableEditListener.java,
	  javax/swing/plaf/BorderUIResource.java,
	  javax/swing/plaf/basic/BasicButtonUI.java,
	  javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	  javax/swing/plaf/basic/BasicDesktopIconUI.java,
	  javax/swing/plaf/basic/BasicDesktopPaneUI.java,
	  javax/swing/plaf/basic/BasicIconFactory.java,
	  javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
	  javax/swing/plaf/basic/BasicInternalFrameUI.java,
	  javax/swing/plaf/basic/BasicLabelUI.java,
	  javax/swing/plaf/basic/BasicListUI.java,
	  javax/swing/plaf/basic/BasicLookAndFeel.java,
	  javax/swing/plaf/basic/BasicMenuBarUI.java,
	  javax/swing/plaf/basic/BasicMenuItemUI.java,
	  javax/swing/plaf/basic/BasicMenuUI.java,
	  javax/swing/plaf/basic/BasicOptionPaneUI.java,
	  javax/swing/plaf/basic/BasicProgressBarUI.java,
	  javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
	  javax/swing/plaf/basic/BasicRootPaneUI.java,
	  javax/swing/plaf/basic/BasicScrollBarUI.java,
	  javax/swing/plaf/basic/BasicSeparatorUI.java,
	  javax/swing/plaf/basic/BasicSliderUI.java,
	  javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	  javax/swing/plaf/basic/BasicSplitPaneUI.java,
	  javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	  javax/swing/plaf/basic/BasicTextUI.java,
	  javax/swing/plaf/basic/BasicToolBarUI.java,
	  javax/swing/plaf/basic/BasicViewportUI.java,
	  javax/swing/plaf/basic/Makefile.am,
	  javax/swing/text/AbstractDocument.java,
	  javax/swing/text/BadLocationException.java,
	  javax/swing/text/DefaultCaret.java,
	  javax/swing/text/Document.java, javax/swing/text/GapContent.java,
	  javax/swing/text/JTextComponent.java,
	  javax/swing/text/MutableAttributeSet.java,
	  javax/swing/text/PlainDocument.java, javax/swing/text/Style.java,
	  javax/swing/tree/DefaultMutableTreeNode.java, lib/Makefile.am,
	  lib/gen-classlist.sh, native/fdlibm/Makefile.am,
	  native/fdlibm/e_pow.c, native/fdlibm/fdlibm.h,
	  native/fdlibm/ieeefp.h, native/fdlibm/mprec.c,
	  native/fdlibm/w_exp.c, native/jni/classpath/Makefile.am,
	  native/jni/classpath/jcl.c, native/jni/classpath/jcl.h,
	  native/jni/classpath/jnilink.c, native/jni/classpath/jnilink.h,
	  native/jni/classpath/native_state.c,
	  native/jni/classpath/native_state.h,
	  native/jni/classpath/primlib.c, native/jni/classpath/primlib.h,
	  native/jni/gtk-peer/Makefile.am,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	  native/jni/gtk-peer/gthread-jni.c,
	  native/jni/gtk-peer/gthread-jni.h, native/jni/gtk-peer/gtkpeer.h,
	  native/jni/java-io/Makefile.am, native/jni/java-lang/Makefile.am,
	  native/jni/java-net/Makefile.am,
	  native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c,
	  native/jni/java-nio/Makefile.am,
	  native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c,
	  native/jni/java-util/Makefile.am,
	  resource/gnu/regexp/MessagesBundle.properties,
	  resource/gnu/regexp/MessagesBundle_fr.properties,
	  vm/reference/java/Makefile.am,
	  vm/reference/java/lang/VMClassLoader.java,
	  vm/reference/java/lang/VMProcess.java,
	  vm/reference/java/lang/VMRuntime.java,
	  vm/reference/java/lang/VMThread.java,
	  vm/reference/java/security/Makefile.am,
	  vm/reference/java/security/VMAccessController.java: Update to
	  classpath-0.10

2004-07-13 18:32  stefan

	* ARCH-CHANGES: [no log message]

2004-07-13 18:22  stefan

	* src/vm/jit/powerpc/codegen.h: global jit variables removal

2004-07-13 01:21  stefan

	* src/vm/jit/powerpc/codegen.c: - global jit variables removal -
	  some formatting - vftbl -> vftbl_t

2004-07-12 19:54  twisti

	* tests/remtest.java: This ICMD does not exist anymore.

2004-07-11 17:19  stefan

	* tests/jvm98/javac.diff: get rid of those annoying log messages

2004-07-11 17:15  stefan

	* tests/jvm98/Makefile.am: get rid of those annoying log messages

2004-07-11 17:11  stefan

	* ARCH-CHANGES: [no log message]

2004-07-11 17:08  stefan

	* src/vm/jit/x86_64/asmpart.S: critical sections fix (native
	  threads)

2004-07-11 16:31  stefan

	* src/vm/jit/x86_64/: codegen.c, machine-instr.h: Native threads
	  missing bits vftbl -> vftbl_t

2004-07-11 13:46  stefan

	* ARCH-CHANGES: [no log message]

2004-07-11 13:37  stefan

	* src/boehm-gc/darwin_stop_world.c: Oh please, I hate fixing other
	  people's bugs

2004-07-11 13:21  stefan

	* src/vm/jit/mips/codegen.c: renamed vftbl type to vftbl_t

2004-07-11 13:20  stefan

	* src/native/vm/VMRuntime.c: This does not work on MIPSPro

2004-07-10 19:06  stefan

	* ARCH-CHANGES: [no log message]

2004-07-10 19:06  stefan

	* src/vm/jit/alpha/codegen.c: renamed vftbl type to vftbl_t

2004-07-10 19:04  stefan

	* global.h, src/vm/global.h: some unintended stuff crept in

2004-07-10 19:00  stefan

	* src/vm/jit/parse.c, src/vm/jit/stack.c,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/sets.c,
	  src/vm/jit/verify/typecheck.c, src/vm/jit/i386/codegen.c,
	  builtin.h, src/vm/builtin.h: renamed vftbl type to vftbl_t

2004-07-10 18:56  stefan

	* asmpart.h, builtin.c, genoffsets.c, global.h, headers.c,
	  loader.c, loader.h, native.c, native.h, typeinfo.c,
	  src/cacaoh/headers.c, src/native/native.c, src/native/native.h,
	  src/vm/builtin.c, src/vm/global.h, src/vm/loader.c,
	  src/vm/loader.h, src/vm/jit/asmpart.h,
	  src/vm/jit/tools/genoffsets.c, src/vm/jit/verify/typeinfo.c:
	  renamed vftbl type to vftbl_t

2004-07-10 18:43  stefan

	* cacaoh.c, src/cacaoh/cacaoh.c: increased heap size (needed for
	  bootstrap build)

2004-07-10 17:34  stefan

	* src/boehm-gc/: BCC_MAKEFILE, Makefile.am, Makefile.direct,
	  Makefile.dj, NT_MAKEFILE, aix_irix_threads.c, allchblk.c,
	  alloc.c, alpha_mach_dep.S, autogen.sh, checksums.c,
	  configure.host, configure.in, darwin_stop_world.c, dbg_mlc.c,
	  dyn_load.c, finalize.c, gcj_mlc.c, headers.c, if_not_there.c,
	  mach_dep.c, malloc.c, mallocx.c, mark.c, misc.c, mkinstalldirs,
	  new_hblk.c, os_dep.c, pthread_stop_world.c, pthread_support.c,
	  solaris_pthreads.c, solaris_threads.c, threadlibs.c, typd_mlc.c,
	  version.h, win32_threads.c, cord/cordprnt.c, cord/cordtest.c,
	  cord/cordxtra.c, cord/de.c, doc/Makefile.am, doc/README,
	  doc/README.changes, doc/README.darwin, doc/README.environment,
	  doc/README.macros, doc/README.win32, doc/debugging.html,
	  doc/gc.man, doc/gcdescr.html, doc/gcinterface.html,
	  doc/simple_example.html, include/gc.h, include/gc_allocator.h,
	  include/gc_config_macros.h, include/gc_cpp.h, include/gc_gcj.h,
	  include/gc_local_alloc.h, include/gc_mark.h,
	  include/gc_pthread_redirects.h, include/javaxfc.h,
	  include/new_gc_alloc.h, include/private/darwin_stop_world.h,
	  include/private/dbg_mlc.h, include/private/gc_locks.h,
	  include/private/gc_pmark.h, include/private/gc_priv.h,
	  include/private/gcconfig.h, include/private/pthread_support.h,
	  include/private/solaris_threads.h, tests/test.c,
	  tests/test_cpp.cc, tests/trace_test.c: update to gc 6.3

2004-07-10 16:58  stefan

	* src/boehm-gc/: base_lib, configure.in~: [no log message]

2004-07-09 15:20  twisti

	* src/vm/jit/mips/: codegen.c, codegen.h: - moved #defines into
	  header - include fixes - smaller changes

2004-07-09 15:19  twisti

	* src/vm/jit/mips/asmpart.S: We need to save temp registers in
	  asm_check_clinit, because they can be used across this call.

2004-07-09 13:41  twisti

	* src/vm/jit/mips/Makefile.am: Include only topdir.

2004-07-09 13:41  twisti

	* src/vm/jit/mips/disass.c: Renamed temp registers as in gdb.

2004-07-08 20:49  twisti

	* Makefile.am: Use bootstrap.zip in CLASSPATH.

2004-07-08 17:12  twisti

	* src/classpath/lib/: classes, classes.1, compile-classes,
	  java.dep, resources: Should not reside in cvs.

2004-07-08 17:11  twisti

	* src/classpath/lib/bootstrap.zip: First version of bootstrap
	  classes (this one contains all classes).

2004-07-08 17:06  twisti

	* src/classpath/lib/glibj.zip: We use a bootstrap.zip instead.

2004-07-08 16:26  twisti

	* configure.in: - append classpath specific --enable options -
	  check for zlib and pthread if needed

2004-07-08 16:23  twisti

	* autogen.sh, src/boehm-gc/autogen.sh, src/classpath/autogen.sh:
	  New automake's don't like --include-deps anymore.

2004-07-08 16:21  twisti

	* src/classpath/cacaoconfigure: Trash.

2004-07-07 17:56  twisti

	* src/vm/jit/x86_64/: Makefile.am, asmpart.S, codegen.c, codegen.h,
	  emitfuncs.c, emitfuncs.h: Global compiler variables changes.

2004-07-07 17:55  twisti

	* src/vm/jit/stack.c: Global compiler variables fix for x86_64.

2004-07-07 17:25  twisti

	* src/classpath/vm/reference/java/lang/: VMString.java,
	  VMThread.java, VMThrowable.java: If we use our implementation
	  here, we cannot lose changes when we update to a new classpath
	  version. And the `current' link is always set correctly without
	  using JVM_REFERENCE.

2004-07-06 17:16  motse

	*
	  src/classpath/native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c:
	  bug: UDP receive port (unsigned int) was already in network
	  byteorder

2004-07-06 00:15  twisti

	* Makefile.am: native.c depends on nativetable.inc. Does anyone
	  know why this is not resolved automatically? It's just an
	  #include. Well, i don't know...  Maybe i have to reread the
	  automake docu again ;-)

2004-07-06 00:03  twisti

	* src/vm/jit/mips/: asmpart.S, codegen.c, codegen.h: jit compiler
	  global variable changes.

2004-07-06 00:01  twisti

	* src/vm/jit/mips/Makefile.am: offsets.h compilation stuff.

2004-07-05 20:48  stefan

	* src/vm/jit/alpha/codegen.c: compile fix

2004-07-05 19:29  twisti

	* src/vm/jit/alpha/codegen.c: - global variable changes -
	  implemented ICMD_xASTORECONST - removed ICMD_xREM0X10001

2004-07-05 19:28  twisti

	* src/vm/jit/alpha/types.h: Defined SUPPORT_CONST_ASTORE and
	  SUPPORT_ONLY_ZERO_ASTORE.

2004-07-05 19:27  twisti

	* src/vm/jit/alpha/Makefile.am: asmpart.o and offsets.h rules.

2004-07-05 19:27  twisti

	* src/vm/jit/stack.c: - removed ICMD_xREM0X10001, we really don't
	  need them anymore - usage of defines for ICMD_xASTORECONST -
	  32-bit warning fix

2004-07-05 19:23  twisti

	* src/vm/jit/: jit.c, jit.h, loop/tracing.c, reg.inc: Removed
	  ICMD_xREM0X10001, we really don't need them anymore.

2004-07-04 13:11  stefan

	* src/: toolbox/logging.c, vm/jit/verify/typecheck.c: fix some
	  warnings

2004-07-04 12:34  stefan

	* ARCH-CHANGES: update

2004-07-03 12:35  stefan

	* builtin.c, builtin.h, headers.c, src/cacaoh/headers.c,
	  src/vm/builtin.c, src/vm/builtin.h, src/vm/jit/mips/codegen.c,
	  src/vm/jit/powerpc/codegen.c, src/vm/jit/x86_64/codegen.c: static
	  monitorenter merge

2004-07-03 12:31  stefan

	* src/vm/jit/: alpha/codegen.c, i386/codegen.c: static monitorenter

2004-07-03 12:31  stefan

	* native.c, src/native/native.c: race considerations

2004-07-03 12:01  stefan

	* ARCH-CHANGES: yet more things

2004-07-02 01:16  twisti

	* ARCH-CHANGES: One more thing to do.

2004-07-02 01:05  twisti

	* src/classpath/native/fdlibm/mprec.h: Lost 64-bit fix
	  reimplemented.

2004-07-01 22:38  twisti

	* src/vm/jit/x86_64/: Makefile.am, codegen.c, codegen.h,
	  emitfuncs.c, emitfuncs.h: - moved defines into header - moved
	  code emitting functions into emitfuncs.*

2004-07-01 22:36  twisti

	* src/vm/jit/codegen.inc: Export codegen_addreference on i386 and
	  x86_64.

2004-07-01 21:23  twisti

	* src/classpath/: Makefile.in, aclocal.m4, configure,
	  doc/Makefile.in, doc/api/Makefile.in, external/Makefile.in,
	  gnu/Makefile.in, gnu/classpath/Makefile.in, gnu/java/Makefile.in,
	  gnu/java/awt/Makefile.in, gnu/java/awt/image/Makefile.in,
	  gnu/java/awt/peer/Makefile.in, gnu/java/awt/peer/gtk/Makefile.in,
	  gnu/java/beans/Makefile.in, gnu/java/beans/editors/Makefile.in,
	  gnu/java/io/Makefile.in, gnu/java/io/decode/Makefile.in,
	  gnu/java/io/encode/Makefile.in, gnu/java/lang/Makefile.in,
	  gnu/java/lang/reflect/Makefile.in, gnu/java/locale/Makefile.in,
	  gnu/java/math/Makefile.in, gnu/java/net/Makefile.in,
	  gnu/java/net/protocol/Makefile.in,
	  gnu/java/net/protocol/file/Makefile.in,
	  gnu/java/net/protocol/http/Makefile.in,
	  gnu/java/net/protocol/jar/Makefile.in, gnu/java/nio/Makefile.in,
	  gnu/java/nio/charset/Makefile.in, gnu/java/rmi/Makefile.in,
	  gnu/java/rmi/dgc/Makefile.in, gnu/java/rmi/registry/Makefile.in,
	  gnu/java/rmi/server/Makefile.in, gnu/java/security/Makefile.in,
	  gnu/java/security/der/Makefile.in,
	  gnu/java/security/provider/Makefile.in,
	  gnu/java/security/util/Makefile.in,
	  gnu/java/security/x509/Makefile.in, gnu/java/text/Makefile.in,
	  gnu/java/util/Makefile.in, gnu/java/util/prefs/Makefile.in,
	  gnu/javax/Makefile.in, gnu/javax/rmi/Makefile.in,
	  gnu/javax/rmi/CORBA/Makefile.in, java/Makefile.in,
	  java/applet/Makefile.in, java/awt/Makefile.in,
	  java/awt/color/Makefile.in, java/awt/datatransfer/Makefile.in,
	  java/awt/dnd/Makefile.in, java/awt/dnd/peer/Makefile.in,
	  java/awt/event/Makefile.in, java/awt/font/Makefile.in,
	  java/awt/geom/Makefile.in, java/awt/im/Makefile.in,
	  java/awt/im/spi/Makefile.in, java/awt/image/Makefile.in,
	  java/awt/image/renderable/Makefile.in, java/awt/peer/Makefile.in,
	  java/awt/print/Makefile.in, java/beans/Makefile.in,
	  java/beans/beancontext/Makefile.in, java/io/Makefile.in,
	  java/lang/Makefile.in, java/lang/ref/Makefile.in,
	  java/lang/reflect/Makefile.in, java/math/Makefile.in,
	  java/net/Makefile.in, java/nio/Makefile.in,
	  java/nio/channels/Makefile.in, java/nio/channels/spi/Makefile.in,
	  java/nio/charset/Makefile.in, java/nio/charset/spi/Makefile.in,
	  java/rmi/Makefile.in, java/rmi/activation/Makefile.in,
	  java/rmi/dgc/Makefile.in, java/rmi/registry/Makefile.in,
	  java/rmi/server/Makefile.in, java/security/Makefile.in,
	  java/security/acl/Makefile.in, java/security/cert/Makefile.in,
	  java/security/interfaces/Makefile.in,
	  java/security/spec/Makefile.in, java/sql/Makefile.in,
	  java/text/Makefile.in, java/util/Makefile.in,
	  java/util/jar/Makefile.in, java/util/logging/Makefile.in,
	  java/util/prefs/Makefile.in, java/util/regex/Makefile.in,
	  java/util/zip/Makefile.in, javax/Makefile.in,
	  javax/accessibility/Makefile.in, javax/naming/Makefile.in,
	  javax/naming/directory/Makefile.in,
	  javax/naming/event/Makefile.in, javax/naming/ldap/Makefile.in,
	  javax/naming/spi/Makefile.in, javax/print/Makefile.in,
	  javax/print/attribute/Makefile.in, javax/rmi/Makefile.in,
	  javax/rmi/CORBA/Makefile.in, javax/security/Makefile.in,
	  javax/security/auth/Makefile.in,
	  javax/security/auth/x500/Makefile.in, javax/sql/Makefile.in,
	  javax/swing/Makefile.in, javax/swing/border/Makefile.in,
	  javax/swing/colorchooser/Makefile.in,
	  javax/swing/event/Makefile.in,
	  javax/swing/filechooser/Makefile.in,
	  javax/swing/plaf/Makefile.in, javax/swing/plaf/basic/Makefile.in,
	  javax/swing/plaf/metal/Makefile.in,
	  javax/swing/table/Makefile.in, javax/swing/text/Makefile.in,
	  javax/swing/text/html/Makefile.in,
	  javax/swing/text/html/parser/Makefile.in,
	  javax/swing/tree/Makefile.in, javax/swing/undo/Makefile.in,
	  javax/transaction/Makefile.in, javax/transaction/xa/Makefile.in,
	  resource/Makefile.in, resource/gnu/Makefile.in,
	  resource/gnu/java/Makefile.in, resource/gnu/java/awt/Makefile.in,
	  resource/gnu/java/awt/peer/Makefile.in,
	  resource/gnu/java/awt/peer/gtk/Makefile.in,
	  resource/java/Makefile.in, resource/java/security/Makefile.in,
	  resource/java/util/Makefile.in, vm/Makefile.in,
	  vm/reference/Makefile.in, vm/reference/java/Makefile.in,
	  vm/reference/java/io/Makefile.in,
	  vm/reference/java/lang/Makefile.in,
	  vm/reference/java/lang/reflect/Makefile.in: This should be
	  created by autogen.sh.

2004-07-01 21:10  twisti

	* src/classpath/vm/reference/java/lang/: Runtime.java, Thread.java:
	  Trash.

2004-07-01 16:21  jowenn

	* Makefile.am, autogen.sh, cacaoh.c, src/cacaoh/cacaoh.c,
	  configure.in, gennativetable.c, unzip.c,
	  src/classpath/cacaoconfigure, src/classpath/configure,
	  src/native/tools/gennativetable.c, src/vm/unzip.c,
	  src/classpath/include/config.h,
	  src/classpath/include/config.h.in, src/classpath/lib/glibj.zip:
	  fix cacao/gennativetable to not crash on zipfile input, whole
	  classpath in cacaodev module now again

2004-07-01 13:10  jowenn

	* Makefile.am: CVS include rules removed, but still compile, next
	  steps: *) Tag this version *) remove subdirectories *) import
	  whole classpath

2004-07-01 00:32  stefan

	* configure.in: i love nice usage messages

2004-07-01 00:26  stefan

	* gennativetable.c, src/native/tools/gennativetable.c: just being
	  pedantic...

2004-06-30 23:35  twisti

	* src/vm/jit/codegen.inc: Moved reg_of_var from codegen.c, cause
	  it's platform independent.

2004-06-30 23:35  twisti

	* src/vm/jit/i386/codegen.c: Moved reg_of_var into codegen.inc,
	  cause it's platform independent.

2004-06-30 23:00  twisti

	* src/vm/jit/reg.inc: Oh fuck, ansi c again! I'm soooooooo sorry...

2004-06-30 22:56  twisti

	* src/threads/green/threads.c: Include options.h.

2004-06-30 22:56  twisti

	* src/threads/green/Makefile.am: Include dir fix.

2004-06-30 22:38  twisti

	* src/vm/jit/i386/Makefile.am: Handle offsets.h stuff in a better
	  way.

2004-06-30 22:26  twisti

	* configure.in: Enable zlib support by default.

2004-06-30 22:24  twisti

	* jni.c, src/native/jni.c: Include options.h/statistics.h.

2004-06-30 22:24  twisti

	* src/vm/jit/Makefile.am: Removed offsets.h stuff.

2004-06-30 22:23  twisti

	* src/vm/jit/i386/codegen.h: Define {INT,FLT}_{ARG,SAV}_CNT

2004-06-30 22:22  twisti

	* src/vm/jit/i386/codegen.c: - *registerdata stuff - implemented
	  ICMD_xASTORECONST

2004-06-30 22:21  twisti

	* src/vm/jit/i386/: emitfuncs.c, emitfuncs.h: Implemented functions
	  for ICMD_xASTORECONST.

2004-06-30 22:19  twisti

	* src/vm/jit/reg.inc: - *registerdata changes - implemented
	  ICMD_xASTORECONST

2004-06-30 22:18  twisti

	* src/vm/jit/codegen.inc: Include options.h/statistics.h.

2004-06-30 22:15  twisti

	* src/toolbox/: logging.c, logging.h: Moved getcputime() into
	  statistics.*

2004-06-30 22:14  twisti

	* headers.c, src/cacaoh/headers.c: - removed options (they are now
	  in options.c) - removed cacaoh's and gennativetable's main()

2004-06-30 22:12  twisti

	* headers.h, src/cacaoh/headers.h: Some exports of header.c's
	  functions and variables used by cacaoh.c and gennativetable.c.

2004-06-30 22:11  twisti

	* cacaoh.c, src/cacaoh/cacaoh.c: Main function of cacaoh, uses
	  functions of header.c

2004-06-30 22:10  twisti

	* Makefile.am: - added options.*/statistics.* - compile
	  gennativetable - generate natheaders, nativetable.inc

2004-06-30 22:07  twisti

	* tables.c, src/vm/tables.c: - include options.h/statistics.h
	  instead of main.h - removed statistic exports

2004-06-30 22:06  twisti

	* native.h, src/native/native.h: - moved struct nativeref,
	  nativecompref from c file - export class_java_lang_Exception,
	  class_java_lang_Error

2004-06-30 22:05  twisti

	* native.c, src/native/native.c: - moved struct nativeref, struct
	  nativecompref into header - added class_java_lang_Exception,
	  class_java_lang_Error globals - #include "nativetable.inc" -
	  removed compilation of system exception

2004-06-30 21:54  twisti

	* loader.c, src/vm/loader.c: - include options.h/statistics.h
	  instead of main.h - moved statistic variables into statistics.* -
	  set new pointer in methodinfo NULL - handle an java.lang.Error in
	  <clinit> correctly

2004-06-30 21:52  twisti

	* src/vm/jit/inline/: parseRT.c, parseRTstats.c: Include options.h.

2004-06-30 21:51  twisti

	* src/vm/jit/inline/inline.c, builtin.c, src/vm/builtin.c: Include
	  options.h instead of main.h.

2004-06-30 21:49  twisti

	* src/vm/jit/reg.h: Defined registerdata structure.

2004-06-30 21:48  twisti

	* src/vm/jit/jit.h: - moved statistic variables into statistics.* -
	  implemented ICMD_xASTORECONST

2004-06-30 21:47  twisti

	* src/vm/jit/stack.c: - include options.h/statistics.h instead of
	  main.h - implemented ICMD_xASTORECONST - registerdata changes

2004-06-30 21:42  twisti

	* src/vm/jit/parse.c: Include options.h/statistics.h instead of
	  main.h.

2004-06-30 21:41  twisti

	* global.h, src/vm/global.h: - moved commandline switch and
	  statistic variables into   options.*/statistics.* - added
	  *registerdata to methodinfo

2004-06-30 21:39  twisti

	* src/vm/jit/jit.c: - moved statistic variables into statistics.* -
	  implemented ICMD_xASTORECONST - moved global register data into
	  structure referenced by methodinfo

2004-06-30 21:32  twisti

	* main.c, main.h, src/cacao/cacao.c, src/cacao/cacao.h: Moved
	  commandline option and statistic variables into
	  options.*/statistics.*. So we can include them also into cacaoh
	  and gennativetable.

2004-06-30 21:28  twisti

	* src/native/vm/: Constructor.c, VMThread.c, VMObject.c: Include
	  options.h

2004-06-30 21:26  twisti

	* src/mm/boehm.c: Include options.h instead of main.h

2004-06-30 21:26  twisti

	* src/mm/Makefile.am: Include dir fix.

2004-06-30 21:13  twisti

	* statistics.c, statistics.h, src/vm/statistics.c,
	  src/vm/statistics.h: Contains global statistic variables used in
	  the compiler.

2004-06-30 21:13  twisti

	* options.c, options.h, src/vm/options.c, src/vm/options.h:
	  Contains commandline switch variables  used in cacao and cacaoh.

2004-06-30 21:12  twisti

	* gennativetable.c, src/native/tools/gennativetable.c: Generate
	  nativetable.h for native.c

2004-06-30 21:12  twisti

	* genoffsets.c, src/vm/jit/tools/genoffsets.c: Generate
	  jit/ARCH_DIR/offsets.h

2004-06-29 16:38  twisti

	* headers.c, src/cacaoh/headers.c: Added javastring_tochar,
	  class_java_lang_Exception

2004-06-29 16:37  twisti

	* builtin.c, src/vm/builtin.c: Print detailMessage in
	  builtin_throw_exception.

2004-06-29 16:11  twisti

	* src/vm/jit/alpha/: asmpart.S, codegen.c, codegen.h:
	  removal_of_global_jit_variables changes.

2004-06-29 16:09  twisti

	* src/vm/jit/alpha/Makefile.am: asmpart depends on offsets.h

2004-06-29 15:31  twisti

	* headers.c, src/cacaoh/headers.c: - print exceptions if they occur
	  - start with 2MB max heap size

2004-06-29 14:24  twisti

	* src/vm/jit/codegen.inc: codegen_insertNative only for i386 and
	  x86_64.

2004-06-26 15:38  stefan

	* configure.in: we need to disable threads for boehm

2004-06-26 14:45  stefan

	* configure.in: native threads configuration option added

2004-06-26 14:41  stefan

	* src/boehm-gc/: configure.in: rename thread switch so we can
	  control it from our configure script

2004-06-26 00:41  stefan

	* ARCH-CHANGES: jit global vars added

2004-06-26 00:16  stefan

	* src/threads/green/threads.h: no threads compile fix merged

2004-06-25 14:20  twisti

	* src/native/vm/VMSecurityManager.c: Temporary hack for non i386
	  architectures.

2004-06-25 12:19  twisti

	* src/threads/native/: threads.c, threads.h: - implemented some
	  exceptions - sleepThread now takes also nanos

2004-06-25 12:15  twisti

	* src/native/vm/VMThread.c: - pass nanos to sleepThread - #ifdef
	  __GNUC__ for #warning

2004-06-25 08:18  carolyn

	* src/: classpath/include/config.h, vm/jit/inline/inline.c: updated
	  inline.c so works with lazy loading

2004-06-23 15:35  twisti

	* tests/.gdbinit: Hmm, this file makes problems.

2004-06-23 01:12  twisti

	* src/vm/jit/codegen.inc, src/vm/jit/jit.c, src/vm/jit/jit.h,
	  src/vm/jit/parse.c, src/vm/jit/parse.h, src/vm/jit/reg.h,
	  src/vm/jit/reg.inc, src/vm/jit/stack.c, src/vm/jit/stack.h,
	  src/vm/jit/i386/codegen.c, src/vm/jit/i386/codegen.h,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/loop/analyze.c,
	  src/vm/jit/verify/typecheck.c, src/vm/jit/loop/analyze.h,
	  src/vm/jit/loop/graph.c, src/vm/jit/loop/graph.h,
	  src/vm/jit/loop/loop.c, src/vm/jit/loop/loop.h, global.h,
	  src/vm/global.h: Removed jit.c global variables. Most of them
	  were already in methodinfo, others now have a pointer into dump
	  area, some are new variables. Thus the methodinfo pointer is now
	  passed to the called functions.

2004-06-21 21:58  stefan

	* ARCH-CHANGES: need clarification

2004-06-20 23:24  twisti

	* src/native/vm/VMClass.c: - check for NoClassDefFoundError,
	  because forName can also throw other	 exceptions, check for
	  class_load/link errors - commented some strange code

2004-06-20 23:20  twisti

	* tests/forname.java: Added a testing class.

2004-06-20 23:20  twisti

	* tests/sleep.java: Made random a global variable to get always
	  different sleep values (equals values happend on fast smp
	  machines).

2004-06-20 22:59  twisti

	* src/threads/green/: threads.c, threads.h: Also pass nanos to
	  sleepThread function.

2004-06-20 22:58  twisti

	* src/threads/green/threadio.c: Fixed include path.

2004-06-20 21:45  twisti

	* src/toolbox/list.c: Set prev and next to NULL on list_remove
	  (with this fix eager loading works).

2004-06-20 21:44  twisti

	* tables.c, src/vm/tables.c: Eager loading now works.

2004-06-19 14:59  twisti

	* builtin.c, src/vm/builtin.c: Bug fix in builtin_monitor* with
	  green threads: monitors must be reentrantable by the same thread
	  (recursive call of synchronized function).

2004-06-19 14:49  twisti

	* src/vm/jit/i386/asmpart.S: - Arghhhh! Do NOT use %ebx in a asm_
	  function without saving it, it's a   callee saved register!!!
	  Damn. I now use %edx (-> related to jit.c's	method_uses_edx
	  stuff).  - some code indent

2004-06-19 14:47  twisti

	* src/vm/jit/jit.c: Don't use ecx, edx on i386 (we have problems
	  with asmpart functions). I now think, this was not a good idea.

2004-06-19 14:46  twisti

	* typeinfo.c, src/vm/jit/verify/typeinfo.c: Some lazy
	  loading/linking checks, i believe the are _many_ more!

2004-06-19 14:44  twisti

	* native.c, src/native/native.c: - added: throw_exception,
	  throw_exception_exit, throw_main_exception and
	  throw_main_exception_exit, which all of them use
	  throw_exception_exit_intern - eager loading stuff

2004-06-19 14:42  twisti

	* native.h, src/native/native.h: Added: throw_exception,
	  throw_main_exception, throw_main_exception_exit

2004-06-19 14:32  twisti

	* main.c, src/cacao/cacao.c: - added compatibility flags: -cp,
	  -Xmx, -Xms (with K, M) - usage of throw_main_exception_exit -
	  don't exit after an exception in the main method (2 reasons: we
	  use	Runtime.exit() and maybe other threads are running)

2004-06-19 14:26  twisti

	* global.h, src/vm/global.h: Added initializing flag to classinfo
	  structure. This is used by the compiler to prevent circularity in
	  class_init's.

2004-06-19 14:24  twisti

	* tables.h, src/vm/tables.h: - removed stringdeleter from
	  tables_close (why?) - renamed some functions to better names:
	  utf_new_int -> utf_new_intern
		class_new_int -> class_new_intern - added class_remove

2004-06-19 14:23  twisti

	* tables.c, src/vm/tables.c: - removed stringdeleter from
	  tables_close (why?) - renamed some functions to better names:
	  utf_new_int -> utf_new_intern
		class_new_int -> class_new_intern - added class_remove:
	  this removes the classinfo entry in the hashtable

2004-06-19 14:21  twisti

	* loader.h, src/vm/loader.h: Added class_free

2004-06-19 14:20  twisti

	* loader.c, src/vm/loader.c: Ansi C greetz you...

2004-06-19 14:13  twisti

	* loader.c, src/vm/loader.c: - added new_classformaterror - added
	  check_classbuffer_size (use before suck_ calls) - made suck_*
	  #define's inline functions - some functions now return bool to
	  catch "truncated class files" - added some eager loading stuff -
	  free class resources if loading failed - class_init wrapper with
	  monitors to handle class init's properly

2004-06-17 21:23  twisti

	* src/vm/jit/i386/codegen.c: Moved
	  builtin_monitorenter/builtin_monitorexit functions outside of the
	  trace call functions to get a proper trace call with threads.

2004-06-17 19:14  twisti

	* src/vm/jit/: inline/inline.c, stack.c, verify/typecheck.c: Fixed
	  include paths.

2004-06-17 19:12  twisti

	* headers.c, src/cacaoh/headers.c: Added throw_exception

2004-06-17 18:04  stefan

	* ARCH-CHANGES: [no log message]

2004-06-17 14:13  stefan

	* builtin.c, builtin.h, headers.c, src/cacaoh/headers.c,
	  src/vm/builtin.c, src/vm/builtin.h: static monitorenter

2004-06-17 13:53  stefan

	* src/vm/jit/: alpha/codegen.c, i386/codegen.c, mips/codegen.c,
	  powerpc/codegen.c, x86_64/codegen.c: static monitorenter

2004-06-17 11:04  stefan

	* src/threads/green/threads.h: castinfo needed even in non-thread
	  builds

2004-06-16 22:33  stefan

	* native.c, src/native/native.c: race in use_class_as_object

2004-06-16 16:56  jowenn

	* Makefile.am, asmpart.h, builtin.c, global.h, src/vm/builtin.c,
	  src/vm/global.h, src/vm/jit/asmpart.h, headers.c, jni.c,
	  loader.c, main.c, src/cacao/cacao.c, src/cacaoh/headers.c,
	  src/native/jni.c, src/vm/loader.c, native.c, src/native/native.c,
	  src/vm/jit/codegen.inc, src/vm/jit/i386/asmpart.S,
	  src/native/vm/Makefile.am, src/native/vm/VMClass.c,
	  src/native/vm/VMRuntime.c, src/native/vm/VMThread.c,
	  src/vm/jit/i386/codegen.c, src/native/include/java_lang_Thread.h,
	  src/native/include/java_lang_VMThread.h,
	  src/threads/green/locks.c, src/threads/green/threadio.c,
	  src/threads/green/threads.c, src/threads/green/threads.h,
	  src/toolbox/avl.c, tests/fintest2.java, tests/fintest2a.java,
	  tests/fintest3.java, tests/fintest3a.java, tests/fintest4.java,
	  tests/fintest4a.java, tests/network/httpd/httpd.java,
	  tests/stack/nestedstaticinitializers2.java,
	  tests/stack/java/Makefile: a few finalizer testcases, old thread
	  implementation uses now VMThread, no mor context (perhaps we
	  should change some of the functions needing Thread objects to use
	  VMThreadobjects. Better handling of ambigious native function
	  names. Fix for clinit in static native call stub. early
	  initialization of  System class ...

2004-06-16 16:19  jowenn

	* src/classpath/lib/glibj.zip: Hopefully all classes this time

2004-06-16 15:34  jowenn

	* src/classpath/native/jni/java-nio/java_nio_channels_Channels.c: a
	  few new stubs from the 0.09 classpath

2004-06-16 14:36  jowenn

	* src/classpath/: native/jni/java-io/Makefile.am,
	  native/jni/java-io/java_io_VMFile.c,
	  native/jni/java-io/java_io_VMObjectStreamClass.c,
	  native/jni/java-io/javaio.c, native/jni/java-io/javaio.h,
	  native/jni/java-lang/Makefile.am,
	  native/jni/java-lang/java_lang_VMDouble.c,
	  native/jni/java-lang/java_lang_VMProcess.c,
	  native/jni/java-lang/java_lang_VMSystem.c,
	  native/jni/java-lang/java_lang_reflect_Array.c,
	  native/jni/java-net/Makefile.am,
	  native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c,
	  native/jni/java-net/gnu_java_net_PlainSocketImpl.c,
	  native/jni/java-net/java_net_InetAddress.c,
	  native/jni/java-net/javanet.c, native/jni/java-net/javanet.h,
	  native/jni/java-nio/Makefile.am,
	  native/jni/java-nio/gnu_java_nio_NIOServerSocket.c,
	  native/jni/java-nio/gnu_java_nio_PipeImpl.c,
	  native/jni/java-nio/gnu_java_nio_SelectorImpl.c,
	  native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c,
	  native/jni/java-nio/java_nio_DirectByteBufferImpl.c,
	  native/jni/java-nio/java_nio_MappedByteBufferImpl.c,
	  native/jni/java-util/Makefile.am,
	  native/target/Linux/target_native.h,
	  native/target/Linux/target_native_file.h,
	  native/target/Linux/target_native_io.h,
	  native/target/Linux/target_native_math_float.h,
	  native/target/Linux/target_native_math_int.h,
	  native/target/Linux/target_native_misc.h,
	  native/target/Linux/target_native_network.h,
	  native/target/generic/target_generic.h,
	  native/target/generic/target_generic_file.h,
	  native/target/generic/target_generic_io.h,
	  native/target/generic/target_generic_math_float.h,
	  native/target/generic/target_generic_math_int.h,
	  native/target/generic/target_generic_misc.h,
	  native/target/generic/target_generic_network.h,
	  resource/Makefile.in, resource/gnu/Makefile.am,
	  resource/gnu/Makefile.in, resource/gnu/java/Makefile.in,
	  resource/gnu/java/awt/Makefile.in,
	  resource/gnu/java/awt/peer/Makefile.in,
	  resource/gnu/java/awt/peer/gtk/Makefile.in,
	  resource/gnu/regexp/Makefile.am,
	  resource/gnu/regexp/MessagesBundle.properties,
	  resource/gnu/regexp/MessagesBundle_fr.properties,
	  resource/java/Makefile.in, resource/java/security/Makefile.am,
	  resource/java/security/Makefile.in,
	  resource/java/util/Makefile.in, vm/Makefile.in,
	  vm/reference/Makefile.in, vm/reference/java/Makefile.in,
	  vm/reference/java/io/Makefile.am,
	  vm/reference/java/io/Makefile.in,
	  vm/reference/java/io/VMFile.java,
	  vm/reference/java/io/VMObjectStreamClass.java,
	  vm/reference/java/lang/Makefile.am,
	  vm/reference/java/lang/Makefile.in,
	  vm/reference/java/lang/VMClass.java,
	  vm/reference/java/lang/VMProcess.java,
	  vm/reference/java/lang/VMRuntime.java,
	  vm/reference/java/lang/VMString.java,
	  vm/reference/java/lang/VMThread.java,
	  vm/reference/java/lang/VMThrowable.java,
	  vm/reference/java/lang/reflect/Constructor.java,
	  vm/reference/java/lang/reflect/Makefile.in,
	  vm/reference/java/lang/reflect/Method.java: gnu classpath 0.09

2004-06-16 14:33  jowenn

	* src/classpath/: AUTHORS, ChangeLog, HACKING, INSTALL,
	  Makefile.in, NEWS, README, THANKYOU, TODO, acinclude.m4,
	  aclocal.m4, autogen.sh, config.guess, config.sub, configure,
	  configure.ac, configure.in, ltmain.sh, pkg.m4, doc/Makefile.in,
	  doc/hacking.info, doc/hacking.texinfo, doc/vmintegration.info,
	  doc/vmintegration.texinfo, doc/api/Makefile.am,
	  doc/api/Makefile.in, external/Makefile.in, gnu/Makefile.am,
	  gnu/Makefile.in, gnu/classpath/Configuration.java,
	  gnu/classpath/Makefile.am, gnu/classpath/Makefile.in,
	  gnu/classpath/ServiceFactory.java,
	  gnu/classpath/ServiceProviderLoadingAction.java,
	  gnu/java/Makefile.in, gnu/java/awt/BitwiseXORComposite.java,
	  gnu/java/awt/Buffers.java, gnu/java/awt/ClasspathToolkit.java,
	  gnu/java/awt/ComponentDataBlitOp.java,
	  gnu/java/awt/EmbeddedWindow.java,
	  gnu/java/awt/EmbeddedWindowSupport.java,
	  gnu/java/awt/Makefile.am, gnu/java/awt/Makefile.in,
	  gnu/java/awt/image/ImageDecoder.java,
	  gnu/java/awt/image/Makefile.in,
	  gnu/java/awt/image/XBMDecoder.java,
	  gnu/java/awt/peer/ClasspathFontPeer.java,
	  gnu/java/awt/peer/EmbeddedWindowPeer.java,
	  gnu/java/awt/peer/GLightweightPeer.java,
	  gnu/java/awt/peer/Makefile.am, gnu/java/awt/peer/Makefile.in,
	  gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	  gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java,
	  gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	  gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	  gnu/java/awt/peer/gtk/GdkGraphics.java,
	  gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	  gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	  gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	  gnu/java/awt/peer/gtk/GtkArgList.java,
	  gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  gnu/java/awt/peer/gtk/GtkCanvasPeer.java,
	  gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	  gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	  gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkEmbeddedWindowPeer.java,
	  gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFontPeer.java,
	  gnu/java/awt/peer/gtk/GtkFramePeer.java,
	  gnu/java/awt/peer/gtk/GtkImage.java,
	  gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	  gnu/java/awt/peer/gtk/GtkListPeer.java,
	  gnu/java/awt/peer/gtk/GtkMainThread.java,
	  gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	  gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  gnu/java/awt/peer/gtk/GtkToolkit.java,
	  gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	  gnu/java/awt/peer/gtk/Makefile.am,
	  gnu/java/awt/peer/gtk/Makefile.in,
	  gnu/java/beans/BeanInfoEmbryo.java,
	  gnu/java/beans/IntrospectionIncubator.java,
	  gnu/java/beans/Makefile.in, gnu/java/beans/editors/Makefile.in,
	  gnu/java/io/Base64InputStream.java, gnu/java/io/Makefile.in,
	  gnu/java/io/PlatformHelper.java, gnu/java/io/decode/Decoder.java,
	  gnu/java/io/decode/Decoder8859_1.java,
	  gnu/java/io/decode/Decoder8859_2.java,
	  gnu/java/io/decode/Decoder8859_3.java,
	  gnu/java/io/decode/Decoder8859_4.java,
	  gnu/java/io/decode/Decoder8859_5.java,
	  gnu/java/io/decode/DecoderEightBitLookup.java,
	  gnu/java/io/decode/DecoderUTF8.java,
	  gnu/java/io/decode/Makefile.in, gnu/java/io/encode/Encoder.java,
	  gnu/java/io/encode/Encoder8859_1.java,
	  gnu/java/io/encode/Encoder8859_2.java,
	  gnu/java/io/encode/Encoder8859_3.java,
	  gnu/java/io/encode/Encoder8859_4.java,
	  gnu/java/io/encode/Encoder8859_5.java,
	  gnu/java/io/encode/EncoderEightBitLookup.java,
	  gnu/java/io/encode/EncoderUTF8.java,
	  gnu/java/io/encode/Makefile.in, gnu/java/lang/ClassHelper.java,
	  gnu/java/lang/Makefile.am, gnu/java/lang/Makefile.in,
	  gnu/java/lang/SystemClassLoader.java,
	  gnu/java/lang/reflect/Makefile.in,
	  gnu/java/lang/reflect/TypeSignature.java,
	  gnu/java/locale/Makefile.in, gnu/java/math/Makefile.in,
	  gnu/java/net/HeaderFieldHelper.java, gnu/java/net/Makefile.am,
	  gnu/java/net/Makefile.in,
	  gnu/java/net/PlainDatagramSocketImpl.java,
	  gnu/java/net/PlainSocketImpl.java,
	  gnu/java/net/URLParseError.java,
	  gnu/java/net/protocol/Makefile.in,
	  gnu/java/net/protocol/file/Connection.java,
	  gnu/java/net/protocol/file/Handler.java,
	  gnu/java/net/protocol/file/Makefile.am,
	  gnu/java/net/protocol/file/Makefile.in,
	  gnu/java/net/protocol/http/Connection.java,
	  gnu/java/net/protocol/http/Handler.java,
	  gnu/java/net/protocol/http/Makefile.am,
	  gnu/java/net/protocol/http/Makefile.in,
	  gnu/java/net/protocol/jar/Connection.java,
	  gnu/java/net/protocol/jar/Handler.java,
	  gnu/java/net/protocol/jar/Makefile.am,
	  gnu/java/net/protocol/jar/Makefile.in,
	  gnu/java/nio/ChannelInputStream.java,
	  gnu/java/nio/ChannelOutputStream.java,
	  gnu/java/nio/DatagramChannelImpl.java,
	  gnu/java/nio/DatagramChannelSelectionKey.java,
	  gnu/java/nio/FileLockImpl.java,
	  gnu/java/nio/InputStreamChannel.java, gnu/java/nio/Makefile.am,
	  gnu/java/nio/Makefile.in, gnu/java/nio/NIOConstants.java,
	  gnu/java/nio/NIODatagramSocket.java,
	  gnu/java/nio/NIOServerSocket.java, gnu/java/nio/NIOSocket.java,
	  gnu/java/nio/OutputStreamChannel.java,
	  gnu/java/nio/PipeImpl.java, gnu/java/nio/SelectionKeyImpl.java,
	  gnu/java/nio/SelectorImpl.java,
	  gnu/java/nio/SelectorProviderImpl.java,
	  gnu/java/nio/ServerSocketChannelImpl.java,
	  gnu/java/nio/ServerSocketChannelSelectionKey.java,
	  gnu/java/nio/SocketChannelImpl.java,
	  gnu/java/nio/SocketChannelSelectionKey.java,
	  gnu/java/nio/channels/FileChannelImpl.java,
	  gnu/java/nio/channels/Makefile.am,
	  gnu/java/nio/charset/Makefile.in,
	  gnu/java/nio/charset/UTF_16Decoder.java,
	  gnu/java/rmi/Makefile.in, gnu/java/rmi/dgc/Makefile.in,
	  gnu/java/rmi/registry/Makefile.in,
	  gnu/java/rmi/server/Makefile.am, gnu/java/rmi/server/Makefile.in,
	  gnu/java/rmi/server/ProtocolConstants.java,
	  gnu/java/rmi/server/RMIIncomingThread.java,
	  gnu/java/rmi/server/RMIVoidValue.java,
	  gnu/java/rmi/server/UnicastConnection.java,
	  gnu/java/rmi/server/UnicastConnectionManager.java,
	  gnu/java/rmi/server/UnicastRef.java,
	  gnu/java/rmi/server/UnicastRemoteCall.java,
	  gnu/java/rmi/server/UnicastServer.java,
	  gnu/java/rmi/server/UnicastServerRef.java,
	  gnu/java/security/Makefile.in, gnu/java/security/der/DER.java,
	  gnu/java/security/der/DERReader.java,
	  gnu/java/security/der/DERWriter.java,
	  gnu/java/security/der/Makefile.in,
	  gnu/java/security/provider/DSAKeyPairGenerator.java,
	  gnu/java/security/provider/DSAParameters.java,
	  gnu/java/security/provider/Makefile.in,
	  gnu/java/security/util/Makefile.in,
	  gnu/java/security/x509/Makefile.in,
	  gnu/java/text/AttributedFormatBuffer.java,
	  gnu/java/text/CharacterBreakIterator.java,
	  gnu/java/text/FormatBuffer.java,
	  gnu/java/text/FormatCharacterIterator.java,
	  gnu/java/text/LineBreakIterator.java, gnu/java/text/Makefile.am,
	  gnu/java/text/Makefile.in,
	  gnu/java/text/SentenceBreakIterator.java,
	  gnu/java/text/StringFormatBuffer.java,
	  gnu/java/text/WordBreakIterator.java,
	  gnu/java/util/DoubleEnumeration.java, gnu/java/util/Makefile.in,
	  gnu/java/util/prefs/Makefile.in,
	  gnu/java/util/prefs/NodeReader.java, gnu/javax/Makefile.in,
	  gnu/javax/rmi/Makefile.in,
	  gnu/javax/rmi/CORBA/DelegateFactory.java,
	  gnu/javax/rmi/CORBA/Makefile.in, gnu/regexp/CharIndexed.java,
	  gnu/regexp/CharIndexedCharArray.java,
	  gnu/regexp/CharIndexedInputStream.java,
	  gnu/regexp/CharIndexedString.java,
	  gnu/regexp/CharIndexedStringBuffer.java, gnu/regexp/Makefile.am,
	  gnu/regexp/RE.java, gnu/regexp/REException.java,
	  gnu/regexp/REFilterInputStream.java, gnu/regexp/REMatch.java,
	  gnu/regexp/REMatchEnumeration.java, gnu/regexp/RESyntax.java,
	  gnu/regexp/REToken.java, gnu/regexp/RETokenAny.java,
	  gnu/regexp/RETokenBackRef.java, gnu/regexp/RETokenChar.java,
	  gnu/regexp/RETokenEnd.java, gnu/regexp/RETokenEndSub.java,
	  gnu/regexp/RETokenOneOf.java, gnu/regexp/RETokenPOSIX.java,
	  gnu/regexp/RETokenRange.java, gnu/regexp/RETokenRepeated.java,
	  gnu/regexp/RETokenStart.java,
	  gnu/regexp/RETokenWordBoundary.java, gnu/regexp/UncheckedRE.java,
	  include/Makefile.am, include/config.h,
	  include/gnu_java_awt_EmbeddedWindow.h,
	  include/gnu_java_awt_peer_gtk_GdkFontMetrics.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	  include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  include/gnu_java_net_PlainDatagramSocketImpl.h,
	  include/gnu_java_net_PlainSocketImpl.h,
	  include/gnu_java_nio_NIOServerSocket.h,
	  include/gnu_java_nio_PipeImpl.h,
	  include/gnu_java_nio_SelectorImpl.h,
	  include/gnu_java_nio_channels_FileChannelImpl.h,
	  include/java_io_VMFile.h, include/java_io_VMObjectStreamClass.h,
	  include/java_lang_VMProcess.h, include/java_lang_VMRuntime.h,
	  include/java_lang_VMSystem.h, include/java_lang_reflect_Array.h,
	  include/java_net_InetAddress.h,
	  include/java_nio_DirectByteBufferImpl.h,
	  include/java_nio_MappedByteBufferImpl.h,
	  include/java_nio_channels_Channels.h, include/jni.h,
	  include/jni.h.in, include/stamp-h.in, java/Makefile.in,
	  java/applet/Applet.java, java/applet/Makefile.in,
	  java/awt/AWTPermission.java, java/awt/BorderLayout.java,
	  java/awt/Button.java, java/awt/CardLayout.java,
	  java/awt/CheckboxGroup.java, java/awt/Choice.java,
	  java/awt/Color.java, java/awt/ColorPaintContext.java,
	  java/awt/Component.java, java/awt/ComponentOrientation.java,
	  java/awt/Container.java, java/awt/Dialog.java,
	  java/awt/EventDispatchThread.java, java/awt/EventQueue.java,
	  java/awt/FileDialog.java, java/awt/FlowLayout.java,
	  java/awt/Font.java, java/awt/FontMetrics.java,
	  java/awt/Frame.java, java/awt/Graphics.java,
	  java/awt/GraphicsEnvironment.java, java/awt/GridBagLayout.java,
	  java/awt/LayoutManager2.java, java/awt/List.java,
	  java/awt/Makefile.in, java/awt/MediaTracker.java,
	  java/awt/Menu.java, java/awt/MenuBar.java,
	  java/awt/MenuComponent.java, java/awt/MenuItem.java,
	  java/awt/Polygon.java, java/awt/PopupMenu.java,
	  java/awt/Rectangle.java, java/awt/ScrollPane.java,
	  java/awt/Scrollbar.java, java/awt/SystemColor.java,
	  java/awt/TextArea.java, java/awt/TextComponent.java,
	  java/awt/TextField.java, java/awt/Window.java,
	  java/awt/color/Makefile.in,
	  java/awt/datatransfer/DataFlavor.java,
	  java/awt/datatransfer/Makefile.in,
	  java/awt/datatransfer/StringSelection.java,
	  java/awt/dnd/Makefile.in, java/awt/dnd/peer/Makefile.in,
	  java/awt/event/Makefile.in, java/awt/event/MouseEvent.java,
	  java/awt/font/Makefile.in, java/awt/font/TextLayout.java,
	  java/awt/geom/AffineTransform.java,
	  java/awt/geom/CubicCurve2D.java, java/awt/geom/Makefile.in,
	  java/awt/geom/PathIterator.java, java/awt/geom/QuadCurve2D.java,
	  java/awt/im/Makefile.in, java/awt/im/spi/Makefile.in,
	  java/awt/image/AffineTransformOp.java,
	  java/awt/image/BufferedImage.java,
	  java/awt/image/ColorModel.java,
	  java/awt/image/ComponentColorModel.java,
	  java/awt/image/ComponentSampleModel.java,
	  java/awt/image/DataBufferDouble.java,
	  java/awt/image/DataBufferFloat.java,
	  java/awt/image/DataBufferShort.java,
	  java/awt/image/ImageConsumer.java,
	  java/awt/image/ImagingOpException.java,
	  java/awt/image/Makefile.am, java/awt/image/Makefile.in,
	  java/awt/image/PixelGrabber.java,
	  java/awt/image/PixelInterleavedSampleModel.java,
	  java/awt/image/Raster.java, java/awt/image/SampleModel.java,
	  java/awt/image/SinglePixelPackedSampleModel.java,
	  java/awt/image/renderable/Makefile.in,
	  java/awt/image/renderable/RenderContext.java,
	  java/awt/peer/Makefile.in, java/awt/peer/MenuPeer.java,
	  java/awt/print/Makefile.in, java/beans/AppletInitializer.java,
	  java/beans/BeanDescriptor.java, java/beans/BeanInfo.java,
	  java/beans/Customizer.java, java/beans/DesignMode.java,
	  java/beans/EventSetDescriptor.java,
	  java/beans/FeatureDescriptor.java,
	  java/beans/IndexedPropertyDescriptor.java,
	  java/beans/Introspector.java, java/beans/Makefile.in,
	  java/beans/MethodDescriptor.java,
	  java/beans/PropertyDescriptor.java,
	  java/beans/PropertyEditor.java,
	  java/beans/PropertyEditorManager.java,
	  java/beans/SimpleBeanInfo.java, java/beans/Visibility.java,
	  java/beans/beancontext/BeanContext.java,
	  java/beans/beancontext/BeanContextChild.java,
	  java/beans/beancontext/BeanContextChildComponentProxy.java,
	  java/beans/beancontext/BeanContextChildSupport.java,
	  java/beans/beancontext/BeanContextContainerProxy.java,
	  java/beans/beancontext/BeanContextMembershipListener.java,
	  java/beans/beancontext/BeanContextProxy.java,
	  java/beans/beancontext/BeanContextServiceProvider.java,
	  java/beans/beancontext/BeanContextServiceProviderBeanInfo.java,
	  java/beans/beancontext/BeanContextServiceRevokedListener.java,
	  java/beans/beancontext/BeanContextServices.java,
	  java/beans/beancontext/BeanContextServicesListener.java,
	  java/beans/beancontext/BeanContextServicesSupport.java,
	  java/beans/beancontext/Makefile.in,
	  java/io/BufferedInputStream.java, java/io/BufferedReader.java,
	  java/io/BufferedWriter.java, java/io/ByteArrayInputStream.java,
	  java/io/ByteArrayOutputStream.java, java/io/CharArrayReader.java,
	  java/io/CharArrayWriter.java, java/io/DataInput.java,
	  java/io/DataInputStream.java, java/io/Externalizable.java,
	  java/io/File.java, java/io/FileDescriptor.java,
	  java/io/FileFilter.java, java/io/FileInputStream.java,
	  java/io/FileOutputStream.java, java/io/FilePermission.java,
	  java/io/FilterInputStream.java, java/io/InputStream.java,
	  java/io/InputStreamReader.java, java/io/LineNumberReader.java,
	  java/io/Makefile.in, java/io/ObjectInput.java,
	  java/io/ObjectInputStream.java,
	  java/io/ObjectInputValidation.java, java/io/ObjectOutput.java,
	  java/io/ObjectOutputStream.java, java/io/ObjectStreamClass.java,
	  java/io/ObjectStreamConstants.java,
	  java/io/ObjectStreamField.java, java/io/OutputStreamWriter.java,
	  java/io/PipedInputStream.java, java/io/PipedReader.java,
	  java/io/PushbackInputStream.java, java/io/PushbackReader.java,
	  java/io/RandomAccessFile.java, java/io/Serializable.java,
	  java/io/SerializablePermission.java,
	  java/io/StreamTokenizer.java, java/io/StringWriter.java,
	  java/io/WriteAbortedException.java, java/io/Writer.java,
	  java/lang/Byte.java, java/lang/CharSequence.java,
	  java/lang/Class.java, java/lang/ClassLoader.java,
	  java/lang/Compiler.java, java/lang/Double.java,
	  java/lang/Float.java, java/lang/Integer.java,
	  java/lang/Long.java, java/lang/Makefile.am,
	  java/lang/Makefile.in, java/lang/Math.java,
	  java/lang/Number.java, java/lang/Object.java,
	  java/lang/Package.java, java/lang/Runtime.java,
	  java/lang/RuntimePermission.java, java/lang/SecurityManager.java,
	  java/lang/Short.java, java/lang/StrictMath.java,
	  java/lang/String.java, java/lang/StringBuffer.java,
	  java/lang/System.java, java/lang/Thread.java,
	  java/lang/ThreadGroup.java, java/lang/Throwable.java,
	  java/lang/ref/Makefile.in, java/lang/ref/Reference.java,
	  java/lang/reflect/AccessibleObject.java,
	  java/lang/reflect/Array.java,
	  java/lang/reflect/InvocationHandler.java,
	  java/lang/reflect/Makefile.in, java/lang/reflect/Proxy.java,
	  java/math/BigDecimal.java, java/math/BigInteger.java,
	  java/math/Makefile.in, java/net/Authenticator.java,
	  java/net/BindException.java, java/net/ConnectException.java,
	  java/net/ContentHandler.java,
	  java/net/ContentHandlerFactory.java,
	  java/net/DatagramPacket.java, java/net/DatagramSocket.java,
	  java/net/DatagramSocketImpl.java,
	  java/net/DatagramSocketImplFactory.java,
	  java/net/FileNameMap.java, java/net/HttpURLConnection.java,
	  java/net/Inet4Address.java, java/net/Inet6Address.java,
	  java/net/InetAddress.java, java/net/InetSocketAddress.java,
	  java/net/JarURLConnection.java, java/net/Makefile.am,
	  java/net/Makefile.in, java/net/MalformedURLException.java,
	  java/net/MimeTypeMapper.java, java/net/MulticastSocket.java,
	  java/net/NetPermission.java, java/net/NetworkInterface.java,
	  java/net/NoRouteToHostException.java,
	  java/net/PasswordAuthentication.java,
	  java/net/PlainDatagramSocketImpl.java,
	  java/net/PlainSocketImpl.java,
	  java/net/PortUnreachableException.java,
	  java/net/ProtocolException.java, java/net/ServerSocket.java,
	  java/net/Socket.java, java/net/SocketAddress.java,
	  java/net/SocketException.java, java/net/SocketImpl.java,
	  java/net/SocketImplFactory.java, java/net/SocketInputStream.java,
	  java/net/SocketOptions.java, java/net/SocketOutputStream.java,
	  java/net/SocketPermission.java,
	  java/net/SocketTimeoutException.java, java/net/URI.java,
	  java/net/URISyntaxException.java, java/net/URL.java,
	  java/net/URLClassLoader.java, java/net/URLConnection.java,
	  java/net/URLDecoder.java, java/net/URLEncoder.java,
	  java/net/URLStreamHandler.java,
	  java/net/URLStreamHandlerFactory.java,
	  java/net/UnknownHostException.java,
	  java/net/UnknownServiceException.java, java/nio/Buffer.java,
	  java/nio/ByteBuffer.java, java/nio/ByteBufferHelper.java,
	  java/nio/ByteBufferImpl.java, java/nio/ByteOrder.java,
	  java/nio/CharBuffer.java, java/nio/CharBufferImpl.java,
	  java/nio/CharViewBufferImpl.java,
	  java/nio/DirectByteBufferImpl.java, java/nio/DoubleBuffer.java,
	  java/nio/DoubleBufferImpl.java,
	  java/nio/DoubleViewBufferImpl.java, java/nio/FloatBuffer.java,
	  java/nio/FloatBufferImpl.java, java/nio/FloatViewBufferImpl.java,
	  java/nio/IntBuffer.java, java/nio/IntBufferImpl.java,
	  java/nio/IntViewBufferImpl.java, java/nio/LongBuffer.java,
	  java/nio/LongBufferImpl.java, java/nio/LongViewBufferImpl.java,
	  java/nio/Makefile.am, java/nio/Makefile.in,
	  java/nio/MappedByteBuffer.java,
	  java/nio/MappedByteBufferImpl.java, java/nio/ShortBuffer.java,
	  java/nio/ShortBufferImpl.java, java/nio/ShortViewBufferImpl.java,
	  java/nio/channels/AlreadyConnectedException.java,
	  java/nio/channels/AsynchronousCloseException.java,
	  java/nio/channels/ByteChannel.java,
	  java/nio/channels/CancelledKeyException.java,
	  java/nio/channels/Channel.java, java/nio/channels/Channels.java,
	  java/nio/channels/ClosedByInterruptException.java,
	  java/nio/channels/ClosedChannelException.java,
	  java/nio/channels/ClosedSelectorException.java,
	  java/nio/channels/ConnectionPendingException.java,
	  java/nio/channels/DatagramChannel.java,
	  java/nio/channels/FileChannel.java,
	  java/nio/channels/FileChannelImpl.java,
	  java/nio/channels/FileLock.java,
	  java/nio/channels/FileLockInterruptionException.java,
	  java/nio/channels/GatheringByteChannel.java,
	  java/nio/channels/IllegalBlockingModeException.java,
	  java/nio/channels/IllegalSelectorException.java,
	  java/nio/channels/InterruptibleChannel.java,
	  java/nio/channels/Makefile.am, java/nio/channels/Makefile.in,
	  java/nio/channels/NoConnectionPendingException.java,
	  java/nio/channels/NonReadableChannelException.java,
	  java/nio/channels/NonWritableChannelException.java,
	  java/nio/channels/NotYetBoundException.java,
	  java/nio/channels/NotYetConnectedException.java,
	  java/nio/channels/OverlappingFileLockException.java,
	  java/nio/channels/Pipe.java,
	  java/nio/channels/ReadableByteChannel.java,
	  java/nio/channels/ScatteringByteChannel.java,
	  java/nio/channels/SelectableChannel.java,
	  java/nio/channels/SelectionKey.java,
	  java/nio/channels/Selector.java,
	  java/nio/channels/ServerSocketChannel.java,
	  java/nio/channels/SocketChannel.java,
	  java/nio/channels/UnresolvedAddressException.java,
	  java/nio/channels/UnsupportedAddressTypeException.java,
	  java/nio/channels/WritableByteChannel.java,
	  java/nio/channels/spi/AbstractInterruptibleChannel.java,
	  java/nio/channels/spi/AbstractSelectableChannel.java,
	  java/nio/channels/spi/AbstractSelectionKey.java,
	  java/nio/channels/spi/AbstractSelector.java,
	  java/nio/channels/spi/Makefile.in,
	  java/nio/channels/spi/SelectorProvider.java,
	  java/nio/charset/IllegalCharsetNameException.java,
	  java/nio/charset/Makefile.in,
	  java/nio/charset/MalformedInputException.java,
	  java/nio/charset/spi/CharsetProvider.java,
	  java/nio/charset/spi/Makefile.in, java/rmi/Makefile.in,
	  java/rmi/MarshalledObject.java, java/rmi/Naming.java,
	  java/rmi/RemoteException.java,
	  java/rmi/activation/ActivationException.java,
	  java/rmi/activation/ActivationInstantiator.java,
	  java/rmi/activation/ActivationMonitor.java,
	  java/rmi/activation/ActivationSystem.java,
	  java/rmi/activation/Activator.java,
	  java/rmi/activation/Makefile.in, java/rmi/dgc/DGC.java,
	  java/rmi/dgc/Makefile.in, java/rmi/registry/Makefile.in,
	  java/rmi/registry/Registry.java,
	  java/rmi/registry/RegistryHandler.java,
	  java/rmi/server/LoaderHandler.java, java/rmi/server/Makefile.in,
	  java/rmi/server/RMIClassLoader.java,
	  java/rmi/server/RMIClientSocketFactory.java,
	  java/rmi/server/RMIFailureHandler.java,
	  java/rmi/server/RMIServerSocketFactory.java,
	  java/rmi/server/RemoteCall.java, java/rmi/server/RemoteRef.java,
	  java/rmi/server/RemoteServer.java,
	  java/rmi/server/ServerCloneException.java,
	  java/rmi/server/ServerRef.java, java/rmi/server/Skeleton.java,
	  java/rmi/server/Unreferenced.java,
	  java/security/AccessController.java,
	  java/security/AlgorithmParameterGenerator.java,
	  java/security/AlgorithmParameters.java,
	  java/security/CodeSource.java,
	  java/security/DigestInputStream.java,
	  java/security/Identity.java, java/security/IdentityScope.java,
	  java/security/Key.java, java/security/KeyPairGenerator.java,
	  java/security/KeyStore.java, java/security/Makefile.in,
	  java/security/PrivateKey.java, java/security/PublicKey.java,
	  java/security/SecureRandom.java, java/security/Security.java,
	  java/security/Signature.java, java/security/SignatureSpi.java,
	  java/security/SignedObject.java,
	  java/security/UnresolvedPermission.java,
	  java/security/acl/Acl.java, java/security/acl/AclEntry.java,
	  java/security/acl/Group.java, java/security/acl/Makefile.in,
	  java/security/acl/Owner.java, java/security/acl/Permission.java,
	  java/security/cert/CertStore.java,
	  java/security/cert/Makefile.in,
	  java/security/cert/X509Extension.java,
	  java/security/interfaces/DSAKey.java,
	  java/security/interfaces/DSAKeyPairGenerator.java,
	  java/security/interfaces/DSAParams.java,
	  java/security/interfaces/DSAPrivateKey.java,
	  java/security/interfaces/DSAPublicKey.java,
	  java/security/interfaces/Makefile.in,
	  java/security/interfaces/RSAKey.java,
	  java/security/interfaces/RSAPrivateCrtKey.java,
	  java/security/interfaces/RSAPrivateKey.java,
	  java/security/interfaces/RSAPublicKey.java,
	  java/security/spec/DSAParameterSpec.java,
	  java/security/spec/DSAPrivateKeySpec.java,
	  java/security/spec/DSAPublicKeySpec.java,
	  java/security/spec/Makefile.in, java/sql/Array.java,
	  java/sql/Blob.java, java/sql/CallableStatement.java,
	  java/sql/Clob.java, java/sql/Connection.java,
	  java/sql/DatabaseMetaData.java, java/sql/Driver.java,
	  java/sql/DriverManager.java, java/sql/Makefile.in,
	  java/sql/ParameterMetaData.java, java/sql/PreparedStatement.java,
	  java/sql/Ref.java, java/sql/ResultSet.java,
	  java/sql/ResultSetMetaData.java, java/sql/SQLData.java,
	  java/sql/SQLInput.java, java/sql/SQLOutput.java,
	  java/sql/Savepoint.java, java/sql/Statement.java,
	  java/sql/Struct.java, java/sql/Timestamp.java,
	  java/text/AttributedCharacterIterator.java,
	  java/text/AttributedString.java,
	  java/text/AttributedStringIterator.java,
	  java/text/CharacterIterator.java, java/text/ChoiceFormat.java,
	  java/text/CollationElementIterator.java,
	  java/text/CollationKey.java, java/text/Collator.java,
	  java/text/DateFormat.java, java/text/DateFormatSymbols.java,
	  java/text/DecimalFormat.java,
	  java/text/DecimalFormatSymbols.java,
	  java/text/FieldPosition.java, java/text/Format.java,
	  java/text/Makefile.in, java/text/MessageFormat.java,
	  java/text/NumberFormat.java, java/text/ParsePosition.java,
	  java/text/RuleBasedCollator.java,
	  java/text/SimpleDateFormat.java,
	  java/text/StringCharacterIterator.java, java/util/ArrayList.java,
	  java/util/Arrays.java, java/util/Calendar.java,
	  java/util/Collections.java, java/util/Currency.java,
	  java/util/Date.java, java/util/GregorianCalendar.java,
	  java/util/HashMap.java, java/util/HashSet.java,
	  java/util/Hashtable.java, java/util/IdentityHashMap.java,
	  java/util/LinkedList.java, java/util/Locale.java,
	  java/util/Makefile.am, java/util/Makefile.in, java/util/Map.java,
	  java/util/Observer.java, java/util/Properties.java,
	  java/util/PropertyPermission.java,
	  java/util/PropertyResourceBundle.java,
	  java/util/ResourceBundle.java, java/util/SimpleTimeZone.java,
	  java/util/StringTokenizer.java, java/util/TimeZone.java,
	  java/util/TreeMap.java, java/util/TreeSet.java,
	  java/util/Vector.java, java/util/WeakHashMap.java,
	  java/util/jar/Attributes.java, java/util/jar/JarFile.java,
	  java/util/jar/JarInputStream.java,
	  java/util/jar/JarOutputStream.java, java/util/jar/Makefile.in,
	  java/util/jar/Manifest.java,
	  java/util/logging/ConsoleHandler.java,
	  java/util/logging/ErrorManager.java,
	  java/util/logging/FileHandler.java,
	  java/util/logging/Filter.java, java/util/logging/Formatter.java,
	  java/util/logging/Handler.java,
	  java/util/logging/LogManager.java, java/util/logging/Logger.java,
	  java/util/logging/Makefile.am, java/util/logging/Makefile.in,
	  java/util/logging/MemoryHandler.java,
	  java/util/logging/SimpleFormatter.java,
	  java/util/logging/SocketHandler.java,
	  java/util/logging/XMLFormatter.java,
	  java/util/logging/logging.properties,
	  java/util/prefs/AbstractPreferences.java,
	  java/util/prefs/BackingStoreException.java,
	  java/util/prefs/InvalidPreferencesFormatException.java,
	  java/util/prefs/Makefile.in, java/util/prefs/Preferences.java,
	  java/util/regex/Makefile.in, java/util/regex/Matcher.java,
	  java/util/regex/Pattern.java, java/util/zip/Checksum.java,
	  java/util/zip/Deflater.java, java/util/zip/DeflaterEngine.java,
	  java/util/zip/DeflaterHuffman.java,
	  java/util/zip/DeflaterOutputStream.java,
	  java/util/zip/GZIPInputStream.java,
	  java/util/zip/GZIPOutputStream.java,
	  java/util/zip/InflaterInputStream.java,
	  java/util/zip/Makefile.in, java/util/zip/ZipConstants.java,
	  java/util/zip/ZipEntry.java, java/util/zip/ZipFile.java,
	  javax/Makefile.am, javax/Makefile.in,
	  javax/accessibility/AccessibleText.java,
	  javax/accessibility/Makefile.in, javax/imageio/IIOException.java,
	  javax/imageio/ImageReader.java,
	  javax/imageio/ImageTranscoder.java,
	  javax/imageio/ImageWriter.java, javax/imageio/Makefile.am,
	  javax/imageio/package.html,
	  javax/imageio/event/IIOReadProgressListener.java,
	  javax/imageio/event/IIOReadUpdateListener.java,
	  javax/imageio/event/IIOReadWarningListener.java,
	  javax/imageio/event/IIOWriteProgressListener.java,
	  javax/imageio/event/IIOWriteWarningListener.java,
	  javax/imageio/event/Makefile.am,
	  javax/imageio/spi/IIOServiceProvider.java,
	  javax/imageio/spi/ImageInputStreamSpi.java,
	  javax/imageio/spi/ImageOutputStreamSpi.java,
	  javax/imageio/spi/ImageReaderWriterSpi.java,
	  javax/imageio/spi/ImageTranscoderSpi.java,
	  javax/imageio/spi/Makefile.am,
	  javax/imageio/spi/RegisterableService.java,
	  javax/imageio/spi/ServiceRegistry.java,
	  javax/imageio/spi/package.html,
	  javax/imageio/stream/IIOByteBuffer.java,
	  javax/imageio/stream/ImageInputStream.java,
	  javax/imageio/stream/ImageOutputStream.java,
	  javax/imageio/stream/Makefile.am,
	  javax/imageio/stream/package.html,
	  javax/naming/AuthenticationException.java,
	  javax/naming/AuthenticationNotSupportedException.java,
	  javax/naming/CannotProceedException.java,
	  javax/naming/CommunicationException.java,
	  javax/naming/CompoundName.java,
	  javax/naming/ConfigurationException.java,
	  javax/naming/Context.java,
	  javax/naming/ContextNotEmptyException.java,
	  javax/naming/InitialContext.java,
	  javax/naming/InsufficientResourcesException.java,
	  javax/naming/InterruptedNamingException.java,
	  javax/naming/LimitExceededException.java,
	  javax/naming/LinkException.java,
	  javax/naming/LinkLoopException.java, javax/naming/LinkRef.java,
	  javax/naming/Makefile.in,
	  javax/naming/MalformedLinkException.java, javax/naming/Name.java,
	  javax/naming/NameAlreadyBoundException.java,
	  javax/naming/NameNotFoundException.java,
	  javax/naming/NameParser.java,
	  javax/naming/NamingEnumeration.java,
	  javax/naming/NamingException.java,
	  javax/naming/NamingSecurityException.java,
	  javax/naming/NoInitialContextException.java,
	  javax/naming/NoPermissionException.java,
	  javax/naming/NotContextException.java,
	  javax/naming/PartialResultException.java,
	  javax/naming/Referenceable.java,
	  javax/naming/ReferralException.java,
	  javax/naming/ServiceUnavailableException.java,
	  javax/naming/SizeLimitExceededException.java,
	  javax/naming/TimeLimitExceededException.java,
	  javax/naming/directory/Attribute.java,
	  javax/naming/directory/Attributes.java,
	  javax/naming/directory/DirContext.java,
	  javax/naming/directory/InitialDirContext.java,
	  javax/naming/directory/Makefile.am,
	  javax/naming/directory/Makefile.in,
	  javax/naming/directory/SearchControls.java,
	  javax/naming/directory/SearchResult.java,
	  javax/naming/directory/package.html,
	  javax/naming/event/EventContext.java,
	  javax/naming/event/EventDirContext.java,
	  javax/naming/event/Makefile.am, javax/naming/event/Makefile.in,
	  javax/naming/event/NamespaceChangeListener.java,
	  javax/naming/event/NamingEvent.java,
	  javax/naming/event/NamingExceptionEvent.java,
	  javax/naming/event/NamingListener.java,
	  javax/naming/event/ObjectChangeListener.java,
	  javax/naming/event/package.html, javax/naming/ldap/Control.java,
	  javax/naming/ldap/ControlFactory.java,
	  javax/naming/ldap/ExtendedRequest.java,
	  javax/naming/ldap/ExtendedResponse.java,
	  javax/naming/ldap/HasControls.java,
	  javax/naming/ldap/InitialLdapContext.java,
	  javax/naming/ldap/LdapContext.java,
	  javax/naming/ldap/LdapReferralException.java,
	  javax/naming/ldap/Makefile.am, javax/naming/ldap/Makefile.in,
	  javax/naming/ldap/UnsolicitedNotification.java,
	  javax/naming/ldap/UnsolicitedNotificationListener.java,
	  javax/naming/ldap/package.html,
	  javax/naming/spi/DirObjectFactory.java,
	  javax/naming/spi/DirStateFactory.java,
	  javax/naming/spi/DirectoryManager.java,
	  javax/naming/spi/InitialContextFactory.java,
	  javax/naming/spi/InitialContextFactoryBuilder.java,
	  javax/naming/spi/Makefile.am, javax/naming/spi/Makefile.in,
	  javax/naming/spi/NamingManager.java,
	  javax/naming/spi/ObjectFactory.java,
	  javax/naming/spi/ObjectFactoryBuilder.java,
	  javax/naming/spi/ResolveResult.java,
	  javax/naming/spi/Resolver.java,
	  javax/naming/spi/StateFactory.java,
	  javax/naming/spi/package.html,
	  javax/print/AttributeException.java,
	  javax/print/CancelablePrintJob.java, javax/print/Doc.java,
	  javax/print/DocFlavor.java, javax/print/DocPrintJob.java,
	  javax/print/FlavorException.java, javax/print/Makefile.am,
	  javax/print/Makefile.in, javax/print/MultiDoc.java,
	  javax/print/MultiDocPrintJob.java,
	  javax/print/MultiDocPrintService.java,
	  javax/print/PrintException.java, javax/print/PrintService.java,
	  javax/print/PrintServiceLookup.java,
	  javax/print/ServiceUIFactory.java,
	  javax/print/StreamPrintService.java,
	  javax/print/URIException.java,
	  javax/print/attribute/Attribute.java,
	  javax/print/attribute/AttributeSet.java,
	  javax/print/attribute/AttributeSetUtilities.java,
	  javax/print/attribute/DateTimeSyntax.java,
	  javax/print/attribute/DocAttribute.java,
	  javax/print/attribute/DocAttributeSet.java,
	  javax/print/attribute/EnumSyntax.java,
	  javax/print/attribute/HashAttributeSet.java,
	  javax/print/attribute/HashDocAttributeSet.java,
	  javax/print/attribute/HashPrintJobAttributeSet.java,
	  javax/print/attribute/HashPrintRequestAttributeSet.java,
	  javax/print/attribute/HashPrintServiceAttributeSet.java,
	  javax/print/attribute/IntegerSyntax.java,
	  javax/print/attribute/Makefile.am,
	  javax/print/attribute/Makefile.in,
	  javax/print/attribute/PrintJobAttribute.java,
	  javax/print/attribute/PrintJobAttributeSet.java,
	  javax/print/attribute/PrintRequestAttribute.java,
	  javax/print/attribute/PrintRequestAttributeSet.java,
	  javax/print/attribute/PrintServiceAttribute.java,
	  javax/print/attribute/PrintServiceAttributeSet.java,
	  javax/print/attribute/ResolutionSyntax.java,
	  javax/print/attribute/SetOfIntegerSyntax.java,
	  javax/print/attribute/Size2DSyntax.java,
	  javax/print/attribute/SupportedValuesAttribute.java,
	  javax/print/attribute/TextSyntax.java,
	  javax/print/attribute/URISyntax.java,
	  javax/print/attribute/UnmodifiableSetException.java,
	  javax/print/event/Makefile.am, javax/print/event/PrintEvent.java,
	  javax/print/event/PrintJobAdapter.java,
	  javax/print/event/PrintJobAttributeEvent.java,
	  javax/print/event/PrintJobAttributeListener.java,
	  javax/print/event/PrintJobEvent.java,
	  javax/print/event/PrintJobListener.java,
	  javax/print/event/PrintServiceAttributeEvent.java,
	  javax/print/event/PrintServiceAttributeListener.java,
	  javax/rmi/Makefile.am, javax/rmi/Makefile.in,
	  javax/rmi/PortableRemoteObject.java, javax/rmi/package.html,
	  javax/rmi/CORBA/Makefile.am, javax/rmi/CORBA/Makefile.in,
	  javax/rmi/CORBA/PortableRemoteObjectDelegate.java,
	  javax/rmi/CORBA/Stub.java, javax/rmi/CORBA/Util.java,
	  javax/rmi/CORBA/UtilDelegate.java,
	  javax/rmi/CORBA/ValueHandler.java, javax/rmi/CORBA/package.html,
	  javax/security/Makefile.in, javax/security/auth/Makefile.in,
	  javax/security/auth/x500/Makefile.am,
	  javax/security/auth/x500/Makefile.in,
	  javax/security/auth/x500/X500Principal.java,
	  javax/security/auth/x500/package.html,
	  javax/sql/ConnectionEventListener.java,
	  javax/sql/ConnectionPoolDataSource.java,
	  javax/sql/DataSource.java, javax/sql/Makefile.in,
	  javax/sql/PooledConnection.java, javax/sql/RowSet.java,
	  javax/sql/RowSetInternal.java, javax/sql/RowSetListener.java,
	  javax/sql/RowSetMetaData.java, javax/sql/RowSetReader.java,
	  javax/sql/RowSetWriter.java, javax/sql/XAConnection.java,
	  javax/sql/XADataSource.java, javax/swing/AbstractAction.java,
	  javax/swing/AbstractButton.java,
	  javax/swing/AbstractCellEditor.java,
	  javax/swing/AbstractListModel.java, javax/swing/AbstractSet.java,
	  javax/swing/Action.java, javax/swing/ActionMap.java,
	  javax/swing/BoundedRangeModel.java, javax/swing/Box.java,
	  javax/swing/BoxLayout.java, javax/swing/ButtonGroup.java,
	  javax/swing/ButtonModel.java, javax/swing/CellEditor.java,
	  javax/swing/CellRendererPane.java,
	  javax/swing/ComboBoxEditor.java, javax/swing/ComboBoxModel.java,
	  javax/swing/DebugGraphics.java,
	  javax/swing/DefaultBoundedRangeModel.java,
	  javax/swing/DefaultButtonModel.java,
	  javax/swing/DefaultCellEditor.java,
	  javax/swing/DefaultCellRenderer.java,
	  javax/swing/DefaultComboBoxModel.java,
	  javax/swing/DefaultDesktopManager.java,
	  javax/swing/DefaultFocusManager.java,
	  javax/swing/DefaultListCellRenderer.java,
	  javax/swing/DefaultListModel.java,
	  javax/swing/DefaultListSelectionModel.java,
	  javax/swing/DefaultSingleSelectionModel.java,
	  javax/swing/DesktopManager.java, javax/swing/Icon.java,
	  javax/swing/ImageIcon.java, javax/swing/JApplet.java,
	  javax/swing/JButton.java, javax/swing/JCheckBox.java,
	  javax/swing/JCheckBoxMenuItem.java, javax/swing/JComboBox.java,
	  javax/swing/JComponent.java, javax/swing/JDesktopPane.java,
	  javax/swing/JDialog.java, javax/swing/JEditorPane.java,
	  javax/swing/JFileChooser.java,
	  javax/swing/JFormattedTextField.java, javax/swing/JFrame.java,
	  javax/swing/JInternalFrame.java, javax/swing/JLabel.java,
	  javax/swing/JLayeredPane.java, javax/swing/JList.java,
	  javax/swing/JMenu.java, javax/swing/JMenuBar.java,
	  javax/swing/JMenuItem.java, javax/swing/JOptionPane.java,
	  javax/swing/JPanel.java, javax/swing/JPasswordField.java,
	  javax/swing/JPopupMenu.java, javax/swing/JProgressBar.java,
	  javax/swing/JRadioButton.java,
	  javax/swing/JRadioButtonMenuItem.java,
	  javax/swing/JRootPane.java, javax/swing/JScrollBar.java,
	  javax/swing/JScrollPane.java, javax/swing/JSeparator.java,
	  javax/swing/JSlider.java, javax/swing/JSplitPane.java,
	  javax/swing/JTabbedPane.java, javax/swing/JTable.java,
	  javax/swing/JTextField.java, javax/swing/JTextPane.java,
	  javax/swing/JToggleButton.java, javax/swing/JToolBar.java,
	  javax/swing/JToolTip.java, javax/swing/JTree.java,
	  javax/swing/JViewport.java, javax/swing/JWindow.java,
	  javax/swing/KeyStroke.java, javax/swing/ListCellRenderer.java,
	  javax/swing/ListModel.java, javax/swing/ListSelectionModel.java,
	  javax/swing/LookAndFeel.java, javax/swing/Makefile.am,
	  javax/swing/Makefile.in, javax/swing/MenuElement.java,
	  javax/swing/MutableComboBoxModel.java,
	  javax/swing/OverlayLayout.java, javax/swing/Popup.java,
	  javax/swing/ProgressMonitor.java,
	  javax/swing/ProgressMonitorInputStream.java,
	  javax/swing/Renderer.java, javax/swing/RootPaneContainer.java,
	  javax/swing/ScrollPaneConstants.java,
	  javax/swing/ScrollPaneLayout.java, javax/swing/Scrollable.java,
	  javax/swing/SingleSelectionModel.java,
	  javax/swing/SpinnerModel.java, javax/swing/SwingConstants.java,
	  javax/swing/SwingUtilities.java, javax/swing/Timer.java,
	  javax/swing/ToggleButtonModel.java,
	  javax/swing/ToolTipManager.java, javax/swing/UIDefaults.java,
	  javax/swing/UIManager.java, javax/swing/ViewportLayout.java,
	  javax/swing/WindowConstants.java, javax/swing/border/Border.java,
	  javax/swing/border/Makefile.in,
	  javax/swing/border/MatteBorder.java,
	  javax/swing/border/TitledBorder.java,
	  javax/swing/colorchooser/AbstractColorChooserPanel.java,
	  javax/swing/colorchooser/ColorSelectionModel.java,
	  javax/swing/colorchooser/Makefile.in,
	  javax/swing/event/AncestorListener.java,
	  javax/swing/event/CaretListener.java,
	  javax/swing/event/CellEditorListener.java,
	  javax/swing/event/ChangeListener.java,
	  javax/swing/event/DocumentEvent.java,
	  javax/swing/event/DocumentListener.java,
	  javax/swing/event/EventListenerList.java,
	  javax/swing/event/HyperlinkListener.java,
	  javax/swing/event/InternalFrameListener.java,
	  javax/swing/event/ListDataListener.java,
	  javax/swing/event/ListSelectionListener.java,
	  javax/swing/event/Makefile.in,
	  javax/swing/event/MenuDragMouseListener.java,
	  javax/swing/event/MenuKeyListener.java,
	  javax/swing/event/MenuListener.java,
	  javax/swing/event/MouseInputListener.java,
	  javax/swing/event/PopupMenuListener.java,
	  javax/swing/event/SwingPropertyChangeSupport.java,
	  javax/swing/event/TableColumnModelListener.java,
	  javax/swing/event/TableModelListener.java,
